Atlantis - The main menu

The main menu


Atlantis - Log In

Log In

With this key function you can log in at a chosen level in the system. The selected level is shown with the number on the key. The level determines what permission the person has to execute different operations in the system. It includes operations like acknowledgement of alarms, control of operations, making and changing of drawings etc.

The function is also used when leaving and locking the system to make sure that no unauthorized person can start operating the computer, and when log in shall be done.

When the key is clicked a single dialog window is shown with a request to write your password. After that click the "OK"-key or push the "Enter"-key. The system has preset passwords to be able to authorize the administrator to the right level of control and operation.

The lowest level of authorization is level zero and doesn’t require a password, and the space for the password is then left empty. On the zero-level the system is considered locked, as nothing is permitted except checking the status of the plant. That is the same level as automatically is set when starting up the program. If the Window-program has a screensaver activated, the program goes automatically back to level zero when the screen is shut down.

Please note that the password makes a distinction between capital letters and lower-case letters, so if the password doesn’t work you should check that the "Caps Lock"-key is not activated


Atlantis - The function keys

The function keys

F1 | Help texts for the selected function.
F2 | Silencing of alarm sound.
F12 | Choose the last selected group.
PRINT SCRN | Send picture of the screen to the printer.

Further information about printing, see section Printing.


Atlantis - What is an Object?

What is an Object?

An object is a position in the system. The present status (condition) of the object is shown with text and colour. The object can be represented on the screen by a text or by a symbol, and by clicking the name of the object an information window shows up with information about the object, and different choices can be made to get more information about it. Clicking the ”Menu” makes changes of the settings of the object and editions-key among the main keys at the top of the screen.

Every object has an unique identification number to be recognized by the system. Normally it is not necessary for the user to remember the identification number that is done by the system itself but it is sometimes needed when referring to a single object. This happens almost only in system functions when setting up conditions and controls for other objects.

See section System Functions for further information.

There are different types of objects depending on which signal the object is going to represent. The signal can be an input or an output and be of an analogue or a digital type. There are also other types depending on which signal the object shall represent.

The different types of objects are:

ALARMS: Objects, which are warning when supervised objects pass into an abnormal condition.
Flashing red/white | Remaining alarm which is not acknowledged.
Flashing grey/white | Cancelled alarm which is not acknowledged.
Permanent red | Acknowledged remaining alarm.
Permanent white | Normal (no alarm).

For further information about alarms, see section The Alarm window.

DIGITAL CONTROLS: Controllable objects with only two status, one active and one passive.
Light blue | On.
Dark blue | Off.

When conflict alarms are used and there is no indication within the delay time, the object will have the same colours as when an alarm from an alarm object.

Further information about digital controls you can find in section The window for a digital control (manoeuvre).

INDICATIONS: Objects showing in which status, active or passive, the supervised object is.
Light green | On.
Dark green | Off.

For further information about indications, see section The window for an indication.

PULSE VALUES: Objects with an input signal varying between a high and a low value, and counting each time the value is varying. The counter is used as a measure of consumption over a period of time.
Brown

For further information about analogue out, see section The window for a pulse.

ANALOGUE IN and MEASUREMENTS: Objects with a variable incoming signal converted into a linear scale.
Yellow Normal

When limit alarms are used and the limits are exceeded the object will have the same colours as when an alarm from an alarm object.

Further information about analogue in you can find in section The window for analogue in / measurement.

ANALOGUE OUT and SET POINTS: Objects with a variable outgoing signal which are setting the values from a linear scale.
Purple

For further information about analogue out, see section The window for analogue out / set points.

CURVES: Objects with a variable outgoing signal which is following a preset curve for different parameters.
Purple

For further information about curve objects, see section The window for a control curve.

See also [ What is a Group ] [ What is a CCU ]


Atlantis - The menu for objects

The menu for objects

To the right in the information window for an object there is a key named "Menu", and by clicking that function a new window is showing up where You can choose other functions for the object. There are maximum four visible keys, and they are named Event List, Notes and Trend Curves respectively.

By clicking the key Event List the list of events for a specific object can be studied. A new main window is shown with an event list, which has the same appearance as the event list for the whole system. The list is dynamically updated and the events are assorted according to the times when they appeared into the system. The extra functions which you can find in the upper part of the window for choosing the date and filter are exactly the same as in the event list for the whole system. For more information about the functions for the event list, see section Event List.

For writing and reading information and notes concerning the object in question the key Notes is used. Then a new program is started and will be visible on the screen with functions for typing of text in a text editor. For further information about this, see section Notes.

The last key, Trend Curves, is only visible when the menu belong to an analog object. The different types of analog objects are analog outputs, set points, measured values, pulses or curves. Trend curves are used to have an easy overview of the changes for objects having a status, which is varying by the time. These changes are not visible in the event lists but are shown in a time-diagram. For further information about this, see section Trend Curves for single objects.


Atlantis - The window for Analog In / Measurement

The window for Analog In / Measurement

In the title at the top of the window is shown the type of object and the name of it.

In the black field to the left in the window you can see the present status of the object, the measured value and the unit. The other two narrow rectangular fields are only visible when there are alarm limits edited for the object. In these fields You can read the text describing the alarm limit, the alarm limit in figures followed by the unit and at last the priority class of the alarm.

For further information about the status of alarms, see section Alarm status.

The number, which you can read after OBJECT NO: above the black field, is the internal identification number of the object, which is used only as a reference of the object and control.

The number following ADDRESS: above the keys to the right is the complete address of the object. The shortening consisting of three letters indicates to which manufacture of the CCU the object is connected by means of hardware, and the following figures are the exact address formatted according to the address of the manufacture.

Below the black field to the left the group name of the object is shown. The key marked "->" to the left is a key for direct choice of the group, which means that if You click that key, the main window of the group to which the object belongs will be visible on the screen.

By clicking the key Menu in the upper right corner of the window You will see a menu from where You can get additional information about the object, as logging of the values or notes regarding the object.

For further information about the menu, see section The menu for objects.

Below the key Menu You can see another key Ack, if the object has an unacknowledged status. This key is used when acknowledging an alarm.

Further information about acknowledging of alarms, see section Acknowledgement of alarms.

For removing of the window, the Window functions to the very upper left of the window are used.


Atlantis - The window for Analog Out / Settings

The window for Analog Out / Settings

In the title at the top of the window is shown the type of object and the name of it.

In the black field to the left in the window you can see the present status of the object, the measured value and the unit. To the right in the black field You can see in grey text the present control position, either "MAN" when using manual control or "AUTO" when using automatic control. When using manual control the object is controlled with a constant value from a computer or a CCU, not from a main switch. When using automatic control a computer or a CCU is controlling the regulation of the object with the condition, regulator or object relation, which is edited for the object.

The number, which you can read after OBJECT NO: above the black field, is the internal identification number of the object, which is used only as a reference of the object and control.

The number following ADDRESS: above the keys to the right is the complete address of the object. The shortening consisting of three letters indicates to which manufacture of the CCU the object is connected by means of hardware, and the following figures are the exact address formatted according to the address of the manufacture.

Below the black field to the left the group name of the object is shown. The key marked "->" to the left is a key for direct choice of the group, which means that if You click that key, the main window of the group to which the object belongs will be visible on the screen.

By clicking the key Menu in the upper right corner of the window You will see a menu from where You can get additional information about the object, as logging of the values or notes regarding the object.

For further information about the menu, see section The menu for objects.

The key Man and the following editing field in the right part of the window, is used for manual control of the setting. For setting of a value manually for analogue out, you start by typing a value (either with or without decimals) in the editing field. After that you click the Man key for transferring of the value. The chosen value will remain until another setting is done or until turning over to automatic control.

The key Auto in the lower part of the window is used for the setting in automatic operation. The text to the right of the key is informing about which value, object or system function that is controlling the object during automatic operation.

For removing of the window, the Window functions to the very upper left of the window are used.


Atlantis - The window for Indication

The window for Indication

In the title at the top of the window is shown the type of object and the name of it.

In the black field to the left in the window you can see the present status of the object, text for indication on or off.

For further information about the status of indications, see section Status of manoeuvre and indication.

The number, which you can read after OBJECT NO: above the black field, is the internal identification number of the object, which is used only as a reference of the object and control.

The number following ADDRESS: above the keys to the right is the complete address of the object. The shortening consisting of three letters indicates to which manufacture of the CCU the object is connected by means of hardware, and the following figures are the exact address formatted according to the address of the manufacture.

Below the black field to the left the group name of the object is shown. The key marked "->" to the left is a key for direct choice of the group, which means that if You click that key, the main window of the group to which the object belongs will be visible on the screen.

By clicking the key Menu in the upper right corner of the window You will see a menu from where You can get additional information about the object, as events or notes regarding the object.

For further information about the menu, see section The menu for objects.

For removing of the window, the Window functions to the very upper left of the window are used.


Atlantis - The window for Alarm

The window for Alarm

In the title at the top of the window the type and name of the object are shown.

In the black field to the left you can see the present status of the object, the normal text or the alarm text if there is an alarm.

For further information about the status of alarms, see section Alarm status.

The number following OBJECT NO: above the black field is the internal identification number of the object. This number is only used as a reference of the object and control.

The number following ADDRESS: above the keys to the right is the complete address of the object. The shortening consisting of three letters indicates to which manufacture of the CCU the object is connected by means of hardware, and the following figures are the exact address formatted according to the address of the manufacture.

Below the black field to the left the group name of the object is shown. The key marked "->" to the left is a key for direct choice of the group, which means that if You click that key, the main window of the group to which the object belongs will be visible on the screen.

To the right of the group name you will find an extra key marked XtraTxt, if any extra text is edited for the object. The key is used for showing an extra alarm text for the object with a simple text editor. For example if a special routine has to be performed when there is an alarm from the object, and there is not space enough for the text in the black field.

By clicking the key Menu in the upper right corner of the window You will see a menu from where You can get additional information about the object, as events or notes regarding the object. For further information about the menu, see section The menu for objects.

The key Ack to the right in the window is used for acknowledgement of the alarm of an object, which is still not acknowledged. Even if the alarm is cancelled, the object has to be acknowledged to return to normal status.

When the object is acknowledged, the key disappears and will not be visible until there is a new alarm for the object. Further information about acknowledgement you will find in section Acknowledgement of alarms.


Atlantis - The window for Manoeuvre (Digital Control)

The window for Manoeuvre (Digital Control)

In the title at the top of the window is shown the type of object and the name of it.

In the black field to the left in the window you can see the present status of the object. If the object also has a direct connected indication, the status of the indication follows within parenthesis.

To the right in the black field You can see in grey text the present control position, either "Man" when using manual control or "Auto" when using automatic control. When using manual control the object is controlled with a constant value from a computer or a CCU, not from a main switch. When using automatic control a computer or a CCU is controlling the regulation of the object with the condition, time schedule or object relation, which is edited for the object.

For further information about the status of manoeuvres, see section Status of manoeuvre and indication.

The number which you can read after OBJECT NO: above the black field is the internal identification number of the object, which is used only as a reference of the object and control.

The number following ADDRESS: above the keys to the right is the complete address of the object. The shortening consisting of three letters indicates to which manufacture of the CCU the object is connected by means of hardware, and the following figures are the exact address formatted according to the address of the manufacture.

Below the black field to the left the group name of the object is shown. The key marked "->" to the left is a key for direct choice of the group, which means that if You click that key, the main window of the group to which the object belongs will be visible on the screen.

By clicking the key Menu in the upper right corner of the window You will see a menu from where You can get additional information about the object, as events or notes regarding the object.

For further information about the menu, see section The menu for objects.

The keys ON and OFF in the right part of the window are intended for manual operation of the manoeuvres. The selected manoeuvre will remain until another one is chosen. Note that a forced stop has a higher priority than manual manoeuvres, and that manual operation doesn't control the manoeuvres as long as the forced stop is active.

The key Auto in the lower part of the window is used for changing over to automatic operation. The text to the right of the key is informing about which object or system function that is controlling the object during automatic operation.

For removing of the window, the Window functions to the very upper left of the window are used.


Atlantis - Status of manoeuvre and indication

Status of manoeuvre and indication

The status of the manoeuvre of the object is shown by text and color.

TYPE OF OBJECT: | STATUS: | COLOR:
MANOEUVRE: | On | Light blue
 | Off | Dark blue
INDICATION: | On | Light green
 | Off | Dark green


Atlantis - The window for Pulse

The window for Pulse

In the title at the top of the window is shown the type of object and the name of it.

In the black field to the left in the window you can see the present status of the object, the measured value and the unit.

The number, which you can read after OBJECT NO: above the black field, is the internal identification number of the object, which is used only as a reference of the object and control.

The number following ADDRESS: above the keys to the right is the complete address of the object. The shortening consisting of three letters indicates to which manufacture of the CCU the object is connected by means of hardware, and the following figures are the exact address formatted according to the address of the manufacture.

Below the black field to the left the group name of the object is shown. The key marked "->" to the left is a key for direct choice of the group, which means that if You click that key, the main window of the group to which the object belongs will be visible on the screen.

By clicking the key Menu in the upper right corner of the window You will see a menu from where You can get additional information about the object, as logging of the values or notes regarding the object.

For further information about the menu, see section The menu for objects.

For removing of the window, the Window functions to the very upper left of the window are used.


Atlantis - The window for Control Curve

The window for Control Curve

In the title at the top of the window is shown the type of object and the name of it.

In the black field to the left in the window you can see the present status of the object, the measured value and the unit. To the right in the black field you can see the present control position in grey text. For curve objects there is always the text "Auto", as manual control of curve objects is not relevant.

The number, which you can read after OBJECT NO: above the black field, is the internal identification number of the object, which is used only as a reference of the object and control.

The number following ADDRESS: above the keys to the right is the complete address of the object. The shortening consisting of three letters indicates to which manufacture of the CCU the object is connected by means of hardware, and the following figures are the exact address formatted according to the address of the manufacture.

Below the black field to the left the group name of the object is shown. The key marked "->" to the left is a key for direct choice of the group, which means that if You click that key, the main window of the group to which the object belongs will be visible on the screen.

By clicking the key Menu in the upper right corner of the window You will see a menu from where You can get additional information about the object, as logging of the values or notes regarding the object.

For further information about the menu, see section The menu for objects.

The key Auto in the lower part of the window is used for the setting in automatic operation. The text to the right of the key is informing about which system function that is controlling the object during automatic operation.

The key "->" in the lower right part of the information window is the key for changing of the setting of break points and gradient of the curve. More information about this you can find in section Settings of a control curve.

For removing of the window, the Windowf unctions to the very upper left of the window are used.


Atlantis - Settings of a control curve

Settings of a control curve

To change the gradient and the breakpoints of a curve object graphically, the key "->" in the lower right part of the window for a control curve is used. When clicking this key a new window shows up, showing the present curve in a diagram with the limit values and breakpoints which are edited for the object.

Originally the window consists of a black field with a diagram to the left, a key named Edit in the upper right corner and a field for editing below to the right.

In the diagram you can see the present edition of the curve with breakpoints and limit values for different X and Y values. The curve has a yellow colour, and the changable break- and limit values are marked with white squares placed on the curve. Next to the squares you can read the exact X and Y coordinates for the break- and limit points in green colour.

The diagram is covering the area within the limits of the edition. To increase the area you have to choose new values for the limits in the editing function. For more information about editing of objects, see section Edit.

To change the position of the breakpoints, end values and gradient of the curve, you have to click the editing key. When doing this another three keys show up below the Edit key, and also two keys to the right of the editing field in the lower right corner of the window. The shape of the curve is changed by clicking the mouse on one of the white squares of the break- or limit points, keep the key of the mouse pressed down and move the mouse marker to the new position. This procedure has to be repeated until the shape of the curve is to your satisfaction, and after that you click the key Save to the right in the window. If you regret, and want to keep the original shape of the curve which you had at the last saving or when the window of control curves appeared, then you click the key Cancel.

There is also a possibility to transfer the whole curve upwards or downwards. For this purpose You are using the two keys to the very right below and the editing field to the left of the keys.

To transfer the whole curve one unit upwards you click once on the key to the right marked "+". That will be marked in the editing field as the figure shown there will be increased by one unit, but the curve in the diagram will stay in the same position. To lower the whole curve one unit you click the left key marked "-" once. That will be marked in the editing field as the shown figure will decrease by one unit, but the curve in the diagram will stay in the same position. You can also click the editing field directly and type the wanted value.

When the wanted values for the transferring of the curve are set, You can either choose the key Save for saving of the settings, or the key Cancel if You want to keep the values which were set before the last saving or when the window of control curves appeared. When the changes are done the CCU has to be restarted. See section Loading of the edition to the CCU.


Atlantis - What is a Group?

What is a Group?

All objects are divided into groups, where a group normally consists of a building, a ventilation room, a sub central, a drawing of the process or a group of objects with similar assignment.

A group is selected by clicking the main key Select Group. All the groups in the system will then be shown in graphical- or text-mode (in alphabetical order) in the window. Click the name of the group, and the group will show up.

You can also directly find the group, which an object belongs to by clicking the name of the object. Then the window with the object information will show up, and by clicking the arrow you will automatically reach the group of the object.

Information about selecting of group you can find in section Select group.

See also [ What is an Object ] [ What is a CCU ]


Atlantis - Select group (graphical- or text-based key diagram)

Select group (graphical- or text-based key diagram)

With this key function a separate window is shown where all the groups in the system are presented. Choose the wanted group by clicking the mouse on the group, and a new main window is coming up showing all the objects in the group, presented with a picture if there is any.

When the window showing all the objects in the group is visible, there are also some additional functions to choose at the top of the group window. To the very left you will find the key Menu. When clicking this key you will see a menu, from where you can have additional information about the group, for example events and notes, or design a drawing and show graphical objects of the group.

Additional information about the menu you will find in the section Menu for the group.

The next key is named Picture or Text, and with this key you can choose between having a schematic picture showing how the objects in the group are connected to each other, or just to see the objects listed in writing in the window. The name of the key is alternating into "Picture" when the objects are presented in a list, and into "Text" when the objects are shown in a picture. When choosing a presentation by text there is more information about each object than in a picture.

With the two keys marked with arrows ("<-" and "-> ") you can quickly alter from one group to another in the system, in alphabetical order.

The next extra function you will find is a text with an arrow to the right. By this function you can choose alternative presentations of the information about the objects in the group. The alternatives you can find in a list box by clicking the arrow. More information about alternative presentation you will find in the section Alternative presentation of a group.

If any object in the group is connected to a CCU by a dialing up modem, there are additional functions in the key bar at the top of the main window. See section Dial-up connection with the CCU for more information about the functions for dialing up CCU.


Atlantis - Menu for the group

Menu for the group

To the upper left in the main window for a group you find the key Menu. By clicking that key a new window will show up containing four keys with functions for the groups. By using the first key you can look at the event list for the objects only within one group, and the next key gives you a window for notes where you can write and read information regarding the group. By clicking the third key you will have statistics for the objects in the group, and the last key is for editing of dynamics and designing of drawings for the group.

The event list for objects belonging to one and the same group appears when clicking the key Event List. This main window with the event list looks the same as the event list for the whole system. The list is dynamically updated and the events are assorted according to the times when the events were registered. The additional functions at the upper part of the window for selecting of the date and filter are exactly the same as for the event list for the whole system. For more information about the functions for the event list, see section Event List.

To have the possibility to write and read information and notes about the group you choose the key Notes. Then a new program is started with functions for typing of text in a text editor. For more information about how to write information, see section Notes.

If you want to make a schematic drawing etc. for the group and to change the position of the dynamics, you choose the key Picture Edit. When this key is clicked more keys with more functions will be visible in the main window of the group. One of these keys gives you support about how to place new dynamics and how to place dynamics as symbols. More information about the functions of the keys, see section Picture Edit.

If you regret and want to remove the choice in the menu, the Window functions to the upper left in the menu window are used.


Atlantis - Alternative presentation of a group

Alternative presentation of a group

In the middle of the upper part of the window there is a list box. Click the arrow to the right of the text and choose the type of information, which you want to be shown on the main window of the group.

• If you choose Status every object in the window will be presented with the present status, by showing the status text, which is edited to the status positions. This is the normal operation situation.

• If you choose Address the complete address for every object in the window will be shown, starting with a shortening consisting of three letters showing to which manufacture of the CCU the object is connected concerning hardware. The following figures are the exact address number formatted according to the address of the manufacture.

• If You choose LED Number every connection of the objects to the LED:s on the front of the CCU will be shown in the group window. To which CCU the object is connected is shown by it’s address. (Only valid for Larmia Control CCU LS920).

• If you choose Delay the delay of every object will be shown in the window of the group. The delay relates to the time in minutes and seconds before activation after a change of the status, and refers to the delay within the PC. (For objects belonging to the Larmia Control DUC LS920 there is no delay within the PC but refers to the delay within the CCU).

• If You choose NO/NC every object is showing its activation at either a closing or breaking input with NO (Normal Open) for activation when there is a closing at the input and with –NC (Normal Closed) for activation when there is a break at the input. The minus sign in front of NC has no formal significance but is only for better clearness. (For objects belonging to other CCU-manufactures than LS920, the function, which is edited for the object, is valid – there is no connection to or control of the object at the CCU showing if the object is wrongly edited).

• If you choose Text On the text for every activation-position of the digital objects will be shown in the window of the group, and for alarm objects the alarm texts will be shown. This doesn’t concern the analogue objects if they don’t have alarm limits edited.

• If you choose Text Off the text for every deactivation-position of the digital objects will be shown in the window of the group, and for alarm objects the normal positions will be shown. This doesn’t concern analogue objects.

• If you choose Object Number the individual index number of the object will be shown in the window of the group. This index number is mainly used when referring to other objects in system-functions and conditions. For more information, see section System Functions.

The system returns to show "STATUS" after the screen saver has been activated. This happens automatically without any keyboard instruction.


Atlantis - Dial-up connection with the CCU

Dial-up connection with the CCU

A connection between the SCADA and the CCU can be of two types when a modem and a telephone line is used. The connection can be permanent or configured in a way that the CCU will dial up at certain occasions. This is called to have a Dial-up connection, and is mostly configured so that the CCU is calling up the SCADA when an alarm is activated. Connection with the SCADA can also be requested in order to pick up information and change settings.

When the main window shows a group with an object belonging to a CCU, which is connected, with the SCADA by a dial-up modem, there is another button available at the upper part of the main window.

To dial the CCU simply click on Call. When a connection is established the text on the button will change to Hang Up. To disconnect, simply click this button.

The connection is established with a preset time of 300 seconds. If the time of connection begins to run short, click Extend Time to extend the time with another 300 seconds. This function can be utilized several times until the needed maximum time of connection is reached.

The remaining time of the connection to the CCU is shown in the status bar of the window, and is counted down until disconnection.


Atlantis - Event List

Event List

With this key function a window is shown with a list of all the events in the system. The list is dynamically updated and the events are sorted according to the time when they were registered by the SCADA, while the time is set when the event was registered by the CCU.

Except for the functions at the very top of the event list, the content has the same functions as a normal group window. If You click the line for a single object a small window is shown with further object information, where You among other things can go on to the objects home group or manually control the object.

At the very upper left is an editing field showing the date from which the list will start showing events. In this field you can choose another date to be able to see the events on that date. Today’s events are normally always shown. Click the editing field, write the desired day and click the "Enter"-key. The list for the chosen date is now shown.

On the right side of the editing field is a "-" and a "+"- key. With these keys you can quickly go one day backwards or forwards without changing the date in the editing field.

The next group of functions at the very top of the window are the "Page"-key and another "-" and "+" -key. With these keys you can go backwards or forwards one page to look at the events. When doing this the date in the editing field to the left is also changed.

In the middle upper part you can read Latest with a marking-square to the left. If you click on the text or in the square you are marking if the presentation shall be dynamically updated or not. This means that if a new event is coming into the system, the event will be added to the list and automatically shown, even if you for the moment are looking at another page. If you don’t have the "Latest" marked you will not observe when a new event appears. The events will of course be registered anyways so that no events are lost but will be shown when "Latest" is marked again, or when the event list is viewed next time.

The Filter key to the very upper right of the window is used for filtering of events from the event list. For more information about filtering of events, see section The filter window.

The key Abort search to the very upper right in the window is only shown when the database is searched through for new events to show. Searching in the database can sometimes take longer time- especially when filtering is used – and can with this function be stopped when the wanted information is already shown. When the searching has been stopped or is ready, new functions can be chosen.

To remove the window the Window-function at the very upper left corner is used.


Atlantis - The filter window (for the Event List)

The filter window (for the Event List)

This window is shown when choosing the Filter key when looking at the event list. In the window You will find functions to filter special events from the list. It is only the viewed events which are filtered, and no matter how the filtering is done, no events will be erased from the system. All events can be seen again as soon as the filtering is interrupted.

By clicking the Alarm key, all events concerning alarms are filtered from the event list. There are different numbered squares for marking, if You only want to filter alarms with certain priority.

• When marking the square for Alarm all events concerning alarms are filtered.
• When marking the square for On all activations of alarms are filtered from the event list.
• When marking the square for Return all cancelled alarms are filtered from the event list.
• When marking the square for Ack all acknowledgements of alarms are filtered from the event list.
• When marking the squares for A - 0 all events concerning alarms with the corresponding priority are filtered from the event list.

Below the field for filtering of alarms there are another three squares for marking where You can filter other events, and two keys.

• When marking the square for Man all events concerning on/off-control of digital objects are filtered from the event list.
• When marking the square for Ind all events concerning on/off-control of indications of objects are filtered from the event list.
• When marking the square for Misc all other events are filtered from the event list, for instance system events as logging in and print out.

When clicking the key Reset all the markings in the squares in the field for filtering are removed, and all events in the event list are shown again.

When clicking the key Save all existing markings and settings are saved, and next time when the event list is shown the settings will be intact and the same type of events will be filtered.

The keys Ok and Cancel executes respectively cancels the changes which are chosen, and remove the filter window.

To remove the window the Window-function at the very upper left corner is used


Atlantis - Alarm List (existing alarms)

Alarm List (existing alarms)

When clicking this key function a window is shown with all the existing alarms in the system. The list is updated dynamically and the alarms are assorted according to priority. The key is also changing appearance when new alarms are entering the system, as the key with red text is showing the alarm with the highest priority of the alarms still not acknowledged. This gives the possibility of a quick observation when a new alarm is coming into the system.

Except from the extra functions at the very top of the alarm list window, the contents have the same functions as a window for a normal group. When clicking on the line for a single object a small window is shown with further object information, where You among other things can proceed to the home group of the object or acknowledge the object . See the section about Select Group for more information about these functions

At the very top at the left of the window is the key "Multi Ack". With this key you can acknowledge all present unreset alarms in the system, the active alarms as well as the previous alarms.

Further information about acknowledgement of alarms, see section Acknowledgement of alarms.

When the configuration is set to give an alarm signal when a new alarm appears into the system, You stop the alarm sound with the key "Silence". The sound can also be stopped by acknowledging the object or by pushing the "F2"-key on the keyboard.

To remove the window the Window-function at the very upper left corner is used.


Atlantis - Alarm status

Alarm status

The alarm status of an object is shown by text and color.

ALARM STATUS: | COLOR: | PRIORITY:
Unacknowledged remaining alarm | Flashing red/white | Highest
Unacknowledged cancelled alarm | Flashing grey/white |
Remaining alarm | Permanent red |
Normal | The normal color of the object | Lowest


Atlantis - Acknowledgement of alarms

Acknowledgement of alarms

For acknowledgement of an alarm signal you choose the main key Alarm List and then click the key Silence.

For acknowledgement of a single alarm you choose the object, which shall be acknowledged by clicking the text of the name of the object. After that you click the key Ack. When the object is acknowledged the key disappears and will not be visible until there is a new alarm for the object.

For acknowledgement of all the alarms in the system you choose the main key Alarm List and after that the key Multi Ack.

If the system is configurated to use signatures for acknowledgement, a simple editing window will show up and request the user to write his signature. If the signature is not approved for acknowledging of the object, the object will remain unacknowledged and a sound signal can be heard from the computer.


Atlantis - Joint Trend curves

Joint Trend Curves

When choosing the key Trend Curves, on the speed bar at the top of the window in the operation program, a new main window is shown where it is possible to show several trend curves in the same diagram. This window differ from the window showing the trend curve for a specific object, as You here also have a list box and a key named Preferences to the upper right.

In the list box, which in the beginning is empty, different diagrams are collected, consisting of trend curves for a group of objects. When a diagram is made the title is shown in the list box, and by clicking the list box you can see the whole contents of it and you can choose one of the diagrams by clicking the title. This gives the possibility to collect several objects of the same type in different diagrams, and to view different types of trend curves for objects. For example the control of shunt valves for ventilation in different fan-rooms can be collected in one diagram, and the temperatures for supply air to different sections can be collected in another one.

When you have chosen a diagram, all curves belonging to it are shown in the window. To choose the objects, which shall be presented in the diagram, you click the key "Preferences" and a dialogue-window is shown for marking of the objects and the colours of the diagram.

The dialogue window consists of a space for editing of the title, three keys for the colours of the diagram, colours of the trend curves, two keys for adding or removing of objects, one square for marking if the trend curve shall be visible and three lines for object information. Below there is also a key named "Close" to save the changes and to remove the window.

In the space for "Title" the title of the present trend curves are entered. This is the title, which later on will be shown in the list box in the upper part of the diagram window when choosing a diagram.

With the three keys following "Colour" You can change the colours of the background of the diagram, the grid and the rectangle for zooming in respectively. If any of the keys is clicked the object will change colour. Go on clicking until the wanted existing colour appears.

There are eight different choices of colour for the trend curves in the diagram. By choosing one of the eight numbered keys you are choosing that colour for the specific object, which name is shown as the last one on the list shown in the window. Maximum eight trend curves can be shown in the same diagram.

With the key "Add selected object" a new object can be added to the diagram, or an existing connection between objects can be changed. To be able to add an object it must be an open information window for an analogue object visible on the screen. Such a window will open when an object is clicked in a group function window, and it will remain open until it will be closed by clicking the system function in the Window-programme to the upper left of the screen.

When the information-window of an object is open and the key "Add selected object" is clicked the object will be added to the diagram with the colour, which is chosen, from one of the numbered keys following "Curve" above. If the latest chosen colour already has been used for another object, that object will be erased before the new object will be added.

To remove the display of an object from the diagram the key for the colour of the object (one of the keys following "Curve") is clicked, and after that the key "Remove curve" is clicked. The display of the object disappears from the diagram and the colour can be used for another object.

The marking square "Show" is used if the trend curve of the chosen object shall be shown in the diagram or if it shall be temporarily hidden. To hide trend curves might be practical in order to show curves, which is difficult to visualize among other curves or to utilize the auto scale optimally.

Hint!

To add trend curves for objects in new diagrams it’s easier if You have two main windows open side by side. In one of the windows You can have the trend curves and in the other one You can change between groups to pick up objects. When the object that you want to add in the diagram is visible in the group window, You click it to make the information window for that object visible. After that You change to the window for the trend curves and choose the colour of the curve and click "Add selected object". If You want to add more objects You go back to the group window and pick up the next object etc.

To work with more than one main window open, see section Window handling.

See also [ Trend Curves ] [ Functions for Trend Curves ] [ Trend Curves for single objects ]


Atlantis - Trend Curves

Trend Curves

With this key function a window is shown with graphs representing trend curves for the objects. To use curves and diagrams to show the course of events and how the control has been executed for an object, is easy and comprehensibly. Furthermore it is a quick way for troubleshooting of the control of the objects, as there are possibilities of zooming the trend curves at different times.

The ATLANTIS SCADA software offers trend curves for all objects of analogue type - analogue in, analogue out, set points and measuring points – with the exception of curve objects. The course of events for digital- and pulse-objects can’t be visualized by trend curves of the operation program.

In the operation program there are two ways of viewing the trend curves for objects. There is a joint presentation where curves for several objects can be shown in the same diagram, or curves for a specific object can be shown separately. To show the trend curves for several objects you choose the key "Trend curves" which you can find on the speed bar for general functions at the very top of the window. The menu is shown when clicking the Menu key on the same speed bar. To show the trend curves for one object you click the key for Trend Curves which you can find on the menu for objects. The menu is shown when clicking the "Menu"-key in the information window for the object. The joint presentation makes it possible to compare curves for several objects and during the same period of time, for example to compare CCU:s in different buildings or to check which effect a specific regulation have on adjacent objects. For more information about using trend curves for several objects, see section Joint Trend curves.

To be able to save the measuring values the object has to be preset for this purpose, which is done by choosing Edit in the submenu of Menu on the speed bar at the very top of the window. The registrations of measuring values are activated in the editing of objects. For more information about editing of the system, see section Edit.

When trend curves are chosen for an object a new main window is opened, with a black diagram covering most part of the window and a few keys on top of it.

The green curve in the diagram is showing how the values have fluctuated during the period of time, which is indicated on the time-axis. You find the grading of the time-axis in the lower part of the diagram, with a raster-support at every grade. Below the diagram you also find the total period of time and the date.

On the left side of the diagram is the grading for measured values of the object. At the very lower left of the diagram you can read the value of the position of the mouse, followed by the unit of the value. This value can be practical to use as you can’t read an exact value by using only the raster-support.

In some cases you can also see a white rectangle in the diagram-window. This rectangle is used together with the zoom functions to change the period of time in the diagram.

Fore more information about zoom functions and other functions which are available with the keys above the diagram, see section Functions for Trend Curves, where You also find information about the function for showing several curves at the same time.

See also [ Functions for Trend Curves ] [ Joint Trend Curves ] [ Trend Curves for single objects ]


Atlantis - Trend Curves for single objects

Trend Curves for single objects

To show the trend curves for a specific object you choose the key Trend curves which you find in the menu for objects. The menu will show up by clicking the key Menu in the information window for the specific object.

When this key is activated a new main window with a black diagram is shown. For more information about the diagram, see section Trend Curves.

In the upper part of the window for trend curves there are keys with functions for visualization and presentation of the trend curves. For more information about the functions, see section Functions for Trend Curves.

See also [ Trend Curves ] [ Functions for Trend Curves ] [ Joint Trend Curves ]


Atlantis - Functions for Trend Curves

Functions for Trend Curves

In the upper part of the main window for trend curves there are keys to select the presentation.

The keys are divided into three groups. The group to the left is named Year, the group in the middle is named Zoom and the group to the right is named Move. The first two groups have two keys each and the group to the right has four keys. If a presentation of several objects at the same time in the diagram is chosen, there are also a list box and a key named Preferences to the right.

Below the three groups of keys there are four squares for marking named Auto Scale, Bold Curves, Filter Off and Analyze. With these functions the diagram and the curve can be manipulated to make the course of events more clear.

If the joint presentation of curves for different objects is chosen by the key Trend Curves in the speed bar at the very top of the window, there are also a list box and a key named Preferences. See section Joint Trend curves for more information.

The first group of keys to the far left named "Year" consists of two keys with the signs "+" and "-". With these keys you choose presentation of values of the object for the next or the previous year respectively. The selected year is shown within parentheses below the diagram.

The group in the middle named Zoom is also consisting of two keys named In and Out. By using these keys you can change the time scale in the diagram. You can zoom in – show a shorter period of time, or you can zoom out – show a longer period of time. The periods of time are preset on certain intervals, and every click on the in- or out-key make a change of one step in the respective direction.

The available periods of time for the time-axis are:

1 year | Raster support at every month.
1 month | Raster support at 24 hours.
1 week | Raster support at 24 hours.
24 hours | Raster support at every hour.
1 hour | Raster support at every minute.

When using the zooming function you choose the period of time, which you want to zoom by applying the white rectangle over that period on the time-axis. To zoom another period you move the white rectangle to the wanted period by clicking the mouse on that period in the diagram. It is also possible to move the rectangle by pushing the mouse with the cursor inside the rectangle, and keep the button down and at the same time move the rectangle to the wanted position.

The group of keys to the right is named Move, and these keys make it possible to move the start- and stop-time for the period of time in the diagram in a simple way. The group consists of four keys marked with one or two arrows to the left and to the right. By clicking once on one of the keys with one arrow the diagram is moved one step in the wanted direction, keeping the scale of the raster-support. By clicking one of the keys with two arrows the diagram is moved one complete period of time in the wanted direction. The time or date, which is the last one, will appear in the beginning of the time-axis of the diagram if the right key with two arrows is clicked, and reversed for the left key.

The marking square Auto Scale is marked when the diagram automatically shall apply the scale for the y-axis, the axis for values, to cover the area between the highest and the lowest value. This makes it possible to study the fluctuation of the curve. If the marking square is not marked, the scale on the y-axis is applied to show the area between the highest and the lowest set points for the object, according to what is edited for the object.

The marking square Bold Curves doubles the thickness of the line of the curve. This function can be useful when doing a print out to make it easier to observe a particular curve, or to make a curve more visible when the resolution on the screen is high.

The marking square Filter Off is used to level the highest and lowest points of the curve and to soften it. This is used to make it easier to study the fluctuations and trends of the object. Please note that the algorithm for softening of curves only affects extreme tops and glens, which not can be classified as temporary. Curves, which have many short little spikes, are ignored, as softening of these spikes doesn't give any visible effect.

When clicking the marking square Analyze, the maximum-, minimum- and average-value will be marked in the diagram.

See also [ Trend Curves ] [ Joint Trend Curves ] [ Trend Curves for single objects ]


Atlantis - Picture Editor

Picture editor

Display functions

Object properties

Object types

Tools

Page functions

Special object functions

Files & Folders

Keyboard commands


Atlantis - Picture Editor - Display functions

Picture editor – Display functions

The grid

  • Display grid: Activates / deactivates the grid display.

  • Snap to: Snaps the objects against the grid.

  • + / - : Increase / decrease the grid.

Zoom

  • You can select objects and zoom them in.

  • Fit all objects into the display.

  • Scale 1:1 : Resets the zoom factor to 1 (normal display).

  • + / -: Increase / decrease the zoom.

Run / Real Mode

  • Run: You don't need to exit the editor to select the object dialog or test the picture.
    Just press this button and you’re in real mode, press again and you’re back
    in edit mode.


Atlantis - Picture Editor - Object types

Picture editor – Object types

The editor has two kind of main object types:

Static: When an object is static it isn’t connected to any CCU-object , its only purpose
is just for graphical presentation, for example a sensor symbol.

Dynamic: The object is connected to a CCU-object and behaves after that,
depending after the type you’ve chosen.

Text

Following types are available:

Static, Dynamic, Timeschedule, Goto Group, Shortcut to file, Run event.

Symbol / Picture

Following types are available:

Static, Dynamic, Timeschedule.

With Atlantis 5 a Symbol Library is automatically included on every session/edit.
You can build up a whole picture with this library or create your own library made
up with bitmap pictures.
Or you can paint on an ordinary bitmap background and don’t use the library at all.
Usually, making a picture with the Symbol Library is much faster than drawing the whole “display scene” on a big bitmap.
It’s your own preferred taste how you want to edit the picture.

Figures

You have the following types:

Static: Line, Triangle, Rectangle & Circle.
Dynamic: Triangle, Rectangle & Circle.

Overlapped Page

You can display other pages on the present page.

For example: If you want an overview of a couple of other pictures,
you can put them all together to form a new picture just by selecting the desired pages and show them all at the same time.

Tip!

See the overlapped page like a visual form of a Windows shortcut.


Atlantis - Picture Editor - Object properties

Picture editor – Object properties

Visibility

  • Visible: Disable this if you want to hide something visual.

  • Locked: You can lock an object so you don’t do the mistake of moving or resizing it. You can unlock it if just press once the object.

  • Private: Object’s that are in private mode down get converted to the Avalon-CCU or the WEB.

  • Floating: Use this function when you don’t want to get the object affected by the zooming factor or picture position. It always going to stay at the same position. This function is usually desirable when you have a menu system.

Frame & Color

  • Frame: The thickness of the frame.

  • Colour 1: Colour on frame left/up.

  • Colour 2: Colour on right/down.

  • Background: The background colour. You can even change the background colour.

  • Transparent: Transparent mode. On symbols you first must choose which colour will get transparent with the background colour.

Snap To / Align Mode

  • Select where the object will snap to the grid.


Atlantis - Picture Editor - Object edit tools

Picture editor – Object edit tools

The pointer

You can use the pointer tools on one or many selected objects at the same time.
Just press and drag on an empty region and you can select many objects.

Following modes are available:

  • Select

  • Zoom

  • Size

  • Move

  • Rotate

  • Delete

Edit

  • Undo

  • Cut

  • Copy

  • Paste

  • Delete:

  • Select All

  • Inverse Selection

  • Move To Front

  • Move To Back

  • New Object
    With this button you create a new object by the selected list box
    that is close this button. You choose the object type by selecting from the
    list box and then pressing this button.


Atlantis - Picture Editor - Special properties

Picture Editor - Special properties

Motion

The different motions are: Move, Size Rotate & Animate.

You use the following pointer tools to edit the specific motion

Size , Move & Rotate.

Types

Every motion has 4 types and one speed:

  • Off: Disables the motion.

  • Go To: This type is used if you for example have a circular meter and you want to show the value with a needle.
    Or if you have a level sensor, then you can enable the move motion and select the different leves you want with Begin & End.

  • Repeat: This type is often used if you want to animate something, for example a fan that rotates or an arrow direction.

  • Cyclic: When you select this mode the motion goes back and forth.

For animation you you must rename the bitmap symbols to: "xxx Frame 001", "xxx Frame 002", "xxx Frame 003"...
The editor then automatically enables this function.
Examples are included in the Symbol Library!


Atlantis - Picture Editor - Page functions

Picture editor - Page functions

Group / Page

  • Group: Shows / selects the active group to edit.

  • Page: Shows / selects the active page to edit.

Format

  • Format: Here you can choose which format you want to edit in.
    The main picture is called Atlantis then you have the CCU's - Avalon 64 & Avalon 121.

  • ->Avalon: This button enables you to only edit the Atlantis picture and then let the editor automatically convert the page into Avalon.

Archive

  • New Page: Create a new page in the selected group.

  • Delete: Deletes the selected group

  • Rename: Renames the selected page.

  • Save: Saves the selected page.


Atlantis - Picture Editor - Keyboard commands

Picture editor - Keyboard commands

CTRL-Z: Undo.

CTRL-X: Cut.

CTRL-C: Copy.

CTRL-V: Paste.

CTRL-A: Select.

CTRL-D: De-select.

DELETE: Delete.

BACK: Delete.

F: Move objects in front

B: Move objects to back.

G: Grid.

S: Snap.

Left arrow: Move the objects to left.

Right arrow: Move the objects to right.

Up arrow: Move the objects up .

Down arrow: Move the objects down .

INSERT: Create a new object.

+ : Zoom in.

- : Zoom out.

/ : Smaller grid.

* : Bigger grid.

Q: Smaller grid.

W: Bigger grid.

PAGE UP: Change group.

PAGE DOWN: Change group.

ENTER: Enter Run mode / Real mode.

NUM-0: Exit Run mode / Real mode, return to Edit mode.

NUM-1: Zoom.

NUM-2: Select.

NUM-3: Tool 3.

NUM-4: Size.

NUM-5: Move.

NUM-6: Rotate.

NUM-7: Tool 7.

NUM-8: Delete.

NUM-9: Tool 9.

ESC: Exit the editor.


Atlantis - Picture Editor - Files & Folders

Picture editor – Files & Folders

Following folders are used by the picture editor.

  • LARMIA.GFD
    The main picture folder. The files under this folder is there just for compatibility.

  • LARMIA.GFD\ATLANTIS
    The picture folder for the pictures sorted after the group number.
    This is the edit folder when you edit the main picture.

  • LARMIA.GFD\SYMBOL LIBRARY
    The library for all the pictures.

  • LARMIA.GFD\AVALON 64 & LARMIA.GFD\AVALON 121
    The picture folder for the Avalon pictures.
    This is the edit folder when you edit the Avalon CCU.

  • LARMIA.GFD\640 & LARMIA.GFD\800
    The files under those folders is there just for compatibility.

If you only use Atlantis 5 you only need to backup:

  • LARMIA.GFD\ATLANTIS

  • LARMIA.GFD\SYMBOL LIBRAY

  • LARMIA.GFD\AVALON 64 (if you have Avalon 64 CCU’s)

  • LARMIA.GFD\AVALON 121 (if you have Avalon 121 CCU’s)


Atlantis - Time Schedules

Time Schedules

Objects that have outputs can all have a time control. This is performed by a function called "Time Schedule". Time Schedules are separate objects, which have settings for On/Off at given times on different types of weekdays. An output can be completely controlled by the object "Time Schedule", and will then follow the condition of the Time Schedule. The Time Schedule can also be used within conditions and controls to get different regulation on different times for each weekday.

To set a Time Schedule with the times for On/Off for each weekday, You choose the key Time Schedule in the window which shows up when the key Menu has been chosen in the main key bar at the top of the window. A new main window is opened showing a Time Schedule with different weekdays and a row of keys with different functions for the Time Schedule. The functions in the key row are used to set the weekday, which shall be shown, and the time shift if any. More information about how to use the functions, you can find in section Functions for the Time Schedule.

To change the settings of a time schedule and information about how to read the time schedule, see section Editing of Time Schedules.

Otherwise the window is working in the same way as the standard for the Windows program. For further information see the manual for Windows.

See also [ Editing of Time Schedules ] [ Functions for the Time Schedule ]


Atlantis - Editing of Time Schedules

Editing of Time Schedules

To be able to edit a Time Schedule the window for "Time Schedule" has to be visible. The window consists of a row of keys and a Time Schedule. To make the window for Time Schedules visible, you choose the key Time Schedule in the window, which shows up when the key Menu has been chosen in the main key bar at the top of the window.

The Time Schedule consists of different types of days to the left, followed by columns for setting of Start/Stop-times and to the right there is a key named Edit.

The list below shows all types of days which the system can handle.

Everyday | Edited On/Off´s occur every day.
Weekday | Edited On/Off´s occur every weekday (working day).
Monday through Sunday | Edited On/Off´s occur every time it is a Monday, or a Tuesday etc.
Eve | Edited On/Off´s occur every Eve.
Holiday | Edited On/Off´s occur every holiday.
Special day 1 | Edited On/Off´s occur every special day 1 (according to definition).
Special day 2 | Edited On/Off´s occur every special day 2 (according to definition).

These types of days fetch its information from the calendar in the system, for more information about the calendar, see section Calendar. Eves and days, which are fixed as holidays are shown in red, letters and special days are shown in blue letters. The same colours are used in the calendar.

In the area for edited times all the times are shown which are edited for that Time Schedule, with lines which belong to every type of day. These lines are divided into four pairs of columns, each pair having space for one Start- and one Stop-setting. These four pairs of columns represent the maximum eight changes of the conditions in the Time Schedule within 24 hours. In every change of condition, which has an edited related time, the time is shown in hours and minutes separated by a colon. Where time is not edited, there is an underlining instead of hours and minutes.

The key to the right is chosen when you want to change the settings on the Time Schedule. When the key "Edit" is clicked, another four keys show up, one above and three below the "Edit"-key. When these four keys are visible, you can go on and change in the Time Schedule by clicking the time where the line for the type of day and the column for the change of condition are crossing. Instead of the indicated time a square for editing appears, and in that square You type the new time for the change of the condition. This procedure has to be repeated until all new settings in the Time Schedule are done, and after that You choose the key Save to the right, and the Time Schedule is saved.

You can also regret the change and go back to the setting last saved and visible when You clicked the key Time Schedule, by clicking the key Undo, which is situated below Save.

To erase all the settings in the Time Schedule in a quicker way than erasing each setting, You can click the key Reset at the bottom of the additional keys to the right. By doing this, all settings in the Time Schedule in question are erased. Other Time Schedules are not concerned.

If You want to change the title of the Time Schedule, You click the key Title at the top of the keys to the right, and a new window shows up, where You can edit the title. When any change is performed, the CCU has to be restarted, see section Loading of the program into the CCU.

To set the Time Schedule which You want to present and information about the functions of the keys at the top of the window for Time Schedule , see section Functions for the Time Schedule.

See also [ Time Schedules ] [ Functions for the Time Schedule ]


Atlantis - Functions for the Time Schedule

Functions for the Time Schedule

The keys and the functions at the top of the window for the Time Schedule are used for choosing the Time Schedule to be shown and time shift if any. The functions are divided into various sections. The section to the left concerns the chosen CCU/PC, the next section concerns the number of the Time Schedule and the section to the right concerns time shift. In the middle there is also a key for listing of the objects connected to the CCU/PC.

The section to the left consists of two keys and an editing field to the left of these keys. In the editing field you can see the number of the CCU, where the editing of the Time Schedule is saved. The objects, which shall be controlled by the Time Schedule, must belong to the same CCU as the Time Schedule, but you can also save the Time Schedule in the SCADA. In that case you type "PC" in the editing field instead of the number of the CCU. The result of this will be that all objects in all CCU´s connected to the SCADA can use the Time Schedule, but if the communication disappears the CCU´s looses the control by the Time Schedule. Please observe that to save in a CCU only works for CCU-numbers connected with CCU´s from Larmia Control.

To change a CCU-number You click with the mouse on the editing field and type the wanted number of the CCU or "PC" followed by pushing the key Return. You can also step-by-step reach a CCU-number by clicking the key "+" for a higher number and the key "-" for a lower number.

The next section consists also of two keys with an editing field to the left. With these you choose which Time Schedule shall be shown. To change the number of a Time Schedule you click with the mouse on the editing field and type the wanted number of the Time Schedule followed by pushing the key Return. You can also step-by-step reach a number of a Time Schedule by clicking the key "+" for a higher number and the key "-" for a lower number. At the same time as the number of the Time Schedule is changed also the title of the window is changed to the matching one.

By clicking the key Obj.list in the middle, a new window will show up on the screen listing all objects connected to the CCU/PC in question.

The section to the right consists of two editing fields for setting of time shift if any. The left one shifts all Start-settings and the right one shifts all Stop-settings of the Time Schedule. The time shift is indicated by clicking with the mouse on one of the editing fields and typing of the number of minutes, which the Start- or Stop-setting shall be delayed or changed to an earlier time. A positive figure delays the change of the condition and a negative figure moves the change of the condition to an earlier time. The time shift is mostly used in connection with system functions, as any system function can be indicated in the Time Schedule. This results in that the time shift can be controlled by objects or conditions, which move the Time Schedule a certain time in a certain wanted direction depending on the conditions. It is important to know that if the time shift is changed after a change of the condition, the change of the condition will not be changed again. The reason for this is to avoid unnecessary Start/Stop´s to be generated as the conditions might change when changing the Time Schedule.

See also [ Time Schedules ] [ Editing of Time Schedules ]


Atlantis - Calendar

Calendar

To get a general view of the days of the year, when a festival falls and on which day of the week a certain date falls, there is a calendar in the system. The calendar will be shown by clicking the key Calendar in the window, which shows up when the key Menu has been chosen in the main key bar at the top of the window. Now you can see a new main window showing the days of the week and a key bar at the top.

The calendar itself shows information about the days in the present week starting from Monday. The present month and year are shown above the days. The information shown is the date, the day of the week and the number of the week at the top to the right. Weekdays and the day before holiday are shown in black and holidays in red. The date of today is surrounded by a red rectangle.

At the top of the window of the calendar there are three groups of keys with two keys in each group and a field for editing in two of them. On the next row to the left there is a key Edit. With the group to the left you choose the year, which you want the calendar to show. With the two keys marked "-" and "+" You can step one year backward or one year forward from the visible year. The same year, which is shown in the calendar, is also shown in the editing field to the left in the group. In that field you can also type by yourself which year you want to be shown in the calendar.

The next group in the middle you can use to choose which month to be shown in the calendar. With the two keys "-" and "+" You can step one month backward or one month forward from the visible month. The same month, which is shown in the calendar, is also shown in the editing field to the left in the group. In that field you can also type by yourself which month you want to be shown in the calendar.

With the third group you can choose which week to be shown in the calendar. The two keys "-" and "+" are used for stepping one week backward or one week forward from the visible week. The number of the week you can see to the upper right in the calendar. There is no editing field for the weeks, and you can’t type any number of a week by yourself.

The key Edit in the row below is used for adapting the calendar to a specific plant. The function makes it possible to make deviations from the preset normal holidays, and also to add special days applicable to the specific plant. These special days are used by the time channels, which are adapting the information if there is any edited.

When choosing the key Edit another two functions appear in the row. The key is named Save and there is also a list box. To change the type of a weekday on a specific date, you choose the type of the day in the list box, where all types of days are listed. The types of days are:

Eve | Eve has an own schedule for time channels.
Holiday | Holiday has an own schedule for time channels.
Special day 1 | Own defined special day, has an own schedule for time channels.
Special day 2 | Own defined special day, has an own schedule for time channels.
Normal day | Normal weekday has an own schedule for time channels.
Red day | Eve or holiday, but is connected as a Normal weekday in time channels.
Day text | Extra text can be added for the day.
Flag day | Adds a flag to the date.

Special days are used for own defined days, when the time channels are not following the normal day case for example the day before Christmas Eve or vacation days.

When you have chosen the type of day in the list box, you use the mouse to point out the day, which you want to change, and when clicking this day it is changed. This procedure has to be repeated until the calendar is applicable to your situation. After that you click the key Save to save the modified settings for the calendar or choose another function to regret and no changes will be saved. When changes have been done, the CCU has to be reloaded, see section Loading of the program into the CCU.


Atlantis - Event Assistant

Event Assistant

Choosing events:

Here you choose which event you want to work with.

With this button you save the running event.

Delete a running event when you no longer need it with this button.

Creates a new event when you press this.

With this button you can add a comment to a specific event.

Triggers:

Activate/Deactivate an event directly or by date.

With this buttons you can create, delete or change triggers.

With this dialog window you can change a trigger.

Following types exist:
Date, Time Schedule, condition & object nr.

You can also invert the signal.
And it can be disabled.

The object window:

The list shows first the group name then the object name and last the status that will be saved.

- Change a status on an object.

- Add a new object.

- Delete selected object.


Atlantis - Edit (plant configuration)

Edit (plant configuration)

With this key function a new programme is started to edit and to make the configuration of the system. To edit the system means to create and change groups and objects in such a way that the system is presented as clear as possible, and to give the groups and objects suitable names. Here you decide the type of the object, the address of the object and to which group the objects belong. The control and regulation of the object are also decided here, as well as conditions, controllers and connections between objects. To configure the system means to set joint functions of the objects in a proper way.

All these functions are performed in another programme, where the configuration is the same as in an operation program of the operative system DOS. The difference from that operation program is that this editing program has no communication with external units and CCU´s, and that certain functions in the programme have no effect. There are certain functions, which are disconnected, and other functions, which don’t have any influence on the settings. Below You can find a description of the functions which should not be used, and after that a description how to find the permitted settings. When the function is found You can find help for the settings and effects of the functions in Enclosure 1, which is an extract of the manual for the operation program in DOS. The handling of the editing program is the same as for the operation program in DOS.

Please observe that the Windows NT operation program is working in the background, which means that if there are any alarms they will be printed out on the printer and sent via a modem for instance to Minicall.

When you choose the key Edit the program is started and is covering the whole window, and the main menu for the programme is shown. In the upper part of the window you can find a row of keys, and to the right of the keys there are information about type of system, date and time. The menu itself is brown and consists of seven sections. In each section there are functions to choose between, and at last there is a function named "To operation". If the mouse clicks this function the editing program is finalized and you return to the operation program in Windows NT. The sections consist of the following functions:

SYSNO: | Here You will find help-texts for system numbers, see also section System number (SYSNO).
SYSTEM FUNCTIONS: | Here You will find help-texts for system functions, see also section System Functions.
CONDITIONS: | Here You will find settings for conditions in the system, see also section Conditions.
CONTROLLERS: | Here You will find settings for the controllers in the system, see also section Regulators.
CCU CONNECTIONS: | Shows a picture of the CCU´s in the system, how they are connected and which modules they consist of.
SYSTEM EDITING: | Here You will find functions for editing of the system, adding and changing of texts, names, objects and groups and setting of all connections within the system.
TO OPERATION: | Return to the operation program in Windows.

The key row at the top has also certain functions, which can be clicked for using as follows:

LOG IN: | No effect.
ALARM: | No effect.
MENU: | Shows the main menu for the editing program.
EVENT LIST: | No effect.
TREND CURVES: | No effect.
SELECT GROUP: | No effect.
MODE: PICTURE/TEXT: | No effect.
LATEST CHOICE: | No effect.
LARMIA CONTROL LOGO: | Shows the information window for the system.
TIME AND DATE: | Should not be chosen as it has only temporary effect.

These are the functions, which are available and can be chosen. Below You will find a description of the most common applications of the editing program, for other functions see Enclosure 1.

Editing of the system: | Go to the main menu by choosing the key Menu in the key row at the top. When You choose System Editing these function will appear. For further information see the help in Enclosure 1.
Editing of conditions: | Go to the main menu by choosing the key Menu in the key row at the top. When You choose Conditions, the window for editing of conditions will show up. For further information see the help in Enclosure 1.
Editing of controllers: | Go to the main menu by choosing the key Menu in the key row at the top. When You choose Controllers, the window for editing of controllers appears. For further information see the help in Enclosure 1.
Showing of CCU´s: | Go to the main menu by choosing the key Menu in the key row at the top. When You choose CCU Connections, the window for showing of the CCU´s and their connections appears. For further information see the help in Enclosure 1.

Please note that when there is a change in the editing, the system has to be restarted, otherwise the operation program in Windows will not take notice of the change. The restart should be done as soon as possible after the change of the editing. Restart of the program is done by pushing the "CTRL-ALT-DEL" keys and then You choose finish with restart. The push button key "Restart of the System", which is in the editing mode is only used when new editions shall be loaded,. This restart is not needed for changes.

See also [ Conditions ] [ Regulators] [ System Functions]


Atlantis - Conditions (logic functions)

Conditions (logic functions)

Control and regulation of objects can be done in different ways. Normally the control of an object is depending on different other factors which are connected in a unique way for the specific object. These factors can be the value of other objects in the system, time factors or a combination of these. To combine these factors in a certain way to obtain a special character of a new factor is called to put conditions together. A condition is calculating its specific value by putting other values together in a specific way. This condition can then be directly connected to objects for control and regulation, and also be used for other functions to control periphery equipment and the system as a whole.

In the operation program for Windows the editing and the connecting of these conditions are to be find in a program under the function Edit, and is called Conditions. This function is selected by clicking the key Edit at the top of the key bar for the operation program. Then a new program is starting where the function for connecting and editing of conditions can be found. See also section Edit for more information about how to find the function for creating, changing and connecting of conditions to objects.

See also [ Edit ] [ Regulators ] [ System functions]


Atlantis - Loading of the program to the CCU

Loading of the program to the CCU

All CCU's manufactured by Larmia Control, which have communication with the SCADA, can load its edition from the SCADA. To load the edition means that every CCU in operation will have a unique profile of its own regarding the objects belonging to it and their connections to the CCU, and also how the control and regulation shall be performed. That profile is different from CCU to CCU and is not stored permanently but temporary to make it easy to change. The profile is distributed to the CCU´s in such a way that they are able to control and regulate also when there is no connection to the SCADA.

Changes are not only concerning names and distinctions but also regarding control and relation of the objects and management of the CCU. The uniqe profile is called the edition of the CCU. To execute a change in the CCU, the change has to be transferred to the CCU, which is done by the action called Send Edit to CCU.

To load a new edition to a CCU after a change has been done, you choose the key Load Edit in the window with keys which shows up when the key Menu in the main key bar at the top of the window has been clicked. A new window is shown with functions for loading a CCU from the SCADA.

This window require that You know in advance in which CCU's changes have been done, as the identification-numbers of the CCU's are used. For more information about the identification-number for a CCU, see section What is a CCU?

When the identification-numbers for the CCU's are known, the lowest number is typed in the upper field with the text From and incl. CCU No., and in the lower field with the text To and incl. CCU No. the highest number of the CCU's which shall be loaded shall be typed. To choose the identification-number you can place the marker in the editing field and type the wanted number. You can also step-by-step reach the number with the keys "-" "+" to the right of the editing field.

When the appropriate CCU's are chosen, you click the Send Edit to CCU key in the window or the Return-key on the keyboard, and the changes are automatically sent to the respective CCU. The CCU will then be restarted with the new edition, and the window for loading the edition disappears.

The loading of the edition to the CCU can be stopped by clicking the key Cancel in the window or by closing the window using the Window-menu at the very top of the window to the left. This doesn't mean that the performed changes in the SCADA are cancelled, but sending of new edition to the CCU will not be executed. The changes remains and can be transmitted later.

Please note that loading of a CCU only works together with the Larmia Control LS920.


Atlantis - To start and to quit

To start and to quit

In the operation program of Larmia Control You distinguish between a server part and a client part. The program, which acts as a server part is called LCServer. The assignment of this programme is to execute all tasks in the system, as communication with the CCU's, print-outs, handling of alarms, loggings etc., and is the driving member of the system. The user can’t influence this program, and therefore it can be integrated into Windows as a service.

The client part of the operation program is called LCClient.exe, and is the part, which presents all data and information, and makes it possible to change the settings in an easy and understandable way for the user. All the information is picked up from the server part, and therefore it can't work by its own but must be able to communicate with the server part. If only the client part is started, it will automatically be closed after five seconds.

Both these programs are started by running its .exe file, either from an icon in the program manager or from the file manager in Windows.

The client part can also be started via the network, where switches are used to state where the client program shall search for files for editing and graphics and status and events in the system. The switches shall be formed according to the following syntax:

LCClient.exe [computer name] [share name] [computer name] [share name]

Where the first group of computer and share name is stating where the client program shall pick up status and events in the system, and the other group is stating where to pick up files for editing and graphics. Below is an example of start up via the network for the client program, where editing and pictures are available in a catalog shared as "Larmia" locally on a computer named "Portable-computer", and where a computer named "Larmia-central" with the share name "Larmia" runs the server program:

LCClient.exe Larmia-central Larmia Portable-computer Larmia

Another function, which can be used when starting up of the client, is automatic log in. By stating the switch "/p" directly followed by a password for the level where You want to log in, the client program is started at that level. An example of automatic log in is:

LCClient.exe /pvolvo

(Logs in at level 2 if the password isn't changed).

The standard Windows window handling functions are used for minimizing, maximizing, restoring and exiting the program.


Atlantis - Configuration

Configuration

By configuring a system means to set common functions of presentation for the operation program, and to state certain connections to peripheral units. It includes also setting the measures to be taken when there is an alarm or a fault.


Atlantis - The Control Panel

The Control Panel

Windows includes a program called "The Control Panel", where You do the settings for Windows NT and belonging programmes. Here you can design your desk, the configuration of the network etc. This programme is also used for making the settings for the operation program. You can set the telephone-numbers for Minicall, functions for the printer, presentation of alarms etc.

The control panel will be reached by clicking the key Control Panel in the window, which shows up when the key Menu has been chosen in the main keybar at the top of the window. Each part of the Window NT, which is set here, will have an icon in the window of the control panel.

To start any icon in the control panel, the icon for the part of the system, which shall be changed, shall be marked, and You can push either the key "Return" on the keyboard or make a double-click with the mouse on the icon.


Atlantis - Regulators

Regulators

Controlling of analogue objects differs from controlling of digital objects as digital objects only have two positions of status, but an analogue object can have any value between given limits. Because of that analogue objects are normally controlled by regulators, which are capable of continuous control and regulation of the object to the most appropriate value according to set factors. These factors can in the same way as for conditions be other objects, time schedules and combinations of these. The regulator uses the values of these given factors, adapts the regulation according to that and executes the suitable regulation after certain time intervals.

In the operation program for Windows the edit and connections of these regulations are available in a program called Regulators under the function Edit. This function is selected by clicking the key Edit to the upper right in the key bar for the operation program. Then a new program starts where the function for connecting and editing of regulators are. See also the section Edit for more information about how to find the function for creates, change and connect regulators to objects.

See also [ Edit ] [ Conditions ] [ System Functions ]


Atlantis - Notes

Notes

There are three types of notes. There are notes valid for the whole system, for instance information to other people regarding editions, time for testing of the system, visits etc. There are also notes concerning single groups, with information regarding the whole group or all the objects in the group for instance concerning rebuilding, changes of connections between objects, time for changes or maintenance. At last there are also notes for the single object, where information regarding service and maintenance, intervals, spare parts and reports about faults can be noted.

All these notes can be reached from a key in the menu function of each category, for the system, for the group and for the object. For the system You can find the menu at the top among the main keys, for the group You can find the menu at the top to the left in the group window and for the object You can find the menu in the information window of the object.

When clicking the key named Notes a simple program with a text editor will start, where you can read, add and change the text if there is any. To go back to the operation-program, the text editor has to be finished.

The text editor has a help-function included for the functions in the program, where you can find more information.


Atlantis - Misc. buttons

The Calculator

Windows includes a program called "Calculator", a program which looks like and works as a mini calculator. There you can find help not only to make elementary mathematic calculations with the four rules of arithmetic but also help to solve more advanced complicated mathematic problems.

To start the calculator You choose the key "Calculator" in the window with keys which shows up when the key "Menu" in the main key bar at the top of the window has been clicked.

The calculator-program has a help function included, which is referred to for further information about how to use the program.

Last choice

With this key function the last chosen group or function will return to the window. Functions, which can be returned, are the ones, which cover a new main window, as alarm list, list of events and Trend Curves.

Help texts

With this key function you can reach the help available in the program in a simple way. The help text starts with the main list of contents. The content is the same as in the documentation for the LS 9000-system, but in the help text it is easier to jump from one information to another, and you can look for single words.

Larmia Control

When using this key function an information-window will show up where you can find the version number of the programme and the telephone number to the manufacturer

Window handling

These three keys include functions to arrange the main window of the programme, to show various windows at the same time and to adjust the appearance according to the size of the screen.

The key to the left with a blue plus sign generates a new window without removing the existing one. At the same time the windows on the screen will automatically be arranged in such a way that all of them are visible.

The key in the middle arranges all the windows above each other, and the key to the right arranges all the windows beside each other.

To close a window the key at the very top to the very left of the window is used. You can either click that key once or click "Close" in the menu, which will open, or you just double-click the key.

Time and date

There is a system clock, which shows the present time and date. Time and date can be adjusted as normal in "Date/Time", which you find in the Control Panel.


Alarm Configuration - Summary

LCAlarmConfig (configuration software for the AlarmServer)

  • Program module for sending alarms to different receivers.
  • Built-in test alarm for easy simulation.
  • Updates and settings are easily made through the configuration interface.
  • Detailed text log on all events.
  • Simple input using "popup" windows.
  • 20 different transmissions for each transmission type.
  • The server is capable of handling several plants (servers) via network (TCP/IP).
  • Handles both outgoing alarms and incoming calls on the same COM port.
  • Settings for incoming calls.


Alarm Configuration - Menu

MENU

Tools

Test Alarm (hotkey "F2")

Creates a test alarm in the Larmia.lar folder (103Alarm.txt-110Alarm.txt).
This eliminates the need for creating a test alarm in Atlantis.

Send test alarm
 | Plant number (id) | The plant to be tested.
 | Plant name | Optional name which will be presented to the receiver.
 | Group name | Optional name which will be presented to the receiver.
 | Object name | Optional name which will be presented to the receiver.
 | Status text | Optional name which will be presented to the receiver.
 | Object type | Object type to be tested.
 | Alarm class | Alarm class to be tested.
 | Alarm | Alarm status to be tested.
 | Areas | Area to be tested.
 | Create scheduled alarm | Creates an alarm file and a command file in the Larmia.lar/Schemalagd folder. Create a Scheduled Activity in Windows and link the command file to this activity. The test alarm will be sent according to the time set in the activity.
 | Show log window | Displays the log window.
 | Send alarm | Creates and sends a test alarm.
 | Close | Closes the dialog.

Update

Updates the Alarm Server with the latest settings.

Settings

Run the server as a Service (if the server should be started by LCService)
RAS |  |
 | Service name | The name of the Service to be used.
 | Param : 1 |
 | Param : 2 |
 | Param : 3 |
Save | Saves the settings. |
Restore | Restores the last saved settings. |
Close | Closes the dialog. |

Convert

Converts the alarm settings from the Registry to the new format and adds the computer name.
It only converts settings for SMS, Minicall and relay outputs.
Click Convert to start the conversion.
Click Cancel to close the dialog.

Logs

System

Displays the system log for the Alarm Server.

  • Shows when alarms have been read and deleted.

  • Initiation of Time Schedules and Conditions.

  • Shows where the alarms are added.

Transmissions

Displays the current and historical logs of the alarms.

Sending | Shows alarms which currently are being sent.
OK | Shows alarms which have been sent.
Error | Shows errors during alarm transmissions.

Right click in a log to display the following menu:

Show Send Log
Displays what has or is to be sent.

Show Receive Log
Displays the history of the respective receiver log.

Edit
 | Delete transmission files | Deletes all transmission files.
 | Delete log (receiver types) | Deletes all receiver logs.
 | Delete alarm files | Deletes all alarm files located in the Larmia.lar folder.
Update or hotkey "F5" | Updates the log window |

Error log

Displays a text file with all error logs.

Detailed log

Email | Shows a detailed log the receiver type Email.
SMS | Shows a detailed log the receiver type SMS.
Minicall | Shows a detailed log the receiver type Minicall.
Relay output | Shows a detailed log the receiver type Relay output.
Printer | Shows a detailed log the receiver type Printer.
Fax | Shows a detailed log the receiver type Fax.
SOS Alarm | Shows a detailed log the receiver type SOS Alarm.
Conditions and Time Schedules |
 | Displays the current status of Conditions and Time Schedules. This window is updated every three seconds.

Help

Index
Displays the help topics

About LCAlarmConfig
Displays the version number and the licence key.


Alarm Configuration - Transmission Types

Transmission Types

Email | Email transmissions | Sends alarms to an email address.
SMS | SMS transmissions | Sends alarms to a SMS number.
Minicall | Minicall transmissions | Sends alarms to a Minicall number.
Relay output | Relay output transmissions | Closes a relay contact in a relay box. Used for i.e. transmission through Robofon alarm transmitters.
Printer | Printer transmissions | Prints alarms on a printer.
Fax | Fax transmissions | Sends alarms to a fax number.
SOS Alarm | SOS Alarm transmissions | Sends alarms to a SOS Alarm central.
Common for these transmissions
Plants |  |
 | Plant Nr | Plant number.
 | Computer name | Computer name or IP address. Can also be a local path or a path to a network share.
 | Activate checkbox | Use this checkbox to activate/deactivate each transmission type.
Save button | Saves the settings. If you switch to another tab without saving, a message will be displayed prompting you to save the changes.
Restore button | Restores to the last saved settings.
Exit button | Exits the program.
Areas: | Areas are created/defined in the editing software (LCEdit.exe).
 | Areas | Areas in the system.
 | Selected areas | Alarms belonging to these areas will be transmitted?.
 | Arrow right | Add the selected area.
 | Arrow left | Remove the selected area.


Alarm Configuration - Quick Functions

Quick Functions

If you right-click in i.e. the SMS Modem initiation text field some standard options are displayed.
Click one of these to paste the value into the text field.

Text fields with quick functions are:

Mail | Function control for sending
SMS | Function control for sending
 | Modem initiation (Powerbit modems only)
 | Modem reset (Powerbit modems only)
 | Modem pool number (Swedish operators only)
 | GSM Service Number
Minicall | Function control for sending
 | Modem initiation (Powerbit modems only)
 | Modem reset (Powerbit modems only)
 | Paging Service Number with prefix
Relay output | Function control for sending
Printer | New port
 | Function control for sending
 | Extra text condition
Fax | Function control for sending
SOS Alarm | Primary SOS address
 | Secondary SOS address
 | Port
 | Acknowledgement
 | Function control for sending


Alarm Configuration - File Structures

File structures of the Alarm Server

Files needed for the alarm handling
Larmia.prg |  |
 | LCServer | The Atlantis Server.
 | LCAlarmConfig | Configuration for the Alarm Server. Saves the settings in LCAlarm.mdb instead of the registry.
 | LCAlarmServer | The Alarm Server.
 | LCDB.dll |
 | LCEdit.exe | Only for managing alarm areas.
 | Lservice.exe |
 | LCClient | Has an extra button called Alarm Configuration.
Larmia.lar |  |
 | LCAlarm.mdb | Password protected database for alarm settings. Must be connected to ODBC with the name LCAlarm, using the Microsoft Access Driver (*mdb).
Larmia.lar\FAX\Header |  |
 | FaxHeader.txt | Used for inserting a fax header into every outgoing fax.
Files that are created |  |
Larmia.lar |  |
 | xxxAlarm.txt | Alarm files.
 | Villkor.txt | A file containing all the Conditions in the PC. Updated every minute by the Atlantis Server (LCServer).
 | Tidkanal.txt | A file containing all the Time Schedules in the PC. Updated every minute by the Atlantis Server (LCServer).
 | InfoAlarmServer.txt | Log file for the Alarm Server. Contains information about when alarm files are read and deleted.
 | Mail.txt |
 | SMS.txt |
 | Minicall.txt |
 | Fax.txt |
 | LoadMe.txt | A file for automatic update of the Alarm Server. This file is created by LCAlarmConfig. The Alarm Server uses this file to know when to update.
 | Printer.txt |
 | Errorlog.txt | Error log.


Alarm Configuration - Settings

Settings

Create a dial-up connection for email transmission

Configure a remote connection with phone number, user name and password.
Test the connection by going online.
Check the Dial-up checkbox on the Mail tab in LCAlarmConfig.exe.
Enter the name of the connection in the Connection Name text field.

Printer configuration

Matrix printer OKI MICROLINE 280
PITCH 10
MODE UTILITY

Serial communication
Install a printer locally (Generic / Text Only).
Print a test page from Notepad.exe.

Port settings:
Speed: 9600
Data bits: 8
Parity: none
Stop bits: 1
Flow control: none
FIFO: activated

Switches:
DIP SW.: 00011010
SW1: 11111101
SW2: 01100110

Parallel communication
Port settings:
Activate Identify older Plug and Play units.
Do not use interrupts.

Switches:
DIP SW.: 00011010

TCP/IP communication
Create a new port in LCAlarmConfig, xxx.xxx.xxx.xxx\dddd
xxxx = IP address
dddd = IP port number

Settings for LANTRONIX RS232

Printer |  | LANTRONIX
25 pin Male |
3 | -> | 4
7 | -> | 8
11 | -> | 2

Fax configuration

Windows 2000
Go to Fax in the Control Panel.
Open the Advanced Options tab and click Add a Fax Printer.
Open the Fax Server Management Console and select which modem to use.
NB! The modem must be installed before you select a fax modem!
Go to the User Information tab and enter a name in the Company field. This is the name that will be printed on the fax.

Windows XP
Go to Printers and Fax in the Control Panel.
Install a local fax printer.
Use the fax printer as default.


Alarm Configuration - Course of events

Course of events

  • When an alarm occurs in the system, the LCServer creates a text file named XXXAlarm.txt in the Larmia.lar folder.
    XXX is a number between 0 and 110 and is used as an identifier:
    1-101     are alarms that originates from LCServer.
    102     are network alarms.
    103-110     are used for alarm testing from the configuration software (LCAlarmConfig.exe)
  • The Alarm Server checks the alarm file and creates an XML file for each transmission type used.
    This/these file(s) is created under the corresponding folder(s).
  • When the alarm is sent, a history file is created in the Sent or Error folder, depending on whether the transmission was successful or not.

NB! If a Time Schedule or a Condition is used, it can take up to one minute before it switches to 'ON' or 'OFF'.


Alarm Configuration - Email

Email

Email settings
 | Email address (sender) | The email address of the sender. This address is shown in the "FROM" field of the message.
 | SMTP server | Outgoing email server.
 | Used for dial-up connections.
 | Dial-up | If a dial-up connection will be used.
 |  | Connection name | The name of the remote connection.
 |  | User name | User name for the remote connection.
 |  | Password | Password for the remote connection.
 |  | Use same port as RAS | If RAS is attached to the same COM port.
 | Resend attempts | How many attempts the Alarm Server will make to resend when a transmission fails.
 | Resend interval | The interval between resends.

Functions for sending
 | Email transmissions |  | Selection of email transmission; 1-20.
 | Alarm |  | Selection of alarm status; Activation, Cancellation or Acknowledgement.
 | Alarm class |  |
 |  | Network alarm: | Used if there are several plants or if the Alarm Server is located on a computer not running the Atlantis Server. An alarm is sent when the connection between the Alarm Server and the Atlantis Server is broken.
 |  | Class 1-6: | The alarm class to be sent.
 |  | Send list: | Sends a list of selected alarms. The function control for sending must be a Condition or a Time Schedule. The alarm list will be sent when the function control is activated (ON). If the function control is inactive (OFF), the alarms will be added to the list.
 | As file |  | If the list should be sent as a text file or as plain text in the email.
 | Scaled alarm text |  | Only if Send List isn't activated. Removes unnecessary information from the message. Used for forwarding to e.g. SMS.
 | Function control for sending |  | Time Schedule, Condition, TILL (ON) or FRÅN (OFF). The function control must be activated in order for the alarm to be sent.
 | Email address (receiver) |  | The email address of the receiver.


Alarm Configuration - SMS

SMS

SMS settings
 | Port with modem connected | The COM port which the modem is connected to.
 | Modem initiation | Initiation string for the modem.
 | Modem reset | Reset string for the modem.
 | Modem pool number | Service number for the SMS modem pool.
 | Number of SMS messages / connection | The number of SMS messages to be sent when connected. This number is useful when using modem pools that handle more than 2 messages per connection. If you the quick function (right-click), this field will be filled automatically, otherwise a number must be entered manually. NB! If this field is blank, the standard value (2 messages / connection) will be used.
 | Sender number | This number will be shown as the sender in the SMS.
 | Use same port as RAS | If RAS is attached to the same COM port.
 | GSM Modem | If using a GSM modem
 |  | Service number | Phone number of the SMS service used.
 |  | PIN code | PIN code for the subscription card in the GSM modem.
 | Resend attempts | How many attempts the Alarm Server will make to resend when a transmission fails.
 | Resend interval | The interval between resends.

Functions for sending |  |  |
 | SMS transmissions |  | Selection of SMS transmission: 1-20
 | Alarm |  | Selection of alarm status; Activation, Cancellation or Acknowledgement.
 | Alarm class |  |
 |  | Network alarm: | Used if there are several plants or if the Alarm Server is located on a computer not running the Atlantis Server. An alarm is sent when the connection between the Alarm Server and the Atlantis Server is broken.
 |  | Class1-6: | The alarm class to be sent.
 | Function control for sending |  | Time Schedule, Condition, TILL (ON) or FRÅN (OFF). The function control must be activated in order for the alarm to be sent.
 | Receiver number |  | Phone number of the receiver.
 | Name optional |  | Only used for naming each phone number.


Alarm Configuration - Minicall

Minicall

Minicall settings
 | Port with modem connected | The COM port which the modem is connected to.
 | Modem initiation | Initiation string for the modem.
 | Modem reset | Reset string for the modem.
 | Paging Service Number with prefix | The Paging Service Number for the Minicall subscription.
 | Sender account number | Account number for the Minicall subscription.
 | Sender password | Password for the Minicall subscription.
 | Use same port as RAS | If RAS is attached to the same COM port.
 | Resend attempts | How many attempts the Alarm Server will make to resend when a transmission fails.
 | Resend interval | The interval between resends.

Functions for sending
 | Minicall transmissions |  | Selection of Minicall transmissions; 1-20
 | Alarm |  | Selection of alarm status; Activation, Cancellation or Acknowledgement.
 | Alarm class |  |
 |  | Network alarm: | Used if there are several plants or if the Alarm Server is located on a computer not running the Atlantis Server. An alarm is sent when the connection between the Alarm Server and the Atlantis Server is broken.
 |  | Class 1-6: | The alarm class to be sent.
 | Function control for sending |  | Time Schedule, Condition, TILL (ON) or FRÅN (OFF). The function control must be activated in order for the alarm to be sent.
 | Receiver number |  | Phone number to the receiving Minicall unit.
 | Optional name |  | Only used for naming each phone number.


Alarm Configuration - Relay Output

Relay Output

Used for i.e. transmission through Robofon alarm transmitters.

Relay settings

Connected port for relay outputs

The port which the relay output box is connected to.

Functions for sending
 | Relay output | Selection of relay outputs: 1-8
 | Function control for sending | Time Schedule, Condition, TILL (ON) or FRÅN (OFF). The function control must be activated in order for the alarm to be sent.


Alarm Configuration - Printer

Printer

Printer settings
 | Printer port | The port which the printer is connected to.
 | New port | Creates a new port i.e. an IP port.
 | Add | Adds the port indicated in the text field.
 | Delete | Deletes the selected port.

Functions for sending |  |  |
 | Alarm |  | Selection of alarm status; Activation, Cancellation or Acknowledgement.
 | Alarm class |  |
 |  | Network alarm: | Used if there are several plants or if the Alarm Server is located on a computer not running the Atlantis Server. An alarm is sent when the connection between the Alarm Server and the Atlantis Server is broken.
 |  | Class1-6: | The alarm class to be sent.
 |  |  | Manoeuvres, Indication and others transmit events.
 | Function control for sending |  | Time Schedule, Condition, TILL (ON) or FRÅN (OFF). The function control must be activated in order for the alarm to be sent.
 | Condition for extra text |  | Prints extra text if the text field is TILL (ON).


Alarm Configuration - Fax

FAX

Fax settings
 | Server name | The name of the computer running the fax server, usually the computer name or the IP address.
 | Fax header | If a fax header should be included in the fax.
 | Resend attempts | How many attempts the Alarm Server will make to resend when a transmission fails.
 | Resend interval | The interval between resends.

Functions for sending
 | Fax transmissions |  | Selection of fax transmission; 1-20.
 | Alarm |  | Selection of alarm status; Activation, Cancellation or Acknowledgement.
 | Alarm class |  |
 |  | Network alarm: | Used if there are several plants or if the Alarm Server is located on a computer not running the Atlantis Server. An alarm is sent when the connection between the Alarm Server and the Atlantis Server is broken.
 |  | Class1-6: | The alarm class to be sent.
 | Function control for sending |  | Time Schedule, Condition, TILL (ON) or FRÅN (OFF). The function control must be activated in order for the alarm to be sent.
 | Fax number |  | The phone number of the receiving fax machine.


Alarm Configuration - SOS Alarm

SOS Alarm

SOS settings
 | Primary SOS address | Address to the primary SOS sever used for the first 3 tries.
 | Secondary SOS address | Address to the secondary SOS server used for the next 3 tries.
 | Port | The port used for sending messages to the SOS server.
 | Acknowledgement Time-out | Time-out for response from the SOS server.
 | User name | User name for the SOS account. Provided by SOS Alarm.
 | Password | Password for the SOS account. Provided by SOS Alarm.
 | Resend attempts | How many attempts the Alarm Server will make to resend when a transmission fails.
 | Resend interval | The interval between resends.

Functions for sending
 | SOS transmissions |  | Selection of SOS Alarm transmission: 1-20
 | Alarm |  | Selection of alarm status; Activation, Cancellation or Acknowledgement.
 | Alarm class |  |
 |  | Network alarm: | Used if there are several plants or if the Alarm Server is located on a computer not running the Atlantis Server. An alarm is sent when the connection between the Alarm Server and the Atlantis Server is broken.
 |  | Class 1-6: | The alarm class to be sent.
 | SOS Alarm ID |  | Alarm ID for each alarm class. Provided by SOS Alarm.
 | Function control for sending |  | Time Schedule, Condition, TILL (ON) or FRÅN (OFF). The function control must be activated in order for the alarm to be sent.


Alarm Configuration - Troubleshooting

Troubleshooting

Transmission errors

  • Is the Alarm Server updated with the latest settings?

  • Check that an alarm file, named XXXAlarm.txt, is created in the Larmia.lar folder.
    The structure of the file is:

    • Flag

    Plant

    Plant name

    Object number (id)

    Object name

    Object type

    Group number (id)

    Group name

    Class

    Code

    Status

    Value

    Date

    Time

    Area

    Alarm class

    Each value is separated by a semi-colon (;).
    Example    :
    1;1;TEST PLANT;12;TEST OBJECT;1;4;TEST GROUP;A;14;ALARM TEST;0;2004-04-15;15:52:21;1,2;A;

  • Files are not created:
    Is the Larmia folder shared as Larmia$?
    Is the computer name correct in LCAlarmConfig? Try using the IP address instead.

  • Files are created:
    Check the transmission log to find out if the alarm was an error or if it's still sending    :
    If it's still sending there might be a problem with the modem.

    Check the transmission log via LCAlarmConfig    :
    If the function control for sending is a Time Schedule or a Condition; Try writing TILL (ON) instead.


Web Client - Menu

Menu


Web Client - Log In

Log In

When you click on the Log In button you will be prompted for a password.
There are 5 different log in levels:

Level | Authorization
0 | No access.
1 | Acknowledge alarms.
2 | Manual controlling of objects (set points etc.).
3 | Edit Time Schedules, the Calendar and start the main editing software.
5 | Not used.

Once logged in with the right password, the level is shown on the log in button.
To log out; Leave the password blank and click Ok.


Web Client - Select plant

Select plant

All of the connected plants are shown in the listbox to the left.
To select a plant, just click on the arrow and select the plant.

NB!
If there's only one plant in the system, that plant is made standard.
This means that no selection is needed.


Web Client - Select Group

Select Group

Displays all the groups in the plant.


Web Client - Group

Group (text mode)

The text mode shows a list of all the objects in that particular group. It displays the object names, statuses, positions and alarm classes. The name and number (id) of the group is displayed in the top left corner of the window.

When you click on an object, it's object window is displayed in the top right corner of the window. This window lets you operate the object.

Switch to picture mode by pressing Picture/Text.

Group (picture mode)

The picture mode displays the objects of that particular group in graphics.

When you click on an object, it's object window is displayed in the top right corner of the window. This window lets you operate the object.

Switch to text mode by pressing Picture/text or switch to half screen mode by pressing Full/Half.

Group (picture mode, half screen)

The picture mode (half screen) displays the objects of that particular group in graphics. This mode also shows all the groups in the plant to the left.

When you click on an object, it's object window is displayed in the top right corner of the window. This window lets you operate the object.

Switch to text mode by pressing Picture/text or switch to full screen mode by pressing Full/Half.


Web Client - Alarm List

Alarm List

The Alarm List displays all the existing alarms in the system, sorted by alarm class.
Alarms are acknowledged by marking the object and then clicking it's Ack button.


Web Client - Event List

Event List

The Event List shows all events sorted by time. Use the "<" and ">" button to browse backward and forward.
Use the text field at the top to go to a specific date, e.g. 2002-07-18.

If you want real time updating of the list, click on Latest.
To view the Event List for a specific object, mark the object and click Event.


Web Client - Trend Curves

Trend Curves

Display an object's Trend Curve by marking the object and clicking it's Trend button.
The Trend Curve button in the Main Menu displays the Trend Curve for the last selected object.

Change the X axis (time interval) by using the buttons at the bottom (blue buttons):

Button | Description
 | Go back one page.
 | Go back one frame.
 | Zoom out.
 | Zoom in.
 | Go forward one frame.
 | Go forward one page.

Change the Y axis (the value) by using the buttons to the right (orange buttons):

Button | Description
 | Go up one page.
 | Go up one frame.
 | Increase Y axis interval.
 | Decrease Y axis interval.
 | Go down one frame.
 | Go down one page.

Zooming

Zoom in:
Click and hold down the left mouse button on the Trend Curve while dragging the mouse.
Drag the rectangle to the desired size and release the mouse button.

Zoom out:
Simply click on the Trend Curve.


Web Client - Time Schedules

Time Schedules

Click Timesch. to open the Time Schedule window.
Click Edit to enter edit mode.

To enter a time, simply click on the corresponding grey text field. A selection box is then displayed.

If you wish to save the changes, click Save. A dialog is then displayed asking is you want to update the CCU right now.
Click Yes to update the CCU.


Web Client - Settings

Settings

I denna dialog så kan du ange om du vill ha en översiktsbild, om du vill ha en inloggning för att hämta bilderna och om klienten ska hämta bilder från servern.

Summary:

Översikt:
Man kan välja mellan en översiktsbild larmlista och händelslista. För att använda en översiktsbild så skriver man in ett gruppnummer och anger Grupp under List valet. Vill man ha översiktsbilden i text så kan man ange det i valet Text/Bildmod. Samma sak med hel- och halvskärm (gäller enbart bildmod).

Http-inloggning:
Kontonamn och lösenord.

Uppdatering:
Val om man vill hämta bilder och symboler från servern. Har man ej dessa flaggor så kommer programmer vid den första starten att hämta bilder och symboler.


Web Client - Manual control of objects

Manual control of objects

All object windows have a "->" button, which takes the user to the group of the object.

Manoeuvre (Digital Control)

You can control the object by setting it manually to 'ON' or 'OFF'. Return to Auto mode (normal operation) by clicking Auto.
Click Events to view this object's Event List.

Manoeuvre with Indication

You can control the object by setting it manually to 'ON' or 'OFF'. Return to Auto mode (normal operation) by clicking Auto.
The status of the connected Indication is displayed within parenthesis. Click Events to view this object's Event List.

Analog Out / Settings

The value of the object can be set manually by entering a value in the text field and clicking Man. Return to Auto mode (normal operation) by clicking Auto.
Press Trend to display this object's Trend Curve.

Analog In

Displays the present status of the object.
Press Trend to display this object's Trend Curve.

Alarm

Alarms are acknowledged by clicking Ack.

Indication

Pulse

Curve


Web Client - Control Curves

Control Curves

The parallel offset and the break points of the curve are edited with the dialog above. Click on the curve object and press the "->" button. Click on Edit to enter edit mode. Kurvans parallellförskjutning och brytpunkter ändras med ovanstående dialog. Markera kurvobjektet och tryck på "->"-knappen. För att gå in i editerings mod tryck på knappen "Edit". Du kan då komma åt övriga knappar.

The break points are edited by dragging the squares indicating
Brytpunkterna ändras genom att dra fyrkanterna som visaar brytpunktens läge till önskad position. Parallellförskjutningen ändras genom att trycka på knappen "FS" och sendan skriva in förskjutningen i textrutan. Tryck sedan på "FS"-knappen igen för att spara värdet. Om du inte har sparat har du möjlighet att återgå till föregående inställningra genom att trycka på "Ångra". Om du vill flytta brytpunkterna till den parallellförskjuta kurvan tryck på "Norm"-knappen. Parallellförskjutningen kommer då att bli 0.

Har man valt att spara kurvan med "Spara"-knappen så kommer en dialog upp om man vill ladda DUC. Tryck "Ja" för att ladda DUC.


Web Client - Dial-up connections

Dial-up connections


Web Client - Version

Version

Click on the Larmia Control logo to find out the version of the Web Client.


Editing - Basics

Basics

This programming-tool is used for programming of the LS920 and Avalon CCU, and also for connecting objects to Room regulator LS600 and others.

A program consists of a number of Objects, Time Schedules, Regulators and Conditions.

See also [ Menu ].


Editing - Menu

Menu

File

Open Edit | Opens editing.
Open Standard | Opens standard editing.
Close Edit | Closes editing.
Exit | Exits LCEdit.

Edit

Copy | Copies selected object, group or CCU.
Paste | Pastes an object, group or CCU.
Edit | Opens selected object for editing.
New Object | Creates a new empty object.
New Group | Creates a new group.
Delete | Deletes selected object or group.
Change Group Name | Changes group name.
Find Object Number | Marks searched object in the group list.
System Info | Shows information about the plant.
Driver List | Lists the programs and drivers started by LCService.
Units | Edit units.
OPC Servers | Lists the OPC Servers used.

Show

Connections | Shows the relations for selected object.
CCU | Shows the I/O-configuration in the CCU which the object belongs to.

Tools

Simulate | Starts the simulation mode.
Import | Import data from TA, EIB etc.
Check CCU | Dialog for checking of the CCU program
Export Settings Registry | Exports settings, loops and dial-up information to the registry.


Editing - Group presentation

Group presentation

The group presentation shows the groups and objects of the plant.
Double click on an object for editing.


Editing - Object

Objects

Indication | Manages digital in-signals e.g. presence, starting of a pump etc
Alarm | Manages digital in-signals e.g. over-current.
Manoeuvre | Manages digital out-signals e.g. starting of a pump.
Analog in | Measuring of temperature, pressure, relative humidity etc.
Analog out | Manages control of dampers and valves. The object can also work as a set point.
Curve | Curve function.
Pulse | Manages pulses from flow- and energy meters.

In a program there are a number of different objects; Indication, Alarm, Manoeuvre, Analog in, Analog out, Curve, Pulse.
The above part of the object dialog is common to all types of objects.

Function | Description
Name | The name of the object. The same as shown in the PC. Press the CCU Name text field to copy the object name to the CCU name. Note that the CCU Name text field must be empty before doing this.
CCU name | The name of the object shown in the CCU display, max. 10 characters.
Address | The address consists of an address type and an address. If the address type is LS920, an object for the LS920 CCU will be created
Channels | Type of relay card (4 or 7 channels). This is only used when the object is of type Manoeuvre or Analog out.
LED | Shows which LED is used for indication of the status of operation for the object.
Object Off | Inactivates the object.
No Event | Events from this object are not stored in the Event List.
Save | Saves the object.
Undo | Restores changes.
Exit | Closes the dialog.


Editing - Analog in

Analog In

An analog in-object is used to present temperature, pressure, relative humidity etc.
The object can have up to three different alarm limits.

See also [ Object ].

Function | Description
Unit | The unit of the object, for instance °C, meter, second, Pa, Bar and MW.
Dec. | Number of decimals.
Type | Type, for instance PT1000, NI1000, LG1000, 0-10V and 4-20mA etc.
Delay | Time for filtering (the time for the value to reach 63% of the change of the input).
Min | The smallest possible value of the object.
Max | The biggest possible value of the object.
Log | Indicates if the value of the measurement shall be logged on the hard disk or not.
Limit | Indicates if the value of the measurement has alarm limits.
Limits | Type
LOW | Low alarm. Limit: Value of alarm limit. Back: Value for return.
HIGH | High alarm. Limit: Value of alarm limit. Back: Value for return.
= | Same as. Limit: Value of alarm limit. Back: Blank.
# | Different. Limit: Value of alarm limit. Back: Blank.
<> | Alarm if the value is outside the range. Limit: Smallest value. Back: Biggest value.
>< | Alarm if the value is inside the range. Limit: Smallest value. Back: Biggest value
Class | Alarm class.
Text | Alarm text.
Alarm blocking | System number (SYSNO). If the value is "On" the limit function is inactivated.


Editing - Analog out / Setting

Analog Out / Setting

Control of dampers, valves etc. The object can also function as settings (set points, operating times, etc).
See also [ Object ].

Function | Description
Autosys | System number (SYSNO). Connection to function which controls the object in AUTO mode.
Min | The value of the object at 0 V.
Max | The value of the object at 10 V.
Unit | The unit of the object, for instance %, °C, meter, second, Pa, Bar, MW etc.
Decimals | Number of decimals.
Manual control | Click this to enable manual controlling of the object.
Log | Indicates if the value of the measurement shall be logged on the hard disk or not.
Type | 0-10V, 2-10V, Increase/Decrease etc.

When the analog out object is of the type Increase/Decrease, it is used for controlling of motors of such type. The object uses two pcs of relays, one relay for increase and one for decrease. For this type there are another three values.

Adr (Decrease) | Address for decreasing of relay.
Motor time | Indicates the operating time in seconds from the extreme positions.
LED | Light emitting diode (decrease).


Editing - Manoeuvre

Manoeuvre

A Manoeuvre is used for starting/stopping of for instance fans and pumps, turning on/off of lighting etc.
A manoeuvre-object can be connected to a relay-output on the LS920 CCU.
If there is an operation response, 'With Indication' can be used. The indication can be a digital input on a module or a calculated value from a Condition.

When the status of a manoeuvre and an indication doesn't correspond, a conflict alarm is alerted after a delay which is indicated by 'Delay'.

See also [ Object ].

Function | Description
On text | The status name of the object when 'ON'.
Off text | The status name of the object when 'OFF'.
Manual control | Click this to enable manual controlling of the object.
Timer | When this is marked, the object work as a timer. If the manoeuvre-object is put in manual mode 'ON', the object will go 'OFF' after the time indicated by the delay.
Double manoeuvre | When this is marked, the ATLANTIS program is asking one extra time if You want to put the object in manual mode.
NO/NC | Normal Open / Normal Close. When the object is in NO, the indication goes 'ON' when there is a signal on the digital input.
Delay | Delay of conflict alarm..
Auto connection | System number (SYSNO). Indicates how the object is controlled in AUTO mode (Priority 4). (Manual mode has Priority 3).
Forced start | System number (SYSNO). When this input is 'ON' the object goes 'ON' (Priority 2).
Forced stop | System number (SYSNO). When this input is 'ON' the object goes 'OFF' (Priority 1).
With Indication | Shows if the Manoeuvre-object has an indication.
On text | The status name of the object when 'ON'.
Off text | The status name of the object when 'OFF'.
Conflict alarm class | Alarm class of the conflict alarm.
Address | The address of the indication.


Editing - Alarm

Alarm

An Alarm object is used for collecting of digital signals from for instance lift alarms, over-current, etc.

See also [ Object ].

Function | Description
Alarm text | The status name of the object when 'ON'.
Alarm class | The status name of the object when 'OFF'.
Delay | Operation delay.
NO/NC | Normal Open / Normal Close. When the object is in NO, the indication goes 'ON' when there is a signal on the digital input.
Alarm blocking | System number (SYSNO). Blocking of alarms. Can for instance be at startup sequences.
Acknowledgement blocking | Blocking of acknowledgement from the PC.


Editing - Indication

Indication

An Indication is used for collecting of digital signals from for presence detectors, operation indicators etc.
See also [ Object ].

Function | Description
On text | The status name of the object when 'ON'.
Off text | The status name of the object when 'OFF'.
Delay | Operation delay.
NO/NC | Normal Open / Normal Close. When the object is in NO, the indication goes 'ON' when there is a signal on the digital input.


Editing - Curve

Control Curve

A curve is used when applying a value depending on another object or condition according to a given curve. In the editing software the range and number of breakpoints are indicated. The curve is defined in the operation program Atlantis.

See also [ Object ].

The address of a curve must contain a system number (SYSNO).

Function | Description
Unit | The unit of the object is for instance °C, meter, second, Pa, Bar and MW.
Decimals | Number of decimals.
Range X | The scale of the X-axis.
Range Y | The scale of the Y-axis.
Breakpoints | Number of breakpoints.
Min limited | Min. limitation. The value is not below the indicated min. value on the Y-axis.
Max limited | Max. limitation. The value is not below the indicated max. value on the Y-axis.


Editing - Pulse

Pulse

The object manages pulses from e.g. flow- and energy meters.

See also [ Object ].

Function | Description
Decimals | Number of decimals.
Unit | The unit of the object, for instance MWh, KWh etc.
Pulses/Unit | Number of pulses/unit.


Editing - Address List

Address List

Unit type | Syntax | Description
LS99 | xx yyy zz | xx - loop yyy - unit zz - address
PC | 000 X | X - System Number (SYSNO)
LS920 | xxx Y | xxx - CCU number Y - addres of terminal block or System Number (SYSNO)
AVALON | xxx yyy Z | xxx - CCU number yyy - base module number, 000 if System Number (SYSNO) Z - address of terminal block or System Number (SYSNO)
OPC | x:Y | x - OPC server number Y- address name
MODBUS | xx yyy zzzzzz | xx - loop yyy - unit zzzzzz - address


Editing - Modbus

Modbus

  1. Edit the objects

    Use the Modbus address type in the Edit software.
    This address type has three fields, xx-yy-zzzzz, where:

    xx

    Loop number

    yy

    Unit number

    zzzzz

    Modbus address

  2. Create file for address polling

    The file must be located in the Larmia.edt folder. The file must also be named ModbusX.ini, where the X is the number of the loop.
    This file states which addresses to be polled, what kind of values located at these addresses and how many values to be fetched.

    3. The file contains the following:

    TYPEn | 1 = Digital Out, 2 = Digital In, 3 = Analog Out, 4 = Analog In
STARTADRn | Start address
ANTn | Number of values
IDn | Unit number

    Example:

    1. Digital Out
    TYPE4=1
    STARTADR4=512
    ANT4=32
    ID4=1

    2. Digital In
    TYPE3=2
    STARTADR3=0
    ANT3=32
    ID3=1

    3. Analog Out
    TYPE2=3
    STARTADR2=512
    ANT2=32
    ID2=1

    4. Analog In
    TYPE1=4
    STARTADR1=0
    ANT1=32
    ID1=1

  3. Configure the driver

    Add a new driver:
    LCDModbus.EXE COMz x

    Where z is the number of the COM port used, and x is the number of the loop.

See also [ Adress List ]


Editing - OPC Address

OPC Address

In the OPC address field you first enter the number of the designated OPC server (1-10) followed by a : (colon). Then enter the name of the point which is to be addressed. The number of the OPC server is read from the OPC Server List.

To read/write indexed values from an array you must use brackets ([ ]). The values start at index 1.
To read/write indexed bits from a value you must enter :BITx after the name, where x is the number of the bit to be read/written.

Example:

1:DUC1.MV1 | OPC Server 1, OPC Value DUC1.MV1
2:DUC1.SETV[4] | OPC Server 2, Index 4 in the OPC Value DUC1.SETV array
2:DUC1.FRC:BIT5 | OPC Server 2, Bit 5 in OPC Value DUC1.FRC

NB! The address name is unique for every OPC server.

See also [ Address list ]


Editing - Conditions

Conditions

Conditions are used for formulating of the control function. In the language for conditions are used Operators, Condition functions, Macro, System Numbers (SYSNO) and System Functions.

Function | Description
Title | The name of the condition.
Inputs A-H | System Number (SYSNO). Objects, Time Schedules, Regulators and Conditions used in the expression.
Output | Expression for condition.


Editing - Expressions for Conditions

Expressions for Conditions

See also [ System Number (SYSNO) ] and [ System Functions ].

Operators

Expression | Description | Priority
iX | not X | 1
X=Y | X equal to Y | 4
X#Y | X not equal to Y | 4
X>Y | X bigger than Y | 4
X<Y | X smaller than Y | 4
X^Y | only X or only Y | 5
X&Y | X and Y | 6
XeY | X or Y | 7
X*Y | X multiplied by Y | 2
X/Y | X divided by Y | 2
-X | minus X | 3
X+Y | X plus Y | 3
X-Y | X minus Y | 3

Condition Functions

Expression

Description

MIN(X,Y)

smallest value of X and Y

MAX(X,Y)

biggest value of X and Y

ABS(X)

absolute value of X

ROT(X)

the square root of X

LOG(X)

the logarithm of X

SIN(X)

sine of X (degrees)

COS(X)

cosine of X (degrees)

TAN(X)

tangent of X (degrees)

ASIN(X

arcsine of X (degrees)

ACOS(X)

arccosine of X (degrees)

ATAN(X)

arctangent of X (degrees)

V0

Initial value of the Conditon (the same condition) for feedback.

V(X)

The value of the Conditon X. X is an integral number 1->60.

T(X)

The status of the Time Schedule X. X is an integral number 1->40.

""

The text between these signs is not used in the calculation. (Comment).

MINNE(S,R)

Memory function

S=1,R=0 : result = 1, sets the memory = 1. (Set)
S=0,R=1 : result = 0, clears the memory = 0. (Reset)
S=0,R=0 : result = memory
S=1,R=1 : result = 1.

TID(M,X)

Operation delay: 1 sec – 10 years +- 1%.

Delays operation X, M minutes.
Ex.:
TID(10/60,A) delays operation input A, 10 seconds.
(1 hour = 60 min, 24 hours = 1440 min).

FTID(M,X)

Disconnecting delay.

As TID(M,X) but delay of disconnection.

FILTER(S,X)

Filters the value X, with the time constant S(seconds).

Ex.:
FILTER(4,A) filters input A in such a way that if A is changed from 0 to 10, the value is changed (acc. to a curve) to half the change (5) after 4 seconds, 7.5 after 8 seconds and so on.

ALT(A,X,Y)

Alternative choice.

A=1 : result = X
A=0 : result = Y

PULSR(U,N,R,S,A)

Pulse counter.

U goes from 1 to 0 : result increased by 1 (Adjustment upwards).
N goes from 1 to 0 : result decreased by 1 (Adjustment downwards).
R = 1 : result = 0 (Reset).
S = value (and R = 0) :result = value (Set).

If A (number) is given, revolution counting takes place (A pcs per rev.). A = a positive whole number. The result is limited between 0 and A-1. When the result otherwise should have been A it will be 0. When the result otherwise should have been -1 it will instead be be A-1.

Ex.:
PULSR(A,0,B,C*4). A adjusts upwards, adjustment downwards is not used, B sets the counter to zero, C sets the counter to 4, revolution counting is not used.

KURVA(X,type,x1,y1,x2,y2...)

Curve function with up to 6 breakpoints.

X = The entry value of the curve (the actual x-value of the curve).
This can be an input or another expression in the condition.

Type 1 = The curve continues before the first and after the last breakpoint.

Type 2 = The curve gets the same value as y1 before the first breakpoint and continues after the last breakpoint.

Type 3 = The curve continues before the first breakpoint and gets the same value as the last y after the last breakpoint.

Type 4 = The curve gets the same value as y1 before the first breakpoint and gets the same value as the last y after the last breakpoint.

TIDOPT(N,T,S,I,B,O,V,F)

Function for optimization of operation start time.

This function returns the amount of minutes (positive integer) the heating must start ahead of the designated time, if the temperature is to reach it's set point.
This value can, for example, be used as a start delay of a Time Schedule. If so, the value has to be negative.

N = Number (1-5).
This number must be unique for every usage of this function in a CCU..

T = The inertia of the building (1-10).
This number is used for setting the historical time period used for calculating the mean values of the indoor and outside temperatures.
A small number = short historical time period.
A big number = long historical time period.

S = Start function.
This parameter should be 'ON' when the heating is started.
This parameter should be 'OFF' when the temperature firstly has reached it's set point.
If the temperature doesn't reach it's set point, this parameter should be 'OFF' when the heating period has expired.

I = Indoor temperature.

B =Indoor set point.

O = Outside temperature.

V = Wind speed in m/s.

F = The relative humidity %

LGRÄNS(G,X,H)

Low limit (H = hysteresis, choose normally H = 1).

X smaller than G : result = 1 (limit ’on’).
X bigger than G+H : result = 0 (limit ’off ’).
X between G and G+H : result = unchanged (hysteresis).

HGRÄNS(G,X,H)

High limit (H = hysteresis, choose normally H = 1).

X bigger than G : result = 1 (limit ’on’).
X smaller than G-H : result = 0 (limit ’off ’).
X between G and G-H : result = unchanged (hysteresis).

BEGR(L,H,X)

Limits the value of X between L (Low) and H (High).

X bigger than H : result = H.
X smaller than L : result = L.
X between L and H : result = X.

Ex.:
BEGR(0,100,A), result of input A is limited between 0 and 100.

VIPPA(X)

Latch function.

Result = 0, and X goes from 1 to 0 : result = 1.
Result = 1, and X goes from 1 to 0 : result = 0.

Ex.:
VIPPA(A), if input A is an external spring push button, the result is 0 every second time and 1 every second time the button is pushed

INTER(M,X)

Intermittent operation (M>1).

During the time period M minutes the result is 1(ON) in time corresponding to the value of X in percent . (If X<2% the result is 0, if X>98% the result is 1).

Ex.:
A set point 0-100% (input A) controls an el. radiator (on/off ) with intermittent operation. Timeperiod = 10 minutes. The condition of the el. radiator is INTER(10,A).
If for example A = 70%, the result will be ’on’ for 7 minutes and ’off’ for 3 minutes. This will be repeated all the time.

FRYS(G,D,T,R)

Anti-freeze protection function.

If the temperature T approaches the limit G, the result is gradually control by force up to 100%. The forced control starts from 0% at T = G + D, (D = Difference). The forced control is 100% at T = G. (R = Regulator).

Ex.:
Air handling unit. Input A = Set alarmlimit, B = Temp. heating coil, C = Regulator step for the hot water valve. The condition for the hot water valve: FRYS(A,4,B,C). The forced control starts 4 degrees before the alarm limit.

VX(A,M)

Change of operation (M>1).

Change of operation with an interval of M minutes. A = Number of changes. A = 2 for twin pump. The result has the value 0 or 1.

Ex.:
Four chillers: A = 4. The result is whole numbers from 0 to 3.
This function can be used together with TVILLP(V,T,M,F) and STEGVX(A,N,V,R).

STEG(A,S,R)

Stepping function.

A control signal (R) 0-100%. Ex.: A regulator is divided in different digital steps. A = Number of steps. S = The step number, numbered from 1 and upwards.

Ex.:
Four chillers. Input A = Regulator.

Chiller no. 1: STEG(4,1,A).
Chiller no. 2: STEG(4,2,A).
Chiller no. 3: STEG(4,3,A).
Chiller no. 4: STEG(4,4,A).

STEGVX(A,S,V,R) Stepfunction with change of operation. Functions as STEG(A,S,R), but with change of operation. V = Conditions for the change. Use the function VX(A,M) for change.

TVILLP(V,S,M,F)

Twin pump function.

V = Change of operation. S = Start condition for operation. M = Condition for motion. F = Fault second pump. As change of operation the function VX(2,M) can be used. S starts pump if V is ’on’. If F is 'ON' S starts pump irrespectively of V. M always starts pump.

Ex.:
Twin pump P1. Input A = Change condition, B = Start condition, C = Exercise condition, D = E.g. over-current P2.
Conditions of P1: TVILLP(A,B,C,D).

Twin pump P2. Input A = Change condition, B = Start condition, C = Exercise condition, D = E.g. over-current P1.
Conditions of P2: TVILLP(iA,B,C,D). If Exercise- and/or Fault function not applicable, put 0.

VGRAD(T1,T2,T3)

Calculates efficiency of recovery unit.

Result = 100*(T2-T1)/(T3-T1).
T = Temperatures.T1 = Supply air, T2 = Supply air after heat recovery unit (HRU), T3 = Return air before HRU.

STEGD(A,R)

Step dividing function.

Functions as STEG(A,S,R), but S (The step number) is omitted. Instead the result will be = number of connected steps.

Ex.:
Input A = Regulator, STEGD(15,A) has a value from 0.0 to 16.0. This function can be used together with BSTEG1-4(S).

BSTEG1-4(S)

Dividing of steps into binary step connection.

For control of for instance 4 pcs el. heaters with the capacity of 1KW, 2kW, 4kW and 8kW.
Control gives 15 steps of capacity from 1 to 15kW and complete disconnection (0kW).

Use the function STEGD(15,R) where R = Regulator, in a condition e.g. V1, in order to divide the 0-100% of the Regulator into 0-15 steps.

For control of each step, input A = V1.
1kWstep = V2eV3, has to be divided into two conditions V2=BSTEG1A(A),V3=BSTEG1B(A).
2kWstep = BSTEG2(A), 4kWstep = BSTEG3(A)..

When 3 capacity steps are needed, STEGD(7,R) is used.
When 2 capacity steps are needed, STEGD(3,R) is used.

PULS(TM,FM)

'ON' = TM minutes, 'OFF' = FM minutes.
Time in seconds can be written as sec/60, e.g. 10/60 = 10 sec.
(PULS cannot be combined with other expressions in a condition).

MPULS(M)

Pulse on/off with the period M minutes. ( M>1 ).

Macro definition (supplementary):

The functions LGRÄNS(G,X,H) up to and including MPULS(M) above, are so called macros. That means that they consists of different basic functions. The definitions can be interesting to know, for instance when making similar functions by Yourself.

Macro | Implementation
LGRÄNS(G,X,H) | MINNE(X<G,X>G+H)&STAB
HGRÄNS(G,X,H) | MINNE(X>G,X<G-H)&STAB
VIPPA(X) | PULSR(X,0,0,0,2)
INTER(M,X) | SEK+PULSR(SEK>30,0,0,0,M)*60<(X-2)*0.624*X
FRYS(G,D,T,R) | MAX(R,KURVA(T,4,G+D,0,G,100))
VX(A,M) | PULSR(PULSR(SEK>30,0,0,0,M),0,0,0,A)
STEG(A,S,R) | (A+1)*0.01*R>S
STEGVX(A,S,V,R) | (A+1)*0.01*R>ALT(S+V>A,S+V-A,S+V)
TVILLP(V,T,M,F) | (VeF)&TeM
VGRAD(T1,T2,T3) | 100*(T2-T1)/(T3-T1)
MPULS(M) | PULSR(SEK>30,0,0,0,M)>=M/2
PULS(TM,FM) | TID(FM,iTID(TM,V0))
STEGD(A,R) | A+1)*0.01*R
BSTEG1A(S) | S>1&S<2eS>3&S<4eS>5&S<6eS>7&S<8
BSTEG1B(S) | S>9&S<10eS>11&S<12eS>13&S<14eS>15
BSTEG2(S) | S>2&S<4eS>6&S<8eS>10&S<12eS>14
BSTEG3(S) | S>4&S<8eS>12
BSTEG4(S) | S>7


Editing - Regulator

The Regulator

Regulators

Function | Description
Title | The name of the regulator.
Measurement | System Number (SYSNO). The actual measurement of the regulator.
Set point | System Number (SYSNO). The set point of the regulator.
Show 1-5 | System Number (SYSNO). Values shown in the regulator menu in the CCU.
HOLD | System Number (SYSNO). When this value is 'ON', the regulator stops regulating and holds it's value.
I-Block | System Number (SYSNO). When this value shows 'ON' the output is forced to the value of I-Block (Outputs).
J-Block | System Number (SYSNO). When this value shows 'ON' the output is forced to the value of J-Block (Outputs).
Parameters | Regulator parameters.

Inputs

Function

Description

Measurement

System Number (SYSNO). The actual measurement of the regulator.

Set point

System Number (SYSNO). The set point of the regulator.

Show 1-5

System Number (SYSNO). Values shown in the regulator menu in the CCU.

HOLD

System Number (SYSNO).
When this value is 'ON', the regulator stops regulating and holds it's value.

I-Block

System Number (SYSNO).
When this value shows 'ON' the output is forced to the value of I-Block (Outputs).

J-Block

System Number (SYSNO).
When this value shows 'ON' the output is forced to the value of J-Block (Outputs).

Forced control

The function adds the following functions:

  1. Indicates at which value the regulator shall start after a restart.

  2. You can at anytime force the regulator to the value from which it shall regulate.

If this value is a figure between 0-100, the value indicates the starting value for the regulator after a restart of the CCU. (In the older versions the regulator starts at 100%).

If You write a System Number (SYSNO) in this field instead of a number, e.g. V1, N345, the regulator will regulate as normal if the value of the System Number is –1.
If the value of the System Number is positive, the regulator is set to this value.
When You return to –1, the regulator will continue to regulate from this value.

Ex 1.
If You enter a constant, e.g. 70, in the Forced control field, the regulator starts from this value after a restart. The regulator then regulates as normal.

Ex 2.
If You enter a Condition, e.g. V5, in the Forced control field, where:

Condition 5:
Input A: Manoeuvre N432
Output: ALT(A,70,-1)

The regulator will by force be set to the value 70 if the manoeuvre is 'ON' and continue to regulate when the manoeuvre is 'OFF'.

Ex 3.
If You enter an object number, e.g. N45, in the Forced control field, where object number 45 is a set point with it's auto connection value set to –1.

When You set the object in auto mode the regulator will regulate as normal.

When You enter a manual position between 0-100, the regulator will have this value. When You return to auto mode, the regulator will continue from this value.

Ex 4.
When You start up a speed controlled fan, You want to gradually approach a certain speed and after that connect the regulator. The following condition gradually approach up to 70% after the condition has got an approx. 2 sec. start pulse.
After that the regulator will regulate.
(This condition has not been tested, but should work).

Condition:
Input A: Start pulse manoeuvre.
Output: ALT(A,0,ALT(V0>=0) e (V0<=70),V0+1,-1).

Outputs

When the regulator shall be divided into steps, outputs are used (8 pcs A-H). Double click the output which You want to change, and the following dialogue shows up:

Function | Description
Name | The name of the output.
Min | Value of the regulator when the output shall be 0%.
Max | Value of the regulator when the output shall be 100%.
I-Block | Value of the output when I-Block (Inputs) are 'ON'.
J-Block | Value of the output when J-Block (Inputs) are 'ON'.

NB! If both I- and J-Block are 'ON', the value of the J-Block is returned.

Regulator Parameters

Dead band | The error tolerance of the regulator between measurement and set point.
Loop time | Indicates how often the regulator makes a new calculation (seconds).
P Action | Indicates the size of the change the regulator shall do in relation to the regulation error.
D Action | Indicates the size of the change the regulator shall do when the measurement is changing.


CCU - System Functions

System Functions

Functions can be used everywhere where System Numbers (SYSNO) can be used.
Example:
A digital control in a CCU can be edited with auto connection "LARM1". Then the relay will close when there is any class 1 alarm in the CCU.

Most of the system-functions are to be finding both in the PC and the CCU. The system-functions which are to be find only in the PC or in the CCU, are here marked with (PC) or (CCU).

SYSTEM FUNCTIONS - ALARM FUNCTIONS
SYSNO (name) | FUNCTION
LARM | Remaining alarm.
LARM0-LARM6 | Remaining alarms class 0-6.
KV | Unacknowledged alarm.
KV0-KV6 | Unacknowledged alarm class 0-6.
LOK | Remaining and unacknowledged alarm.
LOK0-LOK6 | Remaining and unacknowledged alarm class 0-6.
LEK | Remaining or unacknowledged alarm.
LEK0-LEK6 | Remaining or unacknowledged alarm class 0-6.
NLARM | About 10 sec. pulse at every new alarm.
NLARM0-NLARM6 | About 10 sec. pulse at every new alarm class 0-6.

SYSTEM FUNCTIONS - GENERAL / TECHNICAL FUNCTIONS
SYSNO (name) | FUNCTION
TILL | Always on.
FRÅN | Always off.
PI | 3.14
STAB (CCU) | On when analog in objects has stabilized after a power failure.
KDxxx (PC) | Communication error with CCU xxx
SDxxx (PC) | Status in CCU xxx 0 = CCU has received program. 1 = Transmission with restart to CCU is requested. 3 = Transmission without restart to CCU is requested. When loading a CCU of type Avalon this value counts down to zero. When loading a CCU of type LS920 this value indicate which block (out of 54 blocks) is being transmitted to the CCU. A positive value indicates that a block is being transmitted to the CCU whilst a negative value indicates that the block has been acknowledged by the CCU.
HDISK (PC & Avalon) | Available space on the hard drive in megabytes.
PC | Always on in the PC. Always off in the CCU.
DUC | Always on in the CCU. Always off in the PC.
LOGGT (LS920) | Remaining available log time of the curve for storing in the CCU.
SENDD (PC) | Transmission in progress (SEND) to CCU, (value = CCU number).

SYSTEM FUNCTIONS - GENERAL / TECHNICAL FUNCTIONS
SYSNO (name) | FUNCTION
MAN | On when something is in manual position.
MANM | On when a digital control is in manual position.
MANU | On when an analog out object is in manual position.
MANS | On when a setting is in manual position.
MANT | On when a Time Schedule is in manual position.
KOD (PC) | On when the system is not locked (someone has logged on).
KOD1-KOD5 (PC) | On when log in to level 1-5 or higher in the system has been done.
IR (Avalon 64CE) | On when the Avalon CCU detects someone in it's vicinity.
PCCONN (Avalon) | On when a PC is connected to the CCU.

SYSTEM FUNCTIONS - CCU ERRORS
SYSNO (name) | FUNCTION
GFELR (CCU) | Sensor failure (resistive sensors).
DDKOM (CCU) | CCU to CCU communication error in the receiving object.
BATT (LS920) | Battery failure.
MKOM (AVALON) | Communication error with the base module. The function returns the number of objects not connected.
DUCFEL (CCU) | Sum error in the CCU (BATT, GFELR, DDKOM, MKOM), 1 Battery failure 2 CCU to CCU communication error 3 Battery failure & CCU to CCU communication error 4 Sensor failure 5 Battery failure & sensor failure 6 CCU to CCU communication error & sensor failure 7 Battery failure & CCU to CCU communication error & sensor failure 8 Base module communication error 9 Base module communication error & Battery failure 10 Base module communication error & CCU to CCU communication error 11 Base module communication error & Battery failure & CCU to CCU communication error 12 Base module communication error & sensor failure 13 Base module communication error & Battery failure & sensor failure 14 Base module communication error & CCU to CCU communication error & sensor failure 15 Base module communication error & Battery failure & CCU to CCU communication error & sensor failure

SYSTEM FUNCTIONS - CALENDAR FUNCTIONS
SYSNO (name) | FUNCTION
ÅR | Year (4 digits).
MÅNAD | Month 1-12.
DAG | Day 1-31.
DATUM | Year Month Day (6 digits).
VDAG | Weekday 1-7 (Monday - Sunday).
VARD | 'ON' on weekdays.
MÅN | 'ON' on Mondays.
TIS | 'ON' on Tuesdays.
ONS | 'ON' on Wednesdays.
TORS | 'ON' on Thursdays.
FRE | 'ON' on Fridays.
LÖR | 'ON' on Saturdays.
HAFT | 'ON' on Eves.
SÖN | 'ON' on Sundays.
HELG | 'ON' on holydays.
SPEC1 | 'ON' on special day 1.
SPEC2 | 'ON' on special day 2.

SYSTEM FUNCTIONS - TIME FUNCTIONS
SYSNO (name) | FUNCTION
TIMME | Hour 0-23.
MINUT | Minute 0-59.
SEK | Second 0-59.
KLOCKA | Hour Minute Second (6 digits).

SYSTEM FUNCTIONS - ASTRONOMICAL FUNCTIONS (edit Latitude in Menu/Configuration)
SYSNO (name) | FUNCTION
SOL | On when the sun is up.
SOLH | Altitude of the sun in degrees ( -90 to 90 ).
SOLR | Direction of the sun in degrees (0 - 360).

See also [ Edit ] [ Conditions ] [ Regulators ]


CCU - System Number (SYSNO)

System Number (SYSNO)

A system number (abbr. SYSNO) is a connection number to another object, Time Schedule, condition, regulator, system function or a constant numerical value. A SYSNO can be a digital on/off status or a numerical value. Only objects can be connected between different CCU and PC, and the objects have individual numbers in the whole system. For other SYSNO's, for instance conditions, are valid: PC-conditions can only be used in the PC, conditions for CCU 1 can only be used in CCU 1 etc.

NB!
Any SYSNO controls of other subcentrals than CCU is controlled by the PC.

The SYSNO consists of six characters or less. The SYSNO is written in the following way:

  1. If the status is going to be inverted, the first sign shall be "i".
  2. Types of SYSNO.
    N | Object (N can be omitted if inverted)
    T | Time Schedule
    V | Condition
    R | Regulator
    A number | The numerical value of the number. Numbers with decimals are written with a point.
    The name of a system function | Corresponding system function.

    A list of names of system functions and description is available in Menu / System Functions.

  3. The number of a Time Schedule, condition or object.
    The object number is the number, which you can see to the upper left in the window of the object.
  4. Additional letter (option), a letter for an alternative function.
    - For ALARM
    None: Status = 1 when remaining alarm.
    A: Status = 1 when unacknowledged alarm.
    B: Status = 1 when unacknowledged remaining alarm.
    C: Status = 1 when unacknowledged or remaining alarm.

    - For DIGITAL CONTROL (MANOEUVRE)
    None: Status = 1 when digital control on.
    I: Status = 1 when indication on.
    L: Status = 1 when remaining alarm.
    A: Status = 1 when unacknowledged alarm.
    B: Status = 1 when unacknowledged remaining alarm.
    C: Status = 1 when unacknowledged or remaining alarm.
    T: (Avalon) | Timer countdown in minutes
    M: (Avalon) | Status = 1 when in Manual mode

    - For ANALOG IN
    None: The analog value.
    A: Status = 1 when limit A is on or at remaining alarm.
    B: Status = 1 when limit B is on or at remaining alarm.
    C: Status = 1 when limit C is on or at remaining alarm.
    D: Status = 1 at limit A unacknowledged alarm.
    E: Status = 1 at limit B unacknowledged alarm.
    F: Status = 1at limit C unacknowledged alarm.
    G: Status = 1 at limit A unacknowledged remaining alarm.
    H: Status = 1 at limit B unacknowledged remaining alarm.
    I: Status = 1 at limit C unacknowledged remaining alarm.
    J: Status = 1 at limit A unacknowledged or remaining alarm.
    K: Status = 1 at limit B unacknowledged or remaining alarm.
    L: Status = 1 at limit C unacknowledged or remaining alarm.
    M: Preset limit value A.
    N: Preset limit value B.
    O: Preset limit value C.
    X: Status = 1 at sensor failure.

    - For ANALOG OUT
    None: The analog value.
    A: (Avalon) | Status = 1 when the increase relay is on (incr. / decr.)
    B: (Avalon) | Status = 1 when the decrease relay is on (incr. / decr.)
    M: (Avalon) | Status = 1 when in Manual mode.

    - For PULSE
    None: The pulse value.

    - For REGULATOR
    None: The value of the regulator 0-100%, (before divided into steps).
    A-H: Corresponding output steps.

    - For TIME SCHEDULE
    None: The value of the Time Schedule (1 or 0).
    A: (Avalon) | The status of the Time Schedule without start or stop delay.
    B: (Avalon) | Returns the value of the Date Schedule. If no date is active -1 is returned.

Ex. of SYSNO:

  • T12 = Time Schedule 12.

  • V7 = Condition 7.

  • R3B = Regulator 3 step B.

  • N36 = Indication on.

  • N44C = Unacknowledged or remaining alarm.

  • 25 = the value 25.

In conditions and regulators objects can be used directly (see respective function), and any SYSNO is not needed. If any additional letter is needed it can be added afterwards.


Editing - CCU to CCU communication

CCU to CCU communication

Between CCU's of type LS920

The list below shows the valid combinations of sender and receiver objects for CCU to CCU communication. Only the "original value" of the object is sent, i.e. suffixes cant be used.

Sending object in CCU x | Receiving object in CCU y
Manoeuvre | Indication
Indication | Indication
Alarm | Indication
Analog out | Analog in
Analog in | Analog in

Other regulations:

  1. An object can't act as both sender and receiver, i.e. an object that receives a value form a CCU can't pass this value on to another CCU.

  2. Only one object in a CCU can act as a receiver for a specific sending object in another CCU.
    Ex.    :

  3. Don't forget to reload the CCU containing the sending object when you create a receiver object (the CCU with the sending object must know where to send it's value).

Between CCU's of type Avalon

The list below shows the valid combinations of sender and receiver objects for CCU to CCU communication. Only the "original value" of the object is sent, i.e. suffixes cant be used.

Sending object in CCU x | Receiving object in CCU y
Manoeuvre | Indication
Indication | Indication
Analog out | Analog in
Analog out | Curve
Analog out | Pulse
Analog in | Analog in
Analog in | Curve
Analog in | Pulse
Pulse | Analog in
Pulse | Curve
Pulse | Pulse
Curve | Analog in
Curve | Curve
Curve | Pulse

(The "Other regulation" above doesn't apply to CCU's of type Avalon).


Editing - Communications check

Communications check

Atlantis keeps statistics on the communication with the LS920 CCU. The following information is available:

  • The number of received messages.

  • The number of messages with errors (CRC error). Indicated i %.

All of the values are calculated from the startup of Atlantis or from when an 'Update PC' command has been issued.

Editing

The number of received messages:
Create a Pulse object with the 'KOM' address type.
Enter the following address: 920C-xx-yyy, where xx is the loop id and yyy is the CCU id.

The number of messages with errors (%):
Create an Analog In object with the 'KOM' address type.
Enter the following address: 920C-xx-yyy, where xx is the loop id and yyy is the CCU id.

Example:

Address | Description
920C-01-001 | The number of received messages from CCU1 on loop 1.
920E-02-007 | The error percentage from CCU7 on loop 2.


Editing - CCU Info

CCU Info

LS920

Function | Description
Name | The name of the CCU.
Dial-up | Condition or object stating when a CCU should perform a dial-up connection. This object's output is an approx. 4 minute pulse when the CCU is making the connection.
Check | Check the program, connections, CCU to CCU communication configurations, module addresses, LED's etc.
Lists | Create lists for printing.
CCU Phone number | The phone number used by the Atlantis Server to make a dial-up connection to a CCU.
Atlantis Server phone number | The phone number used by a CCU to make a dial-up connection to the Atlantis Server when the "Dial-up" function creates a pulse.
Master CCU | The id number of the CCU acting as a master (i.e. the CCU that has the "Dial-up" function activated and is connected to the modem).
Loop | The loop id of the CCU. The loop id refers to the startup switch for the driver configured for the COM port which the CCU is connected to (see Driver List for details).
Avalon | Click this checkbox if the CCU is of type Avalon. The CCU will be converted if it's already programmed.

Avalon

Function | Description
Name | The name of the CCU.
Dial-up | Condition or object stating when a CCU should perform a dial-up connection. This object's output is an approx. 3-5 second pulse when the CCU is making the connection.
Check | Check the program, connections, CCU to CCU communication configurations, module addresses etc.
Lists | Create lists for printing.
IP Address | The IP address of the CCU. Must be unique. If the CCU uses a dial-up connection and there are several buildings in the plant the CCU connects to, the third digit in the IP address must be different for each building. The master CCU (the CCU with the modem) uses two IP addresses; The address entered and an IP address which is the entered address +1 (in the last field).
CCU Phone number | The phone number used by the Atlantis Server to make a dial-up connection to a CCU.
Atlantis Server phone number | The phone number used by a CCU to make a dial-up connection to the Atlantis Server when the "Dial-up" function creates a pulse.
Phone book name | The post in the phone book to be used (NB! Only when using a leased line).
Master CCU | The id number of the CCU acting as a master (i.e. the CCU that has the "Dial-up" function activated and is connected to the modem).


Editing - Module display for the LS920 and Avalon CCU

Module display for the LS920 and Avalon CCU

Displays the modules of the CCU.
The id of the base module is also shown if the CCU is of type Avalon.

Press Info to show information about loops, phone numbers, IP addresses etc.


Editing - Driver List

Driver List

This list shows the drivers and/or other processes that will be started by Atlantis (The service LCService).
Create a new entry:
Press New and enter the name of the driver/process and then press Save.

Delete an entry:
Click the row to be erased, press Delete and then Save.

Exit the Driver List by pressing Return.

Example of programs and drivers which can be used:

Program/Driver | Description
LCEventServer.EXE | Manages trend logging.
LCAlarmServer.EXE | Manages alarm transmissions to SMS, Email, Fax etc.
LCD920.EXE COM1 1 | Driver for the LS920 CCU. (Communicates with loop 1, through a RS485 modem connected to COM1)
LCD920.EXE 192.168.12.231/10001 2 MODEM | Driver for the LS920 CCU. (Communicates with loop 1 through an IP Port)
LCDAvalon.EXE | Driver for the Avalon CCU.


Editing - Unit List

Unit List

This dialog is used for creating new units. It contains both a list for analog values and a list for pulse values.

Create a new unit:
Press New, enter the unit and press Save.

Delete a unit:
Click on the unit to be deleted, press Delete and then press Save.

Edit a unit:
Click on the unit to be edited, edit the unit and the press Save.

Insert a special character:
Press Special Characters. This starts the CharMap.exe software.


Editing - OPC Server List

OPC Server List

This list shows which OPC servers are used.
To add a new server, click on an empty row and enter the name of the OPC server and press Save. If the OPC server is installed on the same computer as Atlantis the Computer field must be left empty, otherwise enter the name of the computer where the OPC server is installed.

See also [ Address specifications for OPC ]


Editing - Export energy values

Export energy values

All values from the Pulse objects are exported to a text file. This file can be imported into, for example, Microsoft Excel.
The file is called PulsExport.txt and is located in the Larmia.dok folder. The file is updated two times/hour and contains the current value.

There is also a file called PulsExportYYYMM.txt (YYYY denotes the year and MM denotes the month) where the monthly values are stored.

The files have the following format:
Object number;Date;Group name;Object name;Value;Unit
.
.
.

If only some of the values are to be used, or if they must be sorted in a special order, a list of these objects can be entered in a file called PulsExport.ini which is located in the Larmia.edt folder.

The file must have the following format:
342
543
668
876
.
.
.

Version Requirements:
LCserver.exe version 4.0.003.


Avalon - Log In

Log In

Press Log In to display the numeric keypad.
Enter the password and press Ok.

There are 3 levels:

Level | Authorization
2 | Acknowledge alarms and manual controlling of objects (set points etc.).
3 | Make changes in Time Schedules, Date Schedules, Regulator Parameters and Control Curves.
5 | Change CCU number, upload a new program and pictures or quit.


Avalon - Group

Group

Picture Mode

In Picture Mode the objects of the selected group are displayed as dynamics. When you select a object its object window is shown in the upper right hand corner. From this object window you can control the object, see it's Trend Curve, Event List etc.

Press the Text Mode button to switch to Text Mode.

See also [ Object Windows ].

Text Mode

A list of all objects in the group is now displayed. When you select a object it's object window is shown in the upper right hand corner. From this object window you can control the object, see it's Trend Curve, Event List etc.

Press the Picture Mode button to switch to Picture Mode.

See also [ Object Windows ].


Avalon - Select Group

Select Group (Text mode)

Shows all groups in this CCU.
From here you can also reach Regulators and Time Schedules.


Avalon - Trend Curves

Trend Curves

Display an object's Trend Curve by marking the object and clicking it's Trend button.

Change the X axis (time interval) by using the buttons at the bottom:

Button | Description
 | Go back one page.
 | Go back one frame.
 | Zoom out.
 | Zoom in.
 | Go forward one frame.
 | Go forward one page.

Change the Y axis (the value) by using the buttons to the right:

Button | Description
 | Go up one page.
 | Go up one frame.
 | Increase Y axis interval.
 | Decrease Y axis interval.
 | Go down one frame.
 | Go down one page.

Zooming

Zoom in:
Click and hold down your finger on the Trend Curve while dragging.
Drag the rectangle to the desired size and release your finger.

Zoom out:
Simply click on the Trend Curve.


Avalon - Event List

Event List

The Event List shows all events in a chronological order.
Go to the previous page by pressing Previous Page.
Go to go to the next page by pressing Next Page.

To look at a Event List for a specific object:
Select the object to display it's object window. Press Menu and then Event List.


Avalon - Alarm List

Alarm List

The Alarm List shows all active alarms and alarms still not acknowledged, sorted by priority level.
Acknowledge alarms by selecting the alarm object and press the Ack. button.


Avalon - Time- and Date Schedules

Time Schedules

Each Time Schedule contains a weekly program for how to control objects. To change a start or stop time, select the day you want to change and type in the values in the text fields. Press Save to save your changes.
The Time Schedule window is reached by pressing Select Group and then Time Schedule. A list of all Time Schedules is now displayed.
It is also possible to display Time Schedules in the Picture Mode window, and in that case it can be activated directly from the dynamic window.

The weekly program can be also combined with a Date schedule (see below).

Date Schedules

Date Schedules are reached by pressing Menu and then Date Schedule.
With Date Schedules you can add further operation times concerning a specific day.
Select a Time Schedule on the right hand side , type in the date (yyyymmdd), a start time and a stop time (hhmm).
You can also state a value which can be returned when this Time Schedule is active (Use System Number (SYSNO) TxA).


Avalon - Regulators

Regulators

The regulator parameters are changed in the window shown above.
Select the regulator and press Show. The window displays current value and set point for the chosen regulator. The total output of the regulator is displayed to the right of TOTAL%.
The regulators outputs and its ranges is also displayed under the total output of the regulator. When the range is inverted (e.g. when the output is controlling a chiller valve), the output value is displayed with a blue bar. In normal case the bar is displayed in red.
The regulator parameters are set by pressing Loop Time, P-Action, D-Action or Dead Band and entering the desired value.

Exit the window by pressing Close.


Avalon - Manual control of objects

Object Windows

Manoeuvre (Digital Control)

You can control the object by setting it manually to 'ON' or 'OFF'. Return to Auto mode (normal operation) by clicking Auto.
Click Menu and then Events to view this object's Event List.

Analog Out/Settings

The value of the object can be set manually by clicking Man. A dialog appears where you can type in the desired value.
Return to Auto mode (normal operation) by clicking Auto.
Press Menu and then Trend to display this object's Trend Curve.

Alarm

Alarms are acknowledged by clicking Ack.
Click Menu and then Events to view this object's Event List.

Indication

Click Menu and then Events to view this object's Event List.

Pulse

To change the meter indication press Menu and then Calibrate.

Analog In

To change the line calibration of a analogue input value press Menu and then Calibrate.
Press Menu and then Trend to display this object's Trend Curve.


Avalon - Control Curves

Control Curves

With the window Curve Object shown above you can edit the parallel offset and break points of a control curve.
Select the control curve object and press Show. Enter edit mode by pressing Edit.
To edit the break points simply move the squares into desired position. Edit the parallel offset by pressing Offset and entering the desired offset.
With the button Normalize, the break points will be moved to the offset curve and the offset value becomes zero (0.0).
If you want to save the changes press Save. If you haven't saved your changes yet, you have the possibility of returning to the original curve by pressing Undo.

Exit edit mode by pressing Close.


Avalon - Dial-up

Settings for dial-up Avalon CCU's

Settings in the Atlantis Server:

Add a dial-up connection called DUCAVALON. The connection must use the TCP/IP protocol, with automatically assigned IP Addresses (DHCP) activated.

NB! The Caretaker account must exist in the Atlantis Server and it must have dial-in privileges.

Om Avalon skall ringa upp DHC'n och länma av larm måste det läggas till en inkommandande anslutning. Anslutningen skall använda TCP/IP som protokoll.
Kontot Caretaker skall ha behörighet att ringa in.

Settings in the CCU program (using the LCEdit editing software):

I Anläggningsinfo, ange

  • Huvuddatorns IP-adress (Datorn dit Avalon ringer vid larm)
  • Anläggningsnummer. (Unikt nummer för varje anläggning)

I Duc Info, ange:

Dial-up | Condition or object stating when a CCU should perform a dial-up connection. This object's output is an approx. 3-5 second pulse when the CCU is making the connection. If you don't want the Avalon to Om man inte vill att Avalon skall ringa upp och lämna av larm, skriv FRÅN i denna ruta.
IP Address | The IP Address of the CCU
CCU phone number | The phone number used by the Atlantis Server to make a dial-up connection to the CCU.
Atlantis Server phone number | The phone number used by a CCU to make a dial-up connection to the Atlantis Server when the "Dial-up" function creates a pulse.

Settings in the Avalon CCU:

  • Lägg till posten DHC i telefonboken.
  • Välj TCP/IP som Protokoll.
  • I TCP/IP -nställningar för posten DHC, ’Ange en IP-Adress’ skall
  • Avalonduc’ens IP-adress + 1 stå. Ex om Avalon's IP-adressen är 192.168.1.3 skall det stå 192.168.1.4.

Markera också: Servertilldelning av namnserveradresser

Misc.:

Om DHC'n har ett nätverkskort och har en uppringd förbindelse till Avalon-duc'en får DHC'n och Avalon inte ligga på samma adress nät.
ex Om Avalon har IP-adress 192.168.1.3 så får inte DHC'n ha IP-adress 192.168.1.1. dom 3 första talen får inte vara lika.

Om Avalon inte får någon kontakt med DHC'n ringer den upp ingen efter 1 minut. Efter 10 försök ringer den 1 gång per timme.


Avalon - Commissioning the Avalon CCU

Commissioning the Avalon CCU

  • IP Address
    All Avalon CCU's in the network must have a unique IP Address.
    In an existing network, the network manager can assign an available IP Address.

  • Computer name
    The computer name is not used, but must be unique in the network.

  • Installation
    To establish a connection with the Avalon CCU from a PC, the PC must be attached to the network or connected through a cross-over network cable to the network interface of the Avalon. Check the connection by Pinging the Avalon CCU:

    Click Start, Run and enter ping xxx.xxx.xxx.xxx (the IP Address of the Avalon) and click Ok.
    The results are displayed in a command window. If the displayed text reads     Reply from xxx.xxx.xxx.xxx..., the Avalon CCU is correctly connected to the network.

  • Start up the Avalon
    The Avalon software is started through a service called LCAvService, found in Services in the Control Panel. Set the service to start automatically.
    Start the Avalon client from Start, Programs, Avalon. The software is now running without any CCU program.

  • Enter CCU number (id)
    Log on to the Avalon (level 5 needed). Press Menu and Change CCU number.
    Enter the CCU number.

  • Load the Avalon.
    Check that the IP Address is correct in the Editing software. This is located under the CCU tab and then Info.
    You can now load the CCU from Atlantis, using the Upload command.

  • Add an account from the Account Manager
    This is needed if you want access the Avalon from another computer using the Windows Explorer.


Avalon - Troubleshooting

Troubleshooting

Unable to ping the Avalon CCU:

  • Check the physical connection to the network.
  • Check that the computer you're pinging from is on the same IP net as the Avalon, i.e. the first 3 groups of numbers are the same in the PC and Avalon (only if the subnet mask is 255.255.255.0).
    If not on the same net, a gateway must be designated.

Cannot load the Avalon CCU or no connection:

  • Check that the Avalon is "pingable", i.e. no errors when issuing a Ping command.
  • Check that the IP Address is correct in the Editing software. This is located under the CCU tab and then Info.
  • The Larmia.dok folder contains a file for each CCU. The file is called LCMSG_AVALONDUCxx.TXT and contains information about the IP Address the Atlantis driver assumes the Avalon has (this address is extracted from the edit database).
  • The Larmia.dok folder also contains a file called LCMSG_AVALONLOAD.TXT, where the following error messages may occur:
Not connected to CCU xx | The Atlantis driver cannot communicate with the CCU.
Error while loading files | The Atlantis driver cannot access the FTP server in the CCU.
Couldn't create files for download | The Atlantis driver calls LCConv.exe to create download files for the CCU. These files are placed in the Larmia.duc/FilesToLoad folder. This error can occur if the Atlantis driver cannot locate LCConv.exe. Check the path to the Larmia program files. This is located in LCConfig.exe, under the Drivers tab.

If the loading is successful, the file should look as follows:

Loading of CCU 70 requested

Loading of CCU 70 version 1

Loading OK


Help - Start

Help - Larmia Control AB


Assist - Översikt

Assist

Assist är ett tillägg till Microsoft® Excel 5.0 - 7.0 för att hämta fram loggkurvor samt energistatistik till Excel's kalkylblad och diagram. Assist är helt skrivet i Visual Basic for Applications och följer Excel's installation och inställningar. Därmed kan Assist köras på maskiner med Windows 3.1, Windows 95 eller Windows NT, oberoende av språkversion.

Assist kommunicerar med driftprogrammets editeringsdatabas via DAO eller ODBC och stödjer nätverksanslutningar mot databaser i kopplade maskiner.

Assist erbjuder ett enkelt handhavande för att ta fram färdiga diagram för loggkurvor och energistatistik, samt färdiga rapporter över energistatistik. Assist erbjuder även att när logg- eller statistikvärden hämtats till kalkylbladen i Excel kan Excel's egna databehandlingar och funktioner användas för att presentera objektens värden på olika sätt och därigenom förbättra dess information.

För energistatistik finns färdigt avancerad statistikbehandling av energi med korrigering för graddagar, jämförelse med normalår och avdrag från korrigeringen för varmvattensförbrukning.

Se vidare avsnittet "Menyfunktioner för Assist" för information om vad menyns olika alternativ har för funktioner.


Assist - Energistatistik i Assist

Energistatistik i Assist

För att skapa en ny rapport på det aktuella kalkylbladet, eller skapa ett stapeldiagram på ett nytt blad med energistatistik i Microsoft® Excel med Assist väljes menyn "Assist" och alternativet "Statistik…". Då tas en dialogruta fram med olika val för objektet vars energistatistik skall presenteras.

Inramningen "Valt objekt" består av två listrutor. I den vänstra listrutan med namnet "Grupp" visas samtliga grupper i editeringen som har snabbloggande pulsobjekt. Välj gruppen som innehåller önskat objekt genom att klicka med musen på namnet, rulla i listan med rullningslisten till höger om inte alla grupper syns. Då tas en ny lista fram i den högra listrutan, "Loggade pulsobjekt", innehållandes samtliga pulsobjekt i gruppen som snabbloggas. Välj önskat objekt att visa statistik från som rapport eller diagram genom att klicka på namnet.

I listrutan "Månader att visa" väljs vilka månader som skall tas och sammanställas i en rapport eller diagram. Välj månader genom att klicka på dess namn och upprepa detta på samtliga önskade månader. Månaden är vald när den är markerad med en annan färg, klicka en gång till på den så återgår markeringen.

Markerade månader behöver inte väljas i följd utan kan väljas i den ordning man önskar.

I textboxen "Jämför från år" väljs hur många år som diagrammet skall gå tillbaka, och jämföra med årets och normalårets förbrukning. Samtliga års månader från och med det år som är valt i textboxen kommer att finnas med i rapporten eller diagrammet. Nuvarande årets månader som ännu inte har värden får värdet noll i rapporten eller diagrammet.

Längst ner till höger finns en textruta med namnet "Varmvattensförbrukningskorrigering" för att skriva in värdet för avdrag till graddagskorrigeringen för varmvatten. Om mätningen för pulsobjektet även inkluderar varmvatten skall här det uppskattade värdet för varmvattensförbrukningens del skrivas in här. Värdet är av samma enhet som pulsobjektet. Detta värde måste skrivas in för att inte korrigeringen skall bli felaktig när pulsobjektet innefattar varmvatten då varmvattensförbrukningen anses vara konstant och inte varierande från år till år eller årstid. Värdet kan även justeras i efterhand om man väljer att studera statistiken med en rapport, genom att ändra värdet i cellen för varmvattenförbrukningskorrigeringen.

När samtliga val är inställda i dialogrutan avslutas den med antingen Rapport-knappen för att skapa en rapport på det aktiva kalkylbladet för energistatistiken, Diagram-knappen för att skapa ett nytt blad med ett diagram för energistatistiken, eller Avbryt-knappen för att avbryta.

Om Rapport-knappen valts hämtas värdena till den aktuella cellen på det aktuella kalkylbladet, och fortsätter att hämta värden nedåt och vissa rader till höger. Hur många rader nedåt som rapporten sträcker sig beror på hur många månader som är valda att presentera, samt hur många år tillbaka jämförelser skall göras. Viktigt att tänka på är att alla eventuella värden som fanns innan i cellerna skrivs över.

Samma sak gäller för Diagram-knappen, även då hämtas värden till den aktiva cellen på det aktiva bladet, samt vissa rader nedanför och till höger. Dock inte i samma mängd som vid Rapportstatistik, ej heller blir området formaterat. Dessutom skapas ett nytt blad med ett nytt blad.

Tänk även på att värden börjar att hämtas på den cell som är markerad, och flera rapporter eller diagrams värden kan tas fram på ett och samma kalkylark genom att markera en annan cell innan dialogrutan tas fram. Däremot tas alltid ett nytt diagram fram på ett nytt blad.


Assist - Graddagsvärden

Graddagsvärden

För att ändra vilket objekt som skall användas för att automatiskt skapa graddagsvärden eller för att manuellt skriva in graddagsvärden väljs menyn "Assist" och alternativet "Graddagsvärden…". Då tas en dialogruta fram där val av objekt för automatisk beräkning av graddagsvärden väljs och där en knapp finns för att skriva in graddagsvärden.

Att använda automatisk beräkning av graddagar innebär att Assist räknar ut graddagsvärdet månad för månad baserat på dygnets medelvärden. För att Assist skall kunna hämta dygnets medelvärde måste ett objekt som loggas väljas, som då representerar en utomhusgivare. Assist känner av automatiskt när graddagsvärdet för nya månader skall hämtas in, och räknar ut graddagsvärdet enligt SMHI's norm för graddagsberäkning.

Val av objektet för automatisk beräkning av graddagar markeras i listrutorna "Grupp" där grupper med loggade analoga objekt visas, och listrutan "Objekt" där den valda gruppens loggade analoga objekt syns. Dessa listrutor finns i inramningen "Valt objekt för automatisk beräkning av graddagar". önskat objekt som ger upphov till utetemperaturen markeras med musen genom att klicka på dess grupp och objektnamn.

Om ett objekt tidigare är valt är det på förhand markerat och blir markerat på nytt när dess grupp väljes.

För att Assist skall veta att automatisk beräkning av graddagsvärden skall användas markeras kryssrutan "Använd automatisk beräkning av graddagar". Denna kryssruta används även för att avslua den automatiska beräkningen, genom att avmarkera kryssrutan.

Graddagsvärden kan även skapas manuellt eller ändras i efterhand. Observera att graddagsvärden måste skapas innan några rapporter eller diagram kan skapas. Det görs genom att välja knappen "ändra" i inramningen "Manuell justering av värden" högst upp till vänster i dialogrutan. När knappen väljs hämtas arbetsboken och bladet fram där graddagsvärden sparas och dialogrutan stängs. I bladet syns rader med månader och kolumner med år. I kolumnen näst längst till vänster räknas medelvärden ifrån samtliga införda värden i tabellen och den kolumnen används som normalårsvärden. För att använda ett fast värde för normalåret skrivs formlerna i normalårskolumnen över med värden som skall användas som normalårsvärden.

För att ändra eller skapa ett värde används Excel's tillvägagångssätt för att skriva in värden i celler. Leta upp önskat år och månad i tabellen, markera med musen kolumnen och raden där de korsar varandra och skriv in värdet.

När ändringarna är utförda växlar man tillbaka till sin arbetsbok genom att välja menyn "Fönster" och menyvalet med namnet på den arbetsbok som man tidigare använde. Det går även bra att spara ändringarna och stänga fönstret på vanligt sätt.

Utförda ändringar används direkt när rapporter och diagram skapas, men påverkar inte redan skapade rapporter eller diagram.

När önskat val av objekt och automatisk beräkning är gjort klickas "Ok"-knappen för att spara ändringarna eller "Avbryt"-knappen för att bortse från ändringarna.


Assist - Inställningar

Inställningar i Assist

För att ändra gällande inställningar för Assist väljes menyn "Assist" och alternativet "Loggkurvor…". Då tas en dialogruta fram där sökvägarna till katalogerna och programmen som krävs för att använda Assist kan ändras.

I den övre textrutan skall sökvägen till Larmia Control's driftprograms huvudkatalog skrivas in. Huvudkatalogen heter som standard "Larmia" och innehåller endast underkataloger, inga filer används direkt under huvudkatalogen. Assist lägger själv till de underkataloger som den använder, så enbart sökvägen till huvudkatalogen skall matas in, som till exempel "C:\Larmia"

Sökvägen pekar vanligtvis direkt mot en hårddisk, men även en nätverksansluten enhet går bra att använda. Då skrivs sökvägen med enhetsnamnet först, till exempel "L:", och sedan eventuella underkataloger om Larmia's huvudkatalog inte ligger direkt under enheten.

För nätverksanslutningar behöver inte en enhet anslutas för att komma åt filerna, utan så kallade UNC-namn används med fördel. Då skrivs anslutningen till huvudkatalogen för Larmia's underkataloger med först två bakvända snedstreck, följt av den nätverksanslutna datorns namn, ett bakvänt snedstreck, delningsnamnet för anslutningen och eventuella underkataloger om Larmia's huvudkatalog inte ligger direkt under delningen. Då ser sökvägen ut som till exempel "\\Larmia-Central\Larmia" om Larmia's huvudkatalog inte ligger direkt under delningen.

I den undre textrutan skall sökvägen till Microsoft® Access skrivas in om editeringsdatabasen som används är Access samt databasfilen är distribuerad från Larmia. Då skall hela sökvägen till Access skrivas in, samt även inkludera exekveringsfilen för Access (vanligtvis MSAccess.exe). Sökvägen skrivs till exempel "C:\MSOffice\Access\MSAccess.exe" vilket är standardvalet för Access om det är installerat med Office-paketet.

även i den här textrutan kan sökvägen anges på en nätverksansluten enhet, eller med UNC-namn.

När sökvägarna är inskrivna avslutas dialogfönstret med OK-knappen för att spara ändringar, eller med Avbryt-knappen för att ångra ändringar.


Assist - Loggkurvor

Loggkurvor i Assist

För att skapa en loggkurva på ett nytt blad i Microsoft® Excel med Assist väljes menyn "Assist" och alternativet "Loggkurvor…". Då tas en dialogruta fram med olika val för objektet som skall presenteras som en loggkurva i ett linjediagram.

Inramningen "Valt objekt" består av två listrutor. I den vänstra listrutan med namnet "Grupp" visas samtliga grupper i editeringen som har snabbloggande analoga objekt. Välj gruppen som innehåller önskat objekt genom att klicka med musen på namnet, rulla i listan med rullningslisten till höger om inte alla grupper syns. Då tas en ny lista fram i den högra listrutan, "Loggade objekt", innehållandes samtliga analoga objekt i gruppen som snabbloggas. Välj önskat objekt att visa loggkurva över genom att klicka på namnet, och OK-knappen markeras att den kan väljas.

Inramning "Tidsperiod" består av sex "radioknappar", knappar där endast en i taget kan vara vald. Med detta väljs hur lång tid som diagrammet skall sträcka sig över. Förinställda tidsperioder som kan väljas är år, Månad, Vecka, Dygn och Timme. Dessutom finns ett extra val, "Valfri", där tidsperiodens start- och stoppdatum kan väljas fritt med skillnader från ett dygn och uppåt.

Till höger i dialogfönstret finns textrutor där valet av diagrammets start- och stoppdatum samt starttid väljes. Textrutorna är uppdelade i tre delar - Starttid, Startdatum och Stoppdatum. Startdatumet finns alltid tillgängligt, och där skall datumet för diagrammets början anges i formatet "år-Månad-Dag". Stoppdatumet skall anges i samma format, men stoppdatumet går inte att ändra om någon av de fasta tidsperioderna är valda, eftersom stoppdatumet då räknas ut ifrån startdatumet.

Däremot syns stoppdatumet och ändras tillsammans med tidsperioden. Stopptiden kan endast ändras då den förinställda tidsperioden "Timme" är vald, annars börjar alltid diagrammet på klockslaget 00.00. När tidsperioden "Timme" är vald finns en textruta där önskad timme som diagrammet skall visa skrivs in. Det går även att stega sig fram till önskad timme med rullningspilarna till vänster om testrutan, då rullar tiden en timme framåt eller bakåt.

Längst ned i dialogrutan finns en kryssruta där val görs för om Assist skall hämta samtliga värden för objektet och räkna ut medelvärden, eftersom inte alla punkter kan överskådas i ett diagram om tidsperioden blir för lång. Om rutan är förkryssad hämtas alla värden och ett medelvärde räknas ut med jämna mellanrum och placeras ut i diagrammet. Om rutan är tom hämtas endast utvalda värden och placeras ut i diagrammet, resterande värden hoppas över. Därmed kan även viktig information missas.

Observera att hämta samtliga värden kan ta lång tid att hämta och räkna ut, särskilt om längre perioder upp emot ett år skall presenteras. Tiden är beroende av maskin och hur upptagen den är med andra program. Glöm dock inte att statusbaren i Excel alltid visar ett procentuellt värde på hur långt Assist kommit med värdeinsamlingen och att hämtningen alltid kan avbrytas. Det görs genom att trycka på Escape-knappen längst uppe till höger på tangentbordet, då en fråga tas fram om värdesinsamlingen skall avbrytas. Svaret "Ja" avbryter insamlingen och ett diagram tas fram som visar värden som hittills samlats in, svaret "Nej" fortsätter insamlingen.

När samtliga val är inställda i dialogrutan avslutas den med OK-knappen för att skapa diagrammet, eller Avbryt-knappen för att avbryta. När OK-knappen valts hämtas värdena till den aktuella cellen på det aktuella kalkylbladet och fortsätter att hämta värden nedåt. I kolumnen till höger hämtas tidsaxlen fram, därefter skapas ett diagram. Viktigt att tänka på är att alla eventuella värden som fanns innan i cellerna skrivs över.

Tänk även på att värden börjar att hämtas på den cell som är markerad och flera diagrams värden kan tas fram på ett och samma kalkylark genom att markera en annan cell innan dialogrutan tas fram. Däremot tas alltid ett nytt diagram fram på ett nytt blad.


Assist - Menyfunktioner

Menyfunktioner för Assist

Via den extra menyn "Assist" som tillkommit när Assist är installerat finns alternativ för att ta fram dialogrutor till att välja loggkurvor eller statistik över ett objekt, samt ändra inställningar, uppdatera editeringsdatabasen eller öppna hjälpfilen. Denna meny ändrar alternativ när olika typer av blad är aktiverade. Detta eftersom loggkurvor och energistatistik endast kan hämtas fram på ett kalkylblad, och alternativet att visa ett linjediagrams max- och minvärden endast kan utföras när det aktiva bladet är ett diagram.

I dialogrutan som öppnas när alternativet "Loggkurvor" väljes finns val för vilket objekt som skall bevakas, vilken tidsperiod som loggkurvorna skall sträcka sig över, vilket tid och datum tidsperioden skall starta samt om medelvärden skall beräknas eller hämtas punktvis. När valen är gjorda och dialogrutan avslutad tas ett nytt linjediagram fram på ett nytt blad med färdigt formaterat utseende. Detta alternativ finns endast tillgängligt när ett kalkylblad är aktivt, och alternativet kan endast väljas om editeringen innehåller analoga objekt som snabbloggas. Se vidare avsnittet om "Loggkurvor i Assist" för mer information om dialogrutans utseende och funktioner.

I dialogrutan som öppnas när alternativet "Energistatistik" väljes finns val för vilket objekt som skall bevakas, vilka månader som statistiken skall visa, hur många år tillbaka som statistiken skall gå samt avdrag till korrigeringen för varmvattensförbrukning. När valen är gjorda och väljs genom två knappar om en färdig rapport skall sammanställas på det kalkylblad som är aktivt eller om ett stapeldiagram över statistiken skall tas fram på ett nytt blad. Detta alternativ finns endast tillgängligt när ett kalkylblad är aktivt, och alternativet kan endast väljas om editeringen innehåller pulsobjekt som snabbloggas. Se vidare avsnittet om "Energistatistik i Assist" för mer information om dialogrutans utseende och funktioner.

När alternativet "Visa max- och min" väljes för ett linjediagram markeras linjens högsta och lägsta punkt i diagrammet med två röda rektanglar, och tre textrutor med information läggs till över diagrammet om linjediagrammet är skapat med menyalternativet "Loggkurvor…" under menyn "Assist". I de tre textrutorna finns diagrammets värde för dess lägsta punkt, dess högsta punkt samt medelvärdet av alla giltiga värden i diagrammet. Observera att funktionen inte fungerar på andra typer av diagram än linjediagram, och att textboxarna inte tas fram om inte linjediagrammet är skapat med menyalternativet "Loggkurvor…" under menyn "Assist".

När alternativet "Uppdatera editering" väljes kontrolleras först att Microsoft® Access finns installerat på datorn och att sökvägen till exekveringsfilen som är inskriven i dialogrutan under alternativet "inställningar" i menyn "Assist". Om det stämmer skickas ett kommando till Access att uppdatera informationen i tabellen "Editering", med senaste informationen från Larmia Control's LCServer. För att detta kommando till Access skall fungera krävs att databasfilen är distrubuerad från Larmia Control. När uppdateringen är klar öppnas en dialogruta som talar om att Assist och därmed Excel måste startas om för att eventuella ändringarna skall träda i kraft.

I dialogrutan som öppnas när alternativet "Inställningar" väljes finns möjligheten att ändra sökvägarna till Larmia's rotkatalog för driftprogrammets underkataloger samt Microsoft® Access exekveringsfil. Microsoft Access krävs om kommandot från Assist för uppdatering av editeringen i databasen skall fungera. Se vidare avsnittet om "Inställningar i Assist" för mer information om dialogrutans utseende och funktioner.

övriga val i menyn "Assist" består av att öppna hjälpfilen till Assist samt öppna en informationsruta med versionnummer och övrig information om Assist.


Assist - Normalårsvärden

Normalårsvärden

För att ändra inställningarna för att automatiskt skapa normalårsvärden till ett objekt eller för att manuellt skriva in objektets normalårsvärden väljes menyn "Assist" och alternativet "Normalårsvärden…". Då tas en dialogruta fram där man kan göra val av objekt, ange om objektets normalårsvärden skall beräknas automatiskt och där en knapp finns för att skriva in värden till det valda objektet.

Att använda automatisk beräkning av normalår till ett objekt innebär att Assist räknar ut månadsvärdet för objektet och sparar undan värdet. Assist känner av automatiskt när månadsvärdet för nya månader skall hämtas in, och beräknar normalårsvärdet direkt med de nya inlästa månadsvärdena.

För att Assist automatiskt skall beräkna normalårsvärden för ett objekt skall först ett objekt väljas i inramningen "Valt objekt", sedan skall kryssrutan "Beräkna det valda objektets värden automatiskt" markeras. Denna kryssruta används även för att avsluta den automatiska beräkningen, genom att avmarkera kryssrutan.

Val av objekt markeras i inramningen "Valt objekt" i listrutorna "Grupp" där grupper med loggade pulsobjekt visas, och listrutan "Loggade pulsobjekt" där den valda gruppens loggade pulsobjekt syns. önskat objekt markeras med musen genom att klicka på dess grupp och objektnamn.

Om ett objekt sedan tidigare är markerat att det skall beräknas automatiskt markeras kryssrutan, och tvärtom.

Normalårsvärden kan även skapas manuellt eller ändras i efterhand. Observera att normalårsvärden för ett objekt måste skapas innan några rapporter eller diagram kan skapas för det objektet. Det görs genom att välja knappen "ändra" i inramningen "Manuell justering av värden" högst upp till vänster i dialogrutan. När knappen väljs hämtas arbetsboken och bladet fram där värden för objektet sparas, och dialogrutan stängs. I bladet syns rader med månader och kolumner med år. I kolumnen näst längst till vänster räknas medelvärden ifrån samtliga införda värden i tabellen, och den kolumnen används som normalårsvärden. För att använda ett fast värde för normalåret skrivs formlerna i normalårskolumnen över med värden som skall användas som normalårsvärden.

För att ändra eller skapa ett värde används Excel's tillvägagångssätt för att skriva in värden i celler. Leta upp önskat år och månad i tabellen, markera med musen kolumnen och raden där de korsar varandra och skriv in värdet.

När ändringarna är utförda växlar man tillbaka till sin arbetsbok genom att välja menyn "Fönster" och menyvalet med namnet på den arbetsbok som man tidigare använde. Det går även bra att spara ändringarna och stänga fönstret på vanligt sätt.

Utförda ändringar används direkt när rapporter och diagram skapas, men påverkar inte redan skapade rapporter eller diagram.

När önskat val av objekt och automatisk beräkning är gjort klickas "Ok"-knappen för att spara ändringarna eller "Avbryt"-knappen för att bortse från ändringarna.


Atlantis - Picture Edit

Picture Edit

With this key function the window where you can edit schematically drawings is displayed, and you can place and edit the dynamics for the pictures with texts and symbols regarding the status of the objects. You can copy from other pictures and databases for schematically symbols.

When you click this key, additional choices of functions show up in the upper part of the group window. Most of the functions are giving support for placing of the dynamics. The key Paint in the middle of the functions is referring to designing of the basic drawing of the group, where you show how the objects are connected to each other and how they influence each other. The purpose of the picture is to make the configuration and function of the objects in the group clear and easy to grasp, usually with an schematically picture of the room or area which the group is serving.

The pictures can for instance be designed in the Paint program of Windows, which has keys with extra functions and help-support, which is referred to for more information about how to design the picture. Other design-programs as AutoCad can also be used. Pictures can also be scanned or collected from video or a database.

Normally you can copy for instance air handling units and plant rooms from an existing flow charts and after that do any changes. Larmia Control has a database for pictures.

More information about how to place and edit dynamics you can find in the section Dynamics.


Atlantis - Dynamics

Dynamics

Dynamics is the name for texts and symbols in pictures, which dynamically shows the status and the position of an object. The status of the objects is shown by text. For digital objects texts for activated- and deactivated positions are shown, and for analogue objects the value is shown by figures. Alarms are then indicated by the normal text of the object (can be dropped) and the alarm text when there is an alarm. Instead of an explaining text a schematic symbol can be shown for the object for instance for fans, pumps, etc. The value of the analogue objects can be represented by for instance staples. The symbols can vary with different databases, which also can be increased. The dynamics for texts as well as for symbols are changing their colours in the same way as when presenting the group with texts. For more information about the colours for different objects, see section What is an Object?

Except for texts and symbols for objects also references to other groups can be shown in the pictures. That makes it easy for the user to change over to another group by clicking with the mouse on the text field or another part of the picture. This reference to another group is called Select Picture.

A selection of picture is a field in the picture, which is changing over to a preset group when the user is clicking with the mouse within the area. This area can be indicated either by having the name of the referring group on a grey background or be transparent, representing a part of the picture corresponding to another group – for example buildings or rooms.

If the selection of picture is shown with a grey background, you can choose to indicate to where it is connected by an arrow. See also section The window of dynamics for objects for more information about settings for selection of picture objects.

Placing and editing of dynamics can only be done by clicking the key Menu in the upper left corner of the window of the group, which you want to edit. In the menu window, which shows up, you choose the key Picture Edit, and the functions for placing and editing the dynamics are shown at the top of the group window.

When the key Picture Edit is clicked the row of keys at the top of the window disappear and are substituted by other keys. To the very left there is a key for escaping from the state of editing and two keys for changing of group, which you also find in the normal showing of a group. In the middle there are four keys for the dynamics and to make the picture, and to the right there are three radio keys for editing of the dynamics.
See section Functions of dynamics for more information about how to use the radio keys.


Atlantis - Change of dynamics

Change of dynamics

To change the position of the dynamics in the groups You have to choose Picture Edit in the menu for the group to get access to the extra keys and functions which are needed. For further information about how to find the picture-editing, see section Dynamics.

To the very right among the keys, which show up when you have chosen picture editing, you have three square keys for the positioning of the dynamics. This type of keys are called "radio buttons" as they belong to a group where only one of the keys can be chosen at the same time. You choose a new key by clicking it, and at the same time the button will have an orange mark, and the button, which was chosen last time, will be neutral like the background.

With the radio buttons you can choose one of the following three functions: Edit, Move or Erase.

If You choose Edit it is possible to change the way of presenting the object, if the status of the object shall be shown with capital or small letters or which type of symbol to be chosen. Further information about the functions concerning selecting the way of presentation, see section The window of dynamics for objects.

If you choose Move You can change the position of the dynamics. The easiest way to move an object is by clicking the object with the mouse; keep the key of the mouse pressed down at the same time as you move the object to the new position. The final adjustment of the position can be done by the keys for removal in the window of dynamics of the object. For more information about the functions for the fine adjustment of the position, see section The window of dynamics for objects.

With the Erase button you can erase the object of dynamics from the picture. All you have to do is to click the object, which you want to erase. Note that it is only the representation of the object in the picture, which disappears. The object remains unchanged in the group with values and addresses as before, but the object can only be recognized when you look at the group in text mode. If you later on regret, you can reintroduce the representation of the object in the picture again. The object remains in the group, and can be reintroduced by choosing the function New (see the text above).


Atlantis - Functions of dynamics

Functions of dynamics

To be able to change the placing and connections of the dynamics of pictures You have to choose Picture Edit in the menu for the group, to get access to the extra keys with functions which are needed. For further information about how to get access to the editing of pictures, see section Dynamics.

The key Exit Edit to the very left is used for escaping from the picture editing and return to the normal presentation of groups. Please note that any changes are lost if not saved. With the two following keys marked with arrows you can step upwards or downwards among the groups in alphabetic order, keeping the picture editing position. Any changes are lost if not saved also in this case.

Next to that is a list box where other pages belonging to the same group can be connected.

With the keys Save and Undo You complete the performed changes of the dynamics since the last saving. Either you save the new appearance or You keep the picture as it was before You made the changes.

By clicking the key Paint You enter a program where you can redesign the main picture of the group, which means the basic picture where no dynamics are presented. This programme has functions by its own and help-text, which is referred to for detailed information. A hint to make it easier to design the pictures is to use the databases for symbols for fans, pumps, valves, tubing etc. In the programme there are also functions for cutting out, copying and cutting in symbols from the database, so that you don't need to redesign every symbol.

With the key named New You add a new object of dynamics in the picture. At first a window shows up containing all the objects in the group, and in addition a special object called Select Picture.

See section Dynamics for further information about picture selection objects. You choose the wanted object or choice of picture by clicking it. The new object will be placed in the middle of the picture, and a new small window, which controls the settings of the object of dynamics, shows up. For more information about these functions, see section The window of dynamics for objects.

For moving, erasing or changing of the representation of the objects of dynamics the three keys to the right in the upper part of the window are used. For further information see section Change of dynamics.

To close the window you use the Windows functions at the upper left in the menu window.


Atlantis - The window of dynamics for objects

The window of dynamics for objects

By the window of dynamics for objects means the window, which is shown when clicking an object of dynamics when the function Picture Edit has been chosen. In the window of dynamics you can find keys for fine adjustment of the placing of the object, the way of presentation and choice of group for the objects of dynamics, which refer to another group.

For further information about how to find the window with functions for the dynamics of the object, see section Dynamics.

To the very left there is a field with four keys called Position. With these keys you can move the object of dynamics one step upwards, downwards and sideward with the smallest possible margin, which means one pixel on the screen, and the text next to the keys informs you about the exact position of the upper left corner of the object on the screen. The value of X corresponds to the horizontal position, and the value of Y corresponds to the vertical position on the screen. For longer transfers the object can be moved by the mouse. See section Change of dynamics for further information about how to move the object by the mouse.

The following field in the window of dynamics, which are called Value and Status, are used for choosing the way of presentation. If the object is analogue the left part called Value is visible, where you by using the radio buttons are choosing the type of presentation, which you prefer. For analogue values you can choose between small and big text for the presentation of the value of the object.

If it is a digital object, only the other part of the field called Status is visible. In the same way as above you can choose how to present the object by using radio buttons. You can choose between small and big text for showing the status of the object, or you can choose a symbol as a representation of the object. For further information about how to alter to symbols when placing the dynamics, see section Symbols in the dynamics.

If the object, which you have clicked, is a measured value (analogue in), there is another choice in the field of Value, as also the value can be represented by a bar chart. If you choose this way of presentation a yellow bar will represent the value with a scale ranging from the minimum- to the maximum value of the object.

The size of the bar can be adjusted in the field called Size to the right. In this field there are four keys, where the height and width of the staple can be changed. You can move the bar chart with the position keys or the mouse in the same way as for other objects of dynamics.

For bigger changes of the size of the bar chart also the right key of the mouse can be used. Click the bar chart with the right key of the mouse and keep it pressed at the same time as you move the mouse until the wanted size of the bar chart is obtained. Note that the scaling disappears when the bar chart becomes too small to hold the scaling.

If the clicked object is a picture exchange object there is no information in the field of Value and Status, but to the right of field You have instead a key with the text Select Group and two squares for marking beneath and four position keys for the arrow in a field to the right.

If you click the key Select Group a window for choice of group is shown including all the groups in the system. You choose the wanted group by clicking it. The square for marking named Visible is used for choosing if the choice of picture shall be marked by a grey rectangle or be transparent, and the square below named With Arrow is marked if the choice of object shall be marked with an arrow. The direction of the arrow is influenced by the four position keys to the right, which move the end of the arrow upwards, downwards and sidewards.


Atlantis - Symbols in the dynamics

Symbols in the dynamics

Symbols in the dynamics are an alternative to text for informing about the status of an object. Symbols with different colours and shapes can represent different objects and the status of them.

For placing of symbols in the dynamics, picture editing has to be chosen and the window of dynamics for the object, which you want to represent by a symbol, has to be visible. See sections Dynamics and The window of dynamics for objects for further information.

When clicking the radio button Symbol in the window of dynamics four black fields with symbols are showing up together with one "+"- and one "-"-key to the left and a field named Symbol to the right. In the black fields you can see the shape of the symbols in different status, in active, passive, alarm and return status. The two black fields to the right are only valid for digital controls with conflict alarm. The symbols visible in the fields have the same colour and shape as the symbols are going to have in different status.

If You want to step further in the database for symbols, You use the "+"- and "-"-keys to the left of the black fields for symbols, and the next or last pair of symbols will be visible in the black fields.

For painting and changing of the symbols You press the radio button Paint in the field of Symbol, and click the symbol which You want to paint or change. Then a paint program for editing of the appearance of the symbol is started. The paint program itself has functions and help, which is referred to for further information about how to use it in the best way for painting a symbol. When the painting is finished you save the symbol under the same name as before, and close the paint program.

A faster way to paint new symbols is to copy already existing symbols, and then only change the colour of the symbol. The easiest way is to use the function Copy which you find in the field of Symbol. When the radio button is pressed, you click the symbol in one of the black fields, which you want to copy. That is marked by the mouse marker, which changes it's shape from an arrow to a black/white square. Then you look up the pair of symbols where you want to add the symbol and click with the square of the mouse marker on the position where you want to have the symbol. If you later on want to change the symbol it is just to mark the button Paint in the field of Symbol and go on as described above.

If you want to erase a symbol from the pair of symbols and the database for symbols you choose the button Erase in the field of Symbol. Look up the symbol, which you want to erase and click it with the mouse. In the database symbols are available for heating, water and sanitation and electricity.


Atlantis - LCCapture

LCCapture

LCCapture is a software that handles printing of screen captures.

To print a page, either press the Print Screen key or right click on the icon in the system tray (in the lower right hand corner of the screen) and select Print Screen. This will create a screen capture. To print only the active window, first press the Alt key before pressing Print Screen.

When printing, the following dialog is shown.

Settings that can be made are:

Width | The width in millimeters.
Height | The height in millimeters.
A4 | Adjusts the width and height to the standard paper size A4
Portrait / Landscape | Image orientation.
Auto scale | The width and height of the captured image is scaled to fit the entered width and height.
Invert color | Click this checkbox to activate the "Invert color" mode. The color chosen to the right will be inverted to white.


Atlantis - Loggkurvor i Excel

Loggkurvor i Excel

När Excel har startat upp med Larmia Controls tillägg för att hämta värden för analoga objekt i driftprogrammet har en ny rullgardinsmeny "Loggkurvor" tillkommit innan hjälpmenyn i Excel.

För att kunna använda sig av tillägget och för att hämta in värden för ett objekt krävs att användaren på förhand känner till viss information om objektet som värden skall hämtas in för. Till den informationen som måste finnas hör objektnummer, min- och maxvärde samt datum för då värdena skall hämtas fram.

När informationen är känd väljes "Hämta data" under rullgardinsmenyn "Loggkurvor" då ett enkelt fönster tas fram där informationen skall föras in.

Objektnummer är det identifierarnummer som objektet har, vilket syns i informationsfönstret för objektet som tas fram när musen klickas på det, samt även syns om Objektnummer är valt i listboxen i övre delen av fönstret för gruppen som objektet hör till. För mer information om objektnummer, se vidare avsnittet Vad är ett objekt?.

Min- och maxvärde är de gränsvärden som objektet måste hålla sig inom, och som behövs för att räkna ut skalan på värdet. Dessa värden är enbart synliga när objektet skapas eller när man editerar objektet. För att läsa av min- och maxvärdena för objekten måste således editering av objektet väljas. Detta görs genom att välja knappen EDIT bland huvudknapparna i övre delen av skärmen. Mer information om hur man går tillväga för att editera ett objekt finns i avsnittet Editering.

Datum är det dygn som värdena skall hämtas upp för, värdena som hämtas börjar att läsas in med detta datum som startdatum.

I rutan tidsutsräckning finns fyra val att göra om hur lång tid man vill att diagrammet skall sträcka sig med tidsaxeln ifrån det datum man angav i datumrutan. Valen som finns är

24 tim | - hämtar värden för det dygn som är angivet i datumrutan.
8 dygn | - hämtar värden åtta dygn framåt från det dygn som är angivet i datumrutan.
2 mån | - hämtar värden två månader framåt från det datum som är angivet i datumrutan.
1 år | - hämtar samtliga värden för det år som är angivet med datumet i datumrutan.

När rätt information är inskriven i fönstret väljs retur på tangentbordet eller OK knappen klickas. Då hämtas värdena in i en nedåtgående rad med början med första värdet som förs in i den cell som är markerad. Därefter tas ett nytt blad till arbetsboken fram, med ett diagram över loggvärdena, formaterat med rätt tidsaxel och med information om värdena. Proceduren kan upprepas flera gånger för att hämta in värden för fler dagar.

När värden är inhämtade till Microsofts Excel är det fritt fram att använda Microsofts Excels inbyggda funktioner för att presentera värdena på bästa sätt. Se vidare Microsofts Excels hjälp för mer information om dess inbyggda funktioner.


Atlantis - Menu

Menu

With this key function a new window with keys is shown, where general settings and functions in the programme can be chosen.

The functions of the menu are:

Notes

Edit

Load/Update

Time Channels

Date Schedules

Calendar

Seek Object

Analyze

Maintenance

Configuration

Alarm Configuration

Control Panel

Color Schemes

Simulate

Calculator

For more information about the functions of each key, see respective section.

The Excel-functions are optional and can be bought later and require that the plant has a license for Excel.

Special functions can be available, see enclosure.


Atlantis - Minicall and GSM text

Minicall and GSM text

The operation program has an option where you can choose to transmit alarms from selected alarm classes to Minical text and/or GSM text. Every alternative can have up to eight different numbers controlled by a time schedule or a condition.


Atlantis - Remote Access Service (RAS)

Remote Access Service (RAS)

Remote Access Service (RAS) is a remote connection via a modem to the SCADA (the main computer) which can offer possibilities of a faster service from Larmia Control and/or home terminals of the people on duty for a plant.


Atlantis - Editing of Texts

Editing of Texts

All editing of texts and names are done in special editing fields. These editing fields have standard functions for Windows, which means that it is possible to cut out, copy and enter text in the editing fields.

For the editing is valid that all signs are permitted for texts, including symbols and blanks. Regarding names of groups and objects however, only letters should be used including hyphens and underlines. Not permitted signs in names are the sign for percent (%), asterisk (*), arrows (<- or ->) and strokes (/ or \), which are reserved. You should also not use parenthesis or signs for dividing of text (, . ; : " ’).

FUNCTIONS FOR EDITING:
<: | Erase backwards.
Delete: | Erase forwards.
Left arrow: | Move the marker backwards.
Right arrow: | Move the marker forwards.
Up arrow: | Change the position of editing upwards.
Down arrow: | Change the position of editing downwards.
Tab: | Change the position of editing to the next.
Shift + Tab: | Change the position of editing to the previous.
Enter: | Change to the next position of editing or end editing.
Ctrl + x: | Cut the selected text.
Ctrl + c: | Copy the selected text.
Ctrl + v: | Paste text.

The reserved sign \ is used for blocking of manual control keys. If the text for the control status is started with the sign \, the manual control function in the operation program is blocked, and the key will not be visible in the information window of the control object. But the object can still have the blocked status, it is only the manual control function which is blocked. When the object has this status, the text of the status is shown without the sign \ in the status window, only the text after that sign is visible. This function can be useful for objects, which never are permitted to be controlled into a certain position, operations of important control systems, which must not be cut off from the operation program.


Atlantis - Printing

Printing

A printer must be installed and configured according to the settings of Windows. For printing out of the picture, which is visible on the screen, You push the key PRINT SCRN on the keyboard, and the picture will be transmitted to the printer, after a dialogue-window with settings for the printer has been visible. Click the OK key or push the key Enter when the settings for the printer are done, and the picture is transmitted to the printer. Observe that the picture, which is sent to the printer, has inverted (negative) colours in order to save ink. To get round that function any of the shift keys (a key with an arrow upwards) can be pushed at the same time as the PRINT SCRN key, then the correct colors will be printed out on the preset printer.

To print out certain parts of documents and curves there are certain routines to print out from their menus, and to get more help at these occasions You can consult the help menus which are available at that time.

See also [ LCCapture ]


Atlantis - What´s shown on the screen

What’s shown on the screen

The first keyline on the screen includes quick launch functions and is always shown in normal use of the system (exception when editing the system). The keys include the most frequent general functions that are used in the system. Below the keyline the mainwindow shows the contents of the chosen function.

The functions of the keys of the speedbar are:

Log In
Alarm List
Event List
Trend Curves
Select Group
Menu

These are the main functions which are available in the system. After one of the keys is chosen, a new window is shown where further choices of functions are available.


Avalon - Contents

Contents

Function | Description
Log In | Log in
Select Group | Shows all Groups in the CCU
Group | Group. Text and Picture mode
Alarm List | Shows all active and unacknowledged alarms
Event List | Shows all events
Trend Curves | Shows the las chosen Trend Curve
Time Schedules | Time Schedules and Date Schedules
Menu | Access to system settings
Object windows | Description of object windows
Regulators | Regulator parameters
Control Curves | Change break points and offset values


Avalon - Commissioning and Troubleshooting

Commissioning and Troubleshooting

Function
Commissioning
Dial-up
Troubleshooting


Avalon - Menu

Menu

After pressing Menu, the following choices can be made:

Function | Description
Connections... | Connect to another Avalon CCU
Date Schedules | Edit Date Schedules.
Change CCU number | Change the CCU number (id) (Log In level 5 required).
Update CCU | Get new program and pictures from the Atlantis Server (Log In level 5 required).
Information | Displays version information.
Exit | Exits the Avalon client software.


CCU - What is a CCU?

What is a CCU?

A CCU (Computerized Central Unit) is a computer with a number of in- and out-puts for registering and controlling of analogue and digital signals. Normally CCU's are used within heating, water and sanitation engineering where temperature- and flow-sensors control pumps, fans and valves for heating, water and ventilation for buildings and in connection with controlling of industrial production.

CCU's can be divided into two categories, intelligent and unintelligent. Intelligent CCU's contain a microprocessor and manage to control all regulation by itself and also to communicate with other equipment, while an unintelligent CCU only to a certain point can control without the support from an external computer.

In bigger systems a SCADA (Supervisory Control And Data Acquisition) is normally used. A SCADA works like a hub, a centre in the system, and collects information from the CCU's and presents it in a programme, which is easy to handle, and which gives an overview of the whole system. It is also very important that the programme for the CCU's can be created and changed on line, among other things due to future costs and to avoid double work when creating the system.

Usually a CCU has possibilities to communicate with other equipment as telephone-transmitting units. To be able to be connected to each other and share the signals and information and to be connected to a SCADA, a protocol is used.

A CCU can besides own cables also have connections via telephone lines to modems. See section Dial-up connection with the CCU for further information about these connections.

To be able to identify each CCU of the type Larmia Control LS920 in a composite system, each CCU has an individual identification number. This identification number is the number, which are the first three figures in the address of every object. Normally the identification numbers for the CCU's in a system start from number one and then onwards.

See also [ What is a Group ] [ What is an Object ]


CCU - LS99

LS99

Address specification for the LS99:

[ COMmodule / Loop - UnitNo - Terminal block ] ex. 11-003-05

COMmodule | Not used, must be set to 1.
Loop | The loop which the LS99 is connected to.
UnitNo | The given address of the LS99 unit (1-127).
Terminal block | The terminal block which the object is connected to.

Alarm inputs - terminal block 1-16

Digital control (manoeuvre) and Measure inputs - terminal block 21-28.

If the LS99 doesn't have any extra module such as Digital control-, Analogue-in or Pulse-module, the pins no. 14 and 15 on the contact P4 of the LS99 module must be clamped.


CCU - LS920

LS920

Address specifications for the LS920:

[ DUCno - Place of module/Terminal block] ex. 042-H3.

DUCno | The given address of the CCU (1-255).
Place of module | The place of the module in the CCU (A-L) or (A-F).
Terminal block | The terminal block which the object is connected to.

Westermo MA-42 setting for the LS920:
 | Switch 2 | Switch 3
NT | 100 100 | 101 111
DOS | 010 100 | 101 111

RS 485 cable:
MA42 | LS920
1A | U4
2B | U1


Analysering - Graddagar

Graddagar

För att välja en graddagsgivare högerklicka på objektet i gruppfönstret och välj Ange som graddag

För att ändra graddagsvärden tryck på Graddag.

Välj upplösningen Dag eller månad i listrutan längst till vänster.
Ange aktuell år och månad och skriv in värden i textrutorna.
Tryck på Spara för att spara graddagsvärderna.


Analysering - Ingångar

Skapa Ingång

För att skapa en ingång markera det aktuella systemet och tryck på Skapa ingång.
Skriv in ett namn på ingången i den markerade raden.

Koppla ingång

En ingång kan vara en konstant t ex (Area) eller ett objekt. För att koppla en konstant till en ingång högerklicka på ingången och välj Lägg till konstant.

Skriv in kontanten i dialogrutan Ingång och tryck på Ok.

För att koppla ett objekt till en ingång används "drag and drop".
Markera det aktuella objektet från grupp fönstret och dra objektet till ingången.

För att se alla konstanter i ett system högerklicka på systemet och välj Visa konstanter.


Analysering - Rapporter

Rapporter

Till varje system kan man skapa flera rapporter. En rapport består av flera rapportkomponenter. En rapportkomponent kan vara en lista, avvikelserapport eller ett diagram.

(Lista med rapportkomponenter)
För att redigera en komponent, högerklicka på en komponent och välj egenskaper.

Komponentlista

Lägg till så många rader du vill ha i listan genom att trycka på Lägg till rad. Lägg in de värden som skall redovisas i listan genom att hämta värden från systemen eller från villkor (drag and drop).
Om värden skall presenteras i diagram skall en diagramtyp markeras och de värden som skall vara med i diagrammet markeras genom att bocka i Visa diagram.
Om värden skall graddagskorrigeras anges detta genom att markera Graddagskorrigera.
Inställning av datum:
I listboxen intervall bestäms upplösningen på listan. Det går att välja mellan dag, vecka och Månad.
Om relativ tid är markerad anges hur många kolumner lista skall ha (dvs antal månader, dagar eller veckor). Starttiden på listan är då relativt nuvarande tid och antal månader, dagar eller veckor bakåt.
Om relativ tid inte är markerad anges ett absolut värde på datumet.

Om relativ år är markerat så är angivet årtal flytande dvs årtalet ändrar sig med tiden. Man vill tex ha en lista på värden i nuvarande år. Omrelativ år inte är markerat så är årtalet fast.

Komponent Diagram

Lägg till så många rader du vill ha i listan genom att trycka på Lägg till rad.
Lägg in de värden som skall redovisas i listan genom att hämta värden från systemen eller från villkor (drag and drop).

Komponent Avikelse

I denna komponent anges endast hur många dagar tillbaka i tiden som rapporten skall leta efter avvikelser.
Denna komponent går igenom alla villkor som är markerade som avvikelsevillkor.

Visa rapporter

Rapporten visas genom att markera rapporten och sedan trycka på Visa Rapport. Programmet kommer då gå igenom de ändringar som har gjorts och generera en ny rapport.


Analysering - Standardsystem

Standardsystem

För att infoga ett standardsystem höger klicka på systemet och välj Infoga standardsystem.

Välj standardsystem och tryck på Infoga

För att redigera/skapa nytt standardsystem tryck på Standardsystem.
Den brandgula rutan talar om att programmet ligger i editeringmod. Markera det system som skall ändras i listrutan till höger.
Lägg in system, ingångar, villkor och rapporter som vanligt.
OBS! Objekt-knappen är ej åtkomlig eftersom ett standardsystem inte kan kontrollera ingångsobjekt.
För att skapa ett nytt standardsystem tryck på Skapa nytt std. system.
Ange ett namn och tryck på Ok.
Lägg in system, ingångar, villkor och rapporter som vanligt.


Analysering - Standardvillkor

Standardvillkor

I Standardvillkor finns en del vanliga färdiga villkor och man kan också lägga in egna standardvillkor.
Markera det villkor som skall användas och tryck på Infoga. All text från standardvillkoret kommer då över till villkoret.
Därefter måste rätt punkt läggas in på rätt plats i ingångarna.


Analysering - Hjälp

System | - Grundläggande systemhantering
Standardsystem | - Hantering av standardsystem
Villkor | - Villkorssyntax
Standardvillkor | - Hantering av standardvillkor
Ingångar | - Skapa och koppla ingångar
Graddagar | - Redigera graddagsvärden
Rapporter | - Skapa och konfigurera rapporter

© 2003 Larmia Control AB


Analysering - System

Skapa System

Skapa ett system genom att trycka på Skapa huvudsystem eller Skapa undersystem.
Skapa huvudsystem skapar ett system under roten.
Skapa undersystem skapar ett system under markerat system.

Ange ett namn på systemet och tryck på knappen OK. System kommer att visas i systemträdet.


Analysering - Villkor

Villkor

Med hjälp av villkor kan beräkningar göras. De värden som används i beräkningarna läggs in under ingångar genom "drag and drop" från systemen eller från andra villkor.

Skapa ett nytt villkor genom att trycka på knappen Skapa nytt. Skriv därefter in en titel och en beskrivning.
De värden som används i beräkningarna läggs in under ingångar genom "drag and drop" från systemen eller andra villkor. Skriv därefter in beräkningsvillkoret.

Följande operatorer kan användas i villkorsuttrycket

Uttryck | Betyder | Prioritet
iX | icke X | 1
X=Y | X är lika med Y | 4
X#Y | X är skilt från Y | 4
X>Y | X är större än Y | 4
X<Y | X är mindre än Y | 4
X^Y | bara X eller bara Y | 5
X&Y | X och Y | 6
XeY | X eller Y | 7
X*Y | X multiplicerat med Y | 2
X/Y | X dividerat med Y | 2
-X | minus X | 3
X+Y | X plus Y | 3
X-Y | X minus Y | 3

Följande villkorsfunktioner kan användas i villkorsuttrycket Villkorsfunktioner

Uttryck | Betyder
MIN(X,Y) | minsta värdet av X och Y
MAX(X,Y) | största värdet av X och Y
ABS(X) | absolutbeloppet av X
ROT(X) | roten av X
LOG(X) | logaritmen av X
SIN(X) | sin av X (grader)
COS(X) | cos av X (grader)
TAN(X) | tan av X (grader)
ASIN(X) | arcsin av X (grader)
ACOS(X) | arccos av X (grader)
ATAN(X) | arctan av X (grader)
MINNE(S,R) | Minnesfunktion S=1,R=0 :resultat=1, sätter minnet=1. (Set) S=0,R=1 :resultat=0, nollställer minnet=0. (Reset) S=0,R=0 :resultat=minne.
TID(M,X) | Tillslagsfördröjning 1sek-10år +- 1%. tillslagsfördröjer X, M minuter. ex TID(10/60,A) tillslagsfördröjeringång A 10 sekunder. (1tim=60min, 1dygn=1440min)
FTID(M,X) | Frånslagsfördröjning Som TID(M,X) fast frånslagsfördröjning.
FILTER(S,X) | filtrerar värdet X, med tidskonstanten S(Sekunder). ex FILTER(4,A) filtrerar ingång A, så att, om A ändras från 0 till 10 ändras värdet till halva förändringen (5). efter 4 sekunder. 7.5 efter 8 sekunder osv.
ALT(A,X,Y) | Alternativt val A=1 :resultat=X A=0 :resultat=Y
KURVA(X,typ,x1,y1,x2,y2...) | Kurvfunktion med upp till 6 brytpunkter. X=Ingångsvärdet på kurvan (kurvans aktuella x-värde).Detta kan vara en ingång eller annat utryck i villkoret. typ 1=Kurvan fortsätter före första och efter sista brytpunkten. typ 2=Kurvan erhåller samma värde som y1 före första brytpunkten och fortsätter efter sista brytpunkten. typ 3=Kurvan fortsätter före första brytpunkten och erhåller samma värde som sista y efter sista brytpunkten. typ 4=Kurvan erhåller samma värde som y1 före första brytpunkten och erhåller samma värde som sista y efter sista brytpunkten.


Editing - Summary

LCEdit


Editering - LC-Regulatorn

LC-regulatorn och jämförelse med PID-regulatorn

LC-regulatorn består av tre delar:

  • -En proportionellt verkande del (P-del), som sätter ut en styrsignal som är proportionell mot reglerfelet (börvärdet - ärvärdet). Storleken av denna verkan bestämms av förstärkningsfaktorn för P-delen . Denna funktion är samma som P-delen för PID-regulatorn.
  • - Integraldelen ökar styrsignalen proportionellt med reglerfelet en gång varje looptid. LC:s integreldel använder samma förstärkningsfaktor som P-delen.

I en vanlig PID-regulator går I-delen in varje samplingsintervall och har en egen förstärkningsfaktor.

  • - Deriveringsdelen ökar styrsignalen då reglerfelet ökar och minskar styrsignalen då reglerfelet minskar. Hur stor denna förändring av styrsignalen är bestäms av förstärkningsfaktorn för D-delen. PID-regulatorn baserar sin verkan på styrsignalen på nuvarande reglerfel, medan LC-regulatorn även tar hänsyn till gamla reglerfelsförändringar.

Omräkning från PID-regulatorns parametrar till LC-regulatorns

Tp | Förstärkningsparameter P-del
Ti | Förstärkningsparameter I-del
Td | Förstärkningsparameter D-del
TpLC | TpPID
TpLC | TpPID / TiPID

Använd D-delen då det är svårt att få ett stabilt system eller om man vill att regulatorn skall svar på snabba störningar.

Paramerval

Valet av regulatorparamertar beror på egenskaperna på det system man reglerar. Man kan approximativt beskriva ett system med två parametrar, förstärkning och insvägningstid. Förstärkning är hur mycket ärvärdet ökar eller minskar vid en förändring av styrsignalen med en enhet (1% med larmias regulator). Insvägningstiden är den tid det tar för ärvärdet att nå sitt nya stabila värde efter förändring av styrsignalen. Dessa parametrar kan beräknas, uppskattas eller tas fram exprementellt.

Experimentell framtagning av systemparametrar genom stegsvar.

Framtagning av förstärkning (K)och Insvägningstid (T).

Exempel: En blandningsventil reglerar temperaturen till tappvärmevatten.

  1. Styr ventilen manuellt t.ex. till 30 %.
  2. Vänta tills temperaturen har stabiliserat sig. Om den inte gör det försök att uppskatta ett medelvärde. Notera detta värde T1.
  3. Öka eller minska styrventilen med ca 10% eller vad som är lämpligt utan att någon störs allt för mycket. Denna förändring kan vi kalla dU (dU är positiv vid ökning och negativ vid minskning av styrventilen).
  4. Gör en uppskattning av hur lång tid det tar tills temperaturen når sitt nya värde. Notera denna temperatur T2. För att bättre uppskatta insvängningstiden kan du sätta styrventilen till sitt gamla värde (30%) och se hur långtid det tar innan temperaturen åter blir T1.

T = Tiden det tog för temperaturen att stabilisera sig.

Med hjälp av dessa parametrar kan du få fram ett förslag till regulatorparametrar ur diagrammet i bilagan. Med dessa parametrar får systemet inte någon översläng varken vid ändring av börvärde eller vid en förändring av en störning.

Om snabba störningar påverkar systemet kan det vara lämpligt att minska looptiden. Du måste då tänka på att om du t.ex. minskar looptiden med 30% måste du också minska P-verkan med 30%. Du bör ej välja en looptid som är mindre än hälften av vad som anges i tabellen. Se till att ställdon hinner med att följa regulatorns styrsignal. Om de inte gör det kan du lika gärna har en långsammare regulator.

Om du vill att styrsignalen skall reagera snabbare kan du öka P-verkan till maximalt 3 gånger vad som står i tabellen (vid angiven looptid) utan att systemet börjar självsvänga.

I tabellen görs även en jämförelse med motsvarande parametrar för PID- regulatorn.

Lösningar på vanliga reglerproblem.

Reglering av olinjära system

Exempel

Kylreglering av rumstemperatur med hjälp av uteluft. Styrsignalen styr varvtalet på fläkten.

Ärvärdet är rumstemperaturen.

På sommaren kan en ökning av av varvtalet med 10% ge en minskning av temperaturen med 3 grader => K = -0.3 . Detta ger ett val av parametrar.

På vintern kan samma ökning av styrsignalen ge en minskning av 10 grader = > K = -1.

Vilket ger en annat parameterval.

Lösningen kan då vara att sätta ett kurvobjekt (eller villkor med kurvfunktion) som parametrar och låta utgången på kurvobjektet bero på utetemperaturen.

Observera att detta system har en negativ förstärkning. I tabellen nedan behöver du inte bry dig om tecknet. Den enda skillnaden är att du i området för regulatorns utgång anger 100 - 0% i stället för 0-100% (Om hela regulatorns område används).

Uppdelning av Regulatorn i flera utgångar

När regulatorn delas upp i flera utgångar påverkar detta valet av regulatorparametrar dels på grund av att varje utgång påverkar systemet på olika sätt, dels påverkar valet av området för utgången hur mycket den utgången förändras vid en förändring av regulatorns område.

Ex

Utgång A verkar i området 0 - 10 påverkar SV1

Utgång B verkar i området 10 - 40 påverkar SV2

Utgång C verkar i området 40- 100 påverkar SV3

Ökning av regulatorns utgång med 1%

Utgång A ökar med 10 %, då regulatorns utgång är mellan 0-10%

Utgång B ökar med 3.33 %, då regulatorns utgång är mellan 10 - 40%

Utgång C ökar med 1.66 % ,då regulatorns utgång är mellan 40 - 100%

För SV1 gäller att den ökar 10 ggr så snabbt än om SV1 skulle ha en egen regulator vid samma val av parametrar. Observera att SV1 endast kan ha 10 olika värden 0%, 10%, 20%.....100%. Om man vill ha fler värden måste man öka området.

Konfigurering av en regulator med flera utgångar:

1: Dela upp områdena lika mellan utgångarna.

Koppla ett villkor till regulatorparametrarna som ändrar parametrarna då regulatorn byter utgång.

Ex

Utgång A 0 - 33%

Utgång B 34 - 66%

Utgång C 67-100%

Om du vill att P-verkan skall vara :

0.3 för utgång A

0.2 för utgång B

0.5 för utgång C

Koppla följande villkor till P-verkan i parametrar.

A = Utgång A (R1A)

B = Utgång B (R1B)

ALT(A>0 & A<100, 0.3, ALT(B>0 & B<100, 0.2, 0.5)

2: Välj område för utgången efter vilken förstärkning du vill ha. Ett minskat område ger en ökad förstärkning och tvärtom.

För att få samma parametrar som ovan P-verkan sätts till 0.1 och området för

utgång A till 0-30 %

utgång B till 30- 80%

utgång A till 80 - 100 %

Överlappning och dödzon

Man kan låta områdena överlappa varandra om en utgång skall börja reglera innan utgången före har nått 100%.

Du kan även sätta en dödzon mellan två utgångar. Där påverkar regulatorn inte någon av utgångarna.

Ex

utgång A 0-30 %

utgång B 35 - 60% Dödzon mellan 30 - 35%

utgång A 50 - 100 %Överlappning

Vad händer vid strömavbrott och omladdning.

Strömavbrott:

Vid strömavbrott avbryts all kommunikation med I/O modulerna. Batteriet levererar tillräcklig ström för att hålla kvat data i minnet. När strömen kommer tillbaka fortsätter DUC:en där den slutade. Analog-ut modulerna startar på 5 V efter ström avbrott och håller denna spänning tills DUC:en skickar ut något annat värde. Analog utgång uppdateras då värdet i DUC:en förändras. Utgångarna uppdateras också en i taget en per sekund. Detta görs för att utgången skall få rätt värde efter strömavbrott.

Parameterval, tabell

Systemparametrar |  | Larmias regulator |  | PID - regulatorn
Förstärkning | Insvägningstid | P | Looptid | P | I
0,2 | 5 | 1,00 | 1 | 1,50 | 1,000
0,5 | 5 | 0,50 | 1 | 0,50 | 0,400
1 | 5 | 0,20 | 1 | 0,25 | 0,200
2 | 5 | 0,10 | 1 | 0,10 | 0,100
3 | 5 | 0,07 | 1 | 0,07 | 0,070
4 | 5 | 0,06 | 1 | 0,05 | 0,060
5 | 5 | 0,05 | 1 | 0,05 | 0,050
0,2 | 15 | 1,70 | 3 | 1,70 | 0,500
0,5 | 15 | 0,70 | 3 | 0,70 | 0,220
1 | 15 | 0,30 | 3 | 0,30 | 0,120
2 | 15 | 0,20 | 3 | 0,20 | 0,070
3 | 15 | 0,13 | 3 | 0,13 | 0,050
4 | 15 | 0,10 | 3 | 0,10 | 0,370
5 | 15 | 0,08 | 3 | 0,08 | 0,030
0,2 | 30 | 1,70 | 6 | 1,70 | 0,300
0,5 | 30 | 0,70 | 6 | 0,70 | 0,150
1 | 30 | 0,40 | 6 | 0,40 | 0,080
2 | 30 | 0,25 | 6 | 0,25 | 0,040
3 | 30 | 0,17 | 6 | 0,17 | 0,030
4 | 30 | 0,13 | 6 | 0,13 | 0,023
5 | 30 | 0,10 | 6 | 0,10 | 0,020
0,2 | 60 | 1,70 | 10 | 1,70 | 0,170
0,50 | 60 | 0,70 | 10 | 0,70 | 0,070
1 | 60 | 0,35 | 10 | 0,35 | 0,035
2 | 60 | 0,20 | 10 | 0,20 | 0,020
3 | 60 | 0,15 | 10 | 0,20 | 0,020
4 | 60 | 0,12 | 10 | 0,15 | 0,015
5 | 60 | 0,10 | 10 | 0,10 | 0,015
0,2 | 120 | 2,00 | 15 | 2,00 | 0,150
0,5 | 120 | 0,70 | 15 | 0,70 | 0,050
1 | 120 | 0,40 | 15 | 0,4 | 0,020
2 | 120 | 0,20 | 15 | 0,2 | 0,012
3 | 120 | 0,12 | 15 | 0,15 | 0,010
4 | 120 | 0,10 | 15 | 0,1 | 0,007
5 | 120 | 0,08 | 15 | 0,08 | 0,005


Editing - Examples of regulators

Examples of regulators

Example 1:

På DUC 1 Regulator 1, skall en styrventil SV1 reglera en inblås-temp GT1 till ett ställbart börvärde. Editera ett Ställvärdes-objekt med adresstyp: SYS, adress: 001-______. Kalla Objektet tex. ”BÖRV. INBLÅS”. Koppla objektet till Regulator 1 BERÄKNAT-BÖRVÄRDE (Här är BeräknatBörvärde=Börvärde). Koppla GT1 till ÄRVÄRDE. Editera SV1 med autokoppling-sysnr R1A (Regulator 1 Steg A).

Example 2:

In CCU 1, Regulator 1, the CV1 control valve
På DUC 1 Regulator 1, skall en styrventil SV1 reglera en vatten-temp GT1 efter en utetemp-kurva. Editera tex. Villkor 1 med kurvan och ute-tempen, tex. UTGÅNG=KURVA(1,A,0,60,30,30) A=utetemp, Se även Villkor. Koppla Villkoret till Regulator 1 BERÄKNAT-BÖRVÄRDE Skriv sysnr V1 (Här är BeräknatBörvärde = UtetempKurvan).

Connect TS1 to Measurement.
Koppla GT1 till ÄRVÄRDE.

Edit MV1 with...
Editera SV1 med autokoppling-sysnr R1A (Regulator 1 Steg A).

Connect the outside temperature to Regulator SHOW 1, if you want it to be shown in the regulator.
Om ute-tempen skall visas i regulatorn, Koppla den till Regulator VISA 1.

Example 3:

På DUC 1 Regulator 1, skall en styrventil SV1 reglera en inblås-temp GT1

till ett ställbart börvärde. Ställbar nattsänkning skall finnas.

Editera ett Ställvärdes-objekt med adresstyp:

SYS, adress: 001-______. Kalla Objektet tex. ”BÖRV. INBLÅS”.

Editera ett Ställvärdes-objekt med adresstyp:

SYS, adress: 001-______. Kalla Objektet tex. ”NATTSÄNK. INBLÅS. ”.

Editera tex Villkor 1 med UTGÅNG=A-B*T1 A=Börvärde B=Nattsänkning

T1=Tidkanal 1. Koppla Villkor 1 till Regulator 1

BERÄKNAT-BÖRVÄRDE. Koppla även ”BÖRV. RC1” och ”NATT. RC1” till

Regulatorn VISA 1 och VISA 2, så att de finns tillgängliga för ändring i

regulator 1.

Koppla GT1 till ÄRVÄRDE.

Editera SV1 med autokoppling-sysnr R1A (Regulator 1 Steg A).

Example 4:

På DUC 1 Regulator 1, skall en varmvatten-styrventil SV1 och en VVX kaskadreglera (regulatorn reglerar inblåstempen, rumstempen påverkar inblåstempen) en rums-temp GT2, med hjälp av en inblås-temp GT1.

Börvärdet skall vara ställbart. Editera ett Ställvärdes-objekt med

adresstyp: SYS, adress: 001-______. Kalla Objektet tex. ”BÖRV. RC1”.

Koppla objektet till Regulator 1 VISA 1. Koppla GT1 till ÄRVÄRDE.

Editera tex. Villkor 1 med inblåskurvan tex. UTGÅNG=(A-B)*6

A=Börvärde B=Rumstemp. Koppla villkoret till Regulator 1

BERÄKNAT BÖRVÄRDE.

Editera SV1 med autokoppling-sysnr R1A (Regulator 1 Steg A).


Editering - Användbara villkor

Användbara villkor

Startpuls i 15 sekunder

A: Manöver

Utgång = A & FTID(15/60,iA)

Motionskörning av pumpar eller ventiler som sällan används.

Ex1

(DAG=1 & TIMME=9 & MINUT=0)

Detta villkor är ‘TILL’ en minut varje måndag klockan 9:00

Ex2

Koppla en tidkanal istället.

P-regulator med villkor

Villkor 1

A Börvärde

B Ärvärde

C P-verkan

MIN(100,MAX((A-B)*C,0))

(P-regulator, där utvärdet är >= 0 och <= 100)

PI-regulator med villkor

Villkor 1 (I-DEL)

A Börvärde

B Ärvärde

C P-verkan

D I-verkan

E Manöver (Tvångställ)

F Ställvärde (Tvångställ)

ALT (E,F-(A-B)* C,MIN(MAX(0,(V0+(A-B)*D),100)

(Om styrsignalen blir större än 100 returneras 100 annars den beräknade I-delen.)

Villkor 2 (P-DEL + I-DEL)

A Börvärde

B Ärvärde

C P-verkan

D V1 I-Del.

MIN(MAX(0,(A-B)* C + D),100)

(Adderar P och I-del returnerar 100 om summan är > 100 annars summan)

Begränsning av styrsignalen med HOLD

ex 1

R1A 0-100, minbegränsning

A Ärvärde R1

B Börvärde R1

C R1A

D Mingräns

(B>A) & (C<=D)

ex 2

R1A 100-0 minbegränsning

A Ärvärde R1

B Börvärde R1

C R1A

Mingräns

(B<A)& (C<=D)

ex3

R1A 0-100, maxbegränsning

A Ärvärde R1

B Börvärde R1

C R1A

D Maxgräns

(A>B) & (C>=D)

ex 4

R1A 100-0 maxbegränsning

A Ärvärde R1

B Börvärde R1

C R1A

D Maxgräns

(B<A) & (C>=D)

Ovanstående villkor kopplar till HOLD funktionen på regulatorn. Detta gör att regulatorn slutar att reglera när den når en gräns. Om man endast hade använt ett villkor för begränsningen skulle regulatorn fortsätta att reglera och nå nå något av ändlägena. Detta gör att när regulatorn vänder (reglerfelet byter tecken) kommer det ta tid innan regulatorn når begränsningen och kan börja styra objektet.

Vid laddning av DUC:en är styrsignalen från regulatorn 0 eller 100. Detta gör att regulatorn inte klarar gränsen vid uppstart. Använd också ett villkor för att garantera begränsningen av utgången.

OBS !! Använd inte denna funktion då du har flera utgångar som verkar utanför begränsningen.

Beräkning av effekten från energimätare.
Nytt värde fås varje timme.

Villkor 1

A Energimätare

Utgång : ALT(MINUT=0 & SEK < 2,A,V0)

Villkor 2

A Energimätera

B Villkor 1

Utgång : ALT(MINUT=59 & SEK <2,(A-B)/59*60,V0)

Vanliga fel.

- När ex fläktar föreglar varandra via konfliktlarm, använd NxxxC inte NxxxA. Det senare gör att fläktarna startar om hela tiden.

Beräkningar

Förkortningar

P | Effekt [W]
T | Temperatur [°C]
D | Temperaturdifferens [°C]
m | Massflöde [kg/s]
V | Volymflöde [m3/s]
Cp | Specifik värmekapacitet [J/Kg*°C]
j | Densitet [kg/m3]
h | Verkningsgrad
ek | Köldfaktor
F | Värmefaktor

Konstanter

1 bar & 20°C

Vatten Luft

Densitet ( j ) [Kg/m3] 1000 1.2

Specifik värmekapacitivitet ( Cp ) [J/(kg*K)] 4180 1005

Verkningsgrad på värmeväxlare

Luftomsättning

= Rumsvolym / Volymflöde [s]

= Rumsvolym / Volymflöde*3600 [h]

Massflöde m

m = V * j [Kg/s]

Effekt P

(Gäller om det samma tryck vid de både Temperaturmätpunkterna)

Energiförbrukning/Energitillförsel från uppmätt effekt.

Energiförbrukningen kan beräknas genom att summera effekten P multiplicerat med tidsintervallet mellan varje mätning.

n = Antal mätningar

dt = Tidsdifferensen mellan mätningarna.

Beräkning av effekt från uppmätt energimängd

Effekt är energimängd per tidsenhet 1W = J/S.

Om du vet att det har åt gått 100 KJ under 1 minut, motsvarar detta 100/60 = 1,667 KW. (1,667 KJ varje sekund).

Fläkt och motorverkningsgrad

V = Volymflöde

= Tryckdifferans före och efter fläkten.

P = Tillförd effekt till fläktmotor

Värmepumpar

Värmefaktor

Anvärds för att ge ett mått på hur effektiv en värmepump är. Anger hur många gånger mer effekt än tillförd pumpeffekt. Pw = tillföd pumpeffekt.

Köldfaktor

Anvärds för att ge ett mått på hur effektiv en Kylmaskin är.

Psychrometri

Pv = Vattenångans tryck (Pa)

Ps = Mättningstryck (Pa)

Pt = Totaltryck (Pa)

= Relativ fuktighet (%)

= Mängd luft (Kg)

= Mängd vatten (Kg)

x = Absolut fuktighet (Kg/Kg)

Relariv fuktighet (%)

Absolut fuktighet (Kg/Kg)

Antal Kg vatten per Kg luft

eller

Mättningstryck (Pa)

Ps

Mättningstryck är det tryck högsta tryck som vattenånga kan inta. Om ångan befinner sig i luft och vattenångan har mättningstryck vid T, så är den relativa fuktigheten = 1.

Mättningstryck Ps för vattenånga vid temperaturen T (K).

Dessa formler (ovan) används för att beräkna daggpunkten. Iterativlösning.

Lättare lösning nedan (approximativ lösning).

Td Daggpunkt °C

Ps Mättningstrycket (Se ovan)

RH Relativ fuktighet

t (°C) | A | m | Tn
-40-50 | 6.1078 | 7.5000 | 237.3
50-100 | 5.9987 | 7.3313 | 229.1

Obs!!

Beräkning av log(x)

log(x) = ln(x)/ln(10)

i villkoren är funktionen log egentligen ln

skriv alltså log(x)/log(10) när du vill beräkna 10-logaritmen av x.


Kommunikation LS600

Problem: Kan ej sätta Duc'nummret på LS600

1, Kontrollera att objektet (indikeringen) som innehåller ID-nummret i objektnamnet är rätt och att det inte finns några blanksteg efter namnet.


Kommunikation LS600

Kommunikation LS920

Problem: Ingen kommunikation med någon DUC på slingan efter strömavbrott

1, Någon DUC spärrar DUC-slingan, kontrollera att alla DUC'ar fungerar korrekt, Drag ur kommunikationen ur en DUC i taget tills kommunikationen kommer igång.


Kommunikation LS600

Felkoder RAS

Felkod: 1066

1: Datorn är inte konfigurerad för inkommande samtal
2: Porten som används för inkommande samtal är blockerat av ett annat program.